commit deabb8f653b36fe273ab0b9b95d03211293dfe81
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Dec 31 04:53:33 2001 +0000

      * Fixed detection of the esd plugin.
      * Fixed the ts plugin's input type detection.
      * Fixed the BadCursor error in the x11 and xvideo plugins. For real this
        time (unlike my 2001/08/03 fix :p).
      * Made the wall filter work a bit better. It now spawns a 3x2 mosaic,
        but this will eventually be configurable, � la `--filter wall:3x3'.

commit c1b7b82de4f3b4e75353fa9a9a56068d8b55679c
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Dec 31 03:57:47 2001 +0000

      * Fixed the aRts audio output plugin.

commit 0eed3e6eecc2705ac29a01e787352f0d3d3ec399
Author: Christophe Massiot <massiot@videolan.org>
Date:   Mon Dec 31 03:26:27 2001 +0000

    * Fixed a bug in DecoderError.
    * Temporary kludge for vlc_mpeg_adec=mad ./vlc ...

commit 93e8fcf8773cc3be7188448b3512adf61bd47602
Author: Christophe Massiot <massiot@videolan.org>
Date:   Mon Dec 31 01:13:12 2001 +0000

    Miscellaneous typos.

commit 36e88eb44a3288dbd67cd7402b21fe91a4a329fa
Author: Stéphane Borel <stef@videolan.org>
Date:   Sun Dec 30 22:10:26 2001 +0000

    *Some fixes for dvdread plugin.
    
    It compiles but doesn't work yet.

commit cc0f0bb6fd28d5ed3463be4a227990cbae8a849f
Author: Sam Hocevar <sam@videolan.org>
Date:   Sun Dec 30 07:09:56 2001 +0000

    Some heavy changes today:
      * Removed duplicate function checks from configure.in.
      * Added extra magic to Makefile.modules so that the module Makefiles
        are now ridiculously simple. And I mean *simple*. Check it! This will
        make a possible switch to full autoconf/automake a lot easier.
      * Added the vlc version name to the plugin symbols, to be sure we only load
        plugins with the same version number. A nasty consequence is that you
        need to rebuild your tree after midnight if you are using a CVS tree :-)
      * Got rid of modules_export.h by #defining exported functions in the same
        header as their prototype.
      * Added modules_inner.h and other commonly used .h files to common.h so
        there are less and less files to include, and renamed common.h to
        <videolan/vlc.h>.
      * First modifications to the module handling system towards my ultimate
        goal to get rid of the *_Probe functions. Got rid of TestMethod and
        TestCPU, as well as src/misc/tests.c.
      * Wrote the chroma plugin handling functions. No YUV functions have been
        ported yet because it'ls a lot of work, but the core system works, I
        tried it with a naive yv12->rgb16 plugin (which will disappear when the
        real functions are ready).
      * Made a lot of functions in dvd_summary.c one-liners to avoid wasting
        too many output lines.
      * Fixed a segfault in input_dvd.c:DVDInit.
      * Added a fixfiles.sh script in plugins/gtk to be run after Glade has
        generated its C files.
      * Did some work on the KDE interface to make it suck a bit less. It still
        segfaults, but at least it runs and it looks less ugly.
      * RGB SDL rendering works again, though in 16bpp only.
      * Made plugins/vcd/linux_cdrom_tools.c independent of any vlc structure
        so that it'll be easily put in a library. Maybe libdvdcss?
      * Fixed VCD date display.
      * Merged vout_xvideo.c, vout_x11.c and vout_common.c into xcommon.c.
      * Wrote non-Shm XVideo output.
      * Made X11 output work again. Still pretty unstable, only works for 16bpp.
      * Additional french translation in po/fr.po. Any taker for the rest?
      * Fixed a segfault in video_output.c when the allocated pictures were
        not direct buffers.
      * If $DISPLAY isn't set, don't try to run the Gtk+ interface.
      * Replaced 48x48 .xpm images with 32x32 ones to conform to Debian policy
        (Closes Debian bug #126939).
      * Removed the automatic ./configure launch when running `make all' for
        the first time.
    
    Stuff currently more broken than it ought to be:
      * The wall filter. Being fixed.
      * x11 and sdl plugins for depth != 16bpp.
      * Software YUV.
      * gvlc, gnome-vlc, kvlc shortcuts. Use --intf instead for the moment.

commit 316a83ad927740cbc96c100be88eb481eb04f573
Author: Sam Hocevar <sam@videolan.org>
Date:   Sun Dec 30 05:46:14 2001 +0000

      * Forgot a file in my last commit.

commit fafbe100b1b1116959590f84e98ee5e4fa2a3ac8
Author: Sam Hocevar <sam@videolan.org>
Date:   Sun Dec 30 05:38:44 2001 +0000

      * Put ErrorThread() in input_ext-dec.h because it was the same function
        in all decoders. Called it DecoderError() instead.
      * All decoders enter DecoderError() in case of error, even if they
        haven't allocated all their data. This prevents the input from getting
        stuck if a decoder has failed its initialization.
      * Namespace fixes through the decoder files.

commit ca6c02a2e3674479b5ef7954f7c190def7f091bf
Author: Sam Hocevar <sam@videolan.org>
Date:   Sun Dec 30 04:26:53 2001 +0000

      * Fixed a segfault at EOF in input_es.c and input_ts.c (when i_read == 0).
      * Improved error recovery and avoided memleaks in the various input plugins.
      * Fixed a deadloop inserted by someone else into input_vcd.c :-)

commit 9fb2aad3b034ec585524f74998e4132e8d5c5b77
Author: Christophe Massiot <massiot@videolan.org>
Date:   Sat Dec 29 22:22:01 2001 +0000

    Use libdvdread's define instead.

commit 1ad1939fe7c8ad4bc83a1efb36e6e8417cc31753
Author: Christophe Massiot <massiot@videolan.org>
Date:   Sat Dec 29 15:40:53 2001 +0000

    Cosmetic fix.

commit 54771268ecac98cec7300a0d76086dbe3557d5b8
Author: Loïc Minier <lool@videolan.org>
Date:   Sat Dec 29 11:36:00 2001 +0000

     Small bugfix of a segfault. The playlist segfaulted with the urls
    containing no '/'.

commit 14cf5695cd4a3fe2dea5c6535787fc2572c5b117
Author: Christophe Massiot <massiot@videolan.org>
Date:   Sat Dec 29 03:44:38 2001 +0000

    Fixed a cosmetic issue.

commit 2d79bfcb836a05cbd3cc4174a85538daf9f87d80
Author: Christophe Massiot <massiot@videolan.org>
Date:   Sat Dec 29 03:07:51 2001 +0000

    Hidden gory buffer management details in a private section of data_packet_t.

commit 9ecb59abd9e8af11e96eda516994578a747db082
Author: Christophe Massiot <massiot@videolan.org>
Date:   Sat Dec 29 00:39:49 2001 +0000

    Fixed many bugs experienced by our users today.

commit afc467090da90a5da45148bab25cd57870034c94
Author: Christophe Massiot <massiot@videolan.org>
Date:   Thu Dec 27 03:47:09 2001 +0000

    * Changed pf_read prototype and minor changes.

commit abde4bbfb7419e164d60d7eb71bfa2cbfcc6b434
Author: Christophe Massiot <massiot@videolan.org>
Date:   Thu Dec 27 01:49:34 2001 +0000

    * Changed the way decoder_fifo_t works ;
    * Minor optimizations in the Next Generation Buffer Manager.

commit ea6f82b82f2116badc8821843364788cd830832a
Author: Christophe Massiot <massiot@videolan.org>
Date:   Wed Dec 26 00:01:18 2001 +0000

    Fixed compilation issue (thanks Eyal !)

commit 089b1c05d11d04461d58f36da89ad63d83f447c6
Author: Christophe Massiot <massiot@videolan.org>
Date:   Thu Dec 20 23:53:49 2001 +0000

    Fixed a typo.

commit e48d61955575634ef0324158cac88353e97d50b8
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu Dec 20 22:11:53 2001 +0000

      * Added Jeffrey Baker to the AUTHORS file.
      * Fixed a PPC compilation issue.

commit 48b30bb9ce3d922149fcb7ab847330faa9384f46
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu Dec 20 15:43:15 2001 +0000

      * Mouse wheel seek patch for XVideo courtesy of Peter Surda.
      * Ported to SDL.

commit 3475fc64ad7c42bbcea7f96392fc469f941736ae
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Dec 19 23:19:20 2001 +0000

       * Heavy butchery in the VCD plugin. It should no longer segfault when
         reaching end of title.

commit 7756c6e8b8a3083f78e109a6c7b8579602e91cd2
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Dec 19 19:26:00 2001 +0000

      * --filter distort:ripple (Ok, ok, I promise it's the last one !! :-)

commit 36644229f02773c955657e4bddadcccdf77ee7eb
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Dec 19 18:14:23 2001 +0000

      * Fixed compilation with dvdcss disabled.
      * Fixed compilation with plugins disabled.
      * Removed useless variables in the VCD and DVD plugins.
      * Fixed a function which was returning "struct foo" in the VCD plugin.
      * Fixed the old � XVideo eats more and more CPU � bug I mistakenly
        reintroduced in my first vout4 commit.

commit 605a3534af704a58b5d66b9c4808e912c6a47e63
Author: Christophe Massiot <massiot@videolan.org>
Date:   Wed Dec 19 10:00:00 2001 +0000

    Next Generation Buffer Manager for DVD and VCD plug-ins.

commit ba2dbc41b75bc21f2c6da02543ba7f3316932986
Author: Johan Bilien <jobi@videolan.org>
Date:   Wed Dec 19 03:56:56 2001 +0000

    fixed a segfault in vcd input (thank you Sam)

commit 2d90188b7347d01a23e57899d58b9cb64be1eb17
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Dec 19 03:50:22 2001 +0000

      * Initialize SDL before opening the SDL audio output.
      * Prevent two SDL video outputs or audio outputs to be spawned at the
        same time to avoid ugly crashes.
      * The SDL plugin now says whether we are using software or hardware YUV
        in its window title.
      * We now stop at the first ':' when looking for a module name, to easily
        pass information to the modules. Possible example: --vout sdl:software,
        implementation of such an option is left as an exercise.
      * Merged filter_bob and filter_bob422 into filter_bob. Use --filter bob
        to deinterlace 422 into 420 as well.
      * Factorized code common to most filters and the video output, optimized
        a few filters by aligning data and reading 64 bits at a time.
      * Two new absolutely useless, CPU-eating, resource-wasting, but fun
        filters: enjoy `transform', which performs flips and 90� rotations, and
        `distort', which performs animated image effects (currently only a naive
        sine wave is implemented). Usage examples:
           --filter transform:hflip
           --filter transform:vflip
           --filter transform:90
           --filter transform:180
           --filter transform:270
           --filter distort:wave

commit 8acfd9b406c4f3f69b6195809fd3f48ce9168c39
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Dec 18 03:07:21 2001 +0000

      * Ultimate fixes to the win32 package generation.

commit 00201762cc7ba7a4ca30da95ee5b32a8cc0a6120
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Dec 18 02:44:34 2001 +0000

      * Fixed Win32 build. You still need --disable-directx --disable-nls though.

commit 04c1d9fc5bdd3c492baaf703280eba1654041661
Author: Christophe Massiot <massiot@videolan.org>
Date:   Mon Dec 17 19:42:16 2001 +0000

    Added missing XSync().

commit 21a68e654f576bf826a8cae0019a33f25b7379f4
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Dec 17 16:42:27 2001 +0000

      * TS input: bugfix in DecodePAT and minor optimizations elsewhere.

commit 792a0ddf4d98073ccc7af6cf739130c18fd1cccb
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Dec 17 15:59:15 2001 +0000

      * TS input: we now check that the contents of the PAT has changed
        before updating it, instead of just relying on its version number.

commit d4a83aef099986b7ebdddeb45a79e19213cbdf9b
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Dec 17 05:33:56 2001 +0000

      * Pathetic attempt at a 4:2:2 renderer and deinterlacer, combining the
        most awful line dropping techniques of both BOB and 422 to 420
        downscaling. Don't worry, it should only survive for a couple of days.

commit c1ba1b4951fe13f7b0138e54cc11df555c20252b
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Dec 17 03:38:22 2001 +0000

      * CPU detection under BeOS.
      * Fixed XVideo port selection.
      * New stupid plugin: "--filter wall" for split-image playback :-)
         (will evolve into a real image wall plugin when I have time)

commit 22899aa9e83c37149880513b682a25b510587b37
Author: Sam Hocevar <sam@videolan.org>
Date:   Sun Dec 16 18:00:18 2001 +0000

    libdvdcss changes:
      * Support for REPORT_TITLE_KEY and RPC commands by H�kan Hjort
        <d95hjort@dtek.chalmers.se>.
    
    vlc changes:
      * Minor coding style fixes (please avoid tabs).

commit 14047fa106514c9839987c24c925cae340520019
Author: Sam Hocevar <sam@videolan.org>
Date:   Sun Dec 16 16:18:36 2001 +0000

      * Filter plugins. Not very polished (please don't look at how the dates are
        calculated!), but worth a try. Use the following flags:
         "--filter invert" for inverse video
         "--filter bob" for BOB deinterlacing
      * Fixed a potential segfault if the subtitle stream was encountered
        before the video stream.
      * Misc vout4 fixes.

commit 97cba428ab0955687ca487d4633d14d731dc1738
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu Dec 13 20:47:46 2001 +0000

      * Buffer choice optimizations - vout4 should eat even less CPU now.
      * Minor warning fix for Hurd.

commit e48f199d997f1dedde0173b63ccb80357e020d1e
Author: Johan Bilien <jobi@videolan.org>
Date:   Thu Dec 13 17:58:16 2001 +0000

    Fixed a bug in ES input (I had not initiated p_selected_program)

commit 6a98da9f29a5db901456b358ae24bfa3cecff63b
Author: Christophe Massiot <massiot@videolan.org>
Date:   Thu Dec 13 17:33:47 2001 +0000

    Fixed a major bug I introduced lately.

commit d8e44fce7502d3015ce36162fe66c22e4e0c828b
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu Dec 13 12:47:17 2001 +0000

      * Fixed aspect ratio handling.
      * Fixed potential compilation issues under eg. BSD/OS.

commit fb39f2e7f15037fbd84a4b27d591a89abf7e1c23
Author: Christophe Massiot <massiot@videolan.org>
Date:   Wed Dec 12 17:41:15 2001 +0000

    Next Generation Buffer Manager, for ES plug-in.

commit 9e19f8fc5fde31f9606a3e9567f3bd48b0323bc0
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Dec 12 15:25:29 2001 +0000

      * Another win32 fix.

commit 42993b793c4c833aecc4b107c711c92b7e6c2339
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Dec 12 15:20:16 2001 +0000

      * Fixed Win32 port.
      * Fixed unnecessary target remake (recursive make is harmful !).

commit 2b75de8f4e5d69243fd70c561021ba55bcf18a7d
Author: Christophe Massiot <massiot@videolan.org>
Date:   Wed Dec 12 13:48:09 2001 +0000

    Next Generation Buffer Manager, for TS plug-in. Please test in-ten-si-vely !

commit 6a74f9fb994a0027d4a495cbf08b6845d1c4ff1d
Author: Christophe Massiot <massiot@videolan.org>
Date:   Wed Dec 12 11:18:38 2001 +0000

    Next Generation Buffer Manager, for PS plug-in.

commit 279f805ab1df1b4d0f8f95276a01cffe399fe098
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Dec 12 02:13:50 2001 +0000

      * Additional fixes for OSes with no gettext (thanks to ej0).
      * Fixed a potential BeOS linking issue.
      * Fixed a minor bug in input.c.

commit abd8a3764139546e4930ebed54ce03045604554b
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Dec 11 23:53:20 2001 +0000

      * Don't try to use gettext if we don't have GNU gettext. This may change
        in the future though (most GNU software seems to include a local copy of
        gettext in case the operating system doesn't provide it).

commit db648a570b417bcf454f958ef926ec13f1668575
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Dec 11 15:31:37 2001 +0000

      * Fixed an issue in Makefile.dep causing to rebuild unnecessary files
        in the gtk/gnome and x11/xvideo plugins.
      * Fixed CFLAGS_XVIDEO.

commit 56afe807c2d528a7d3428c2342e0bbff25a48b01
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Dec 11 14:43:38 2001 +0000

      * Added vlc-arts to the debian package generation.
      * HP-UX port of the DVD ioctls courtesy of David Sieb�rger.

commit ad5c7cef8df8f19663e76e55591319b2a55e22dd
Author: Christophe Massiot <massiot@videolan.org>
Date:   Tue Dec 11 13:55:55 2001 +0000

    Fixed major bugs in the PSI decoder.

commit 0188fd3ed5092eb4feca95456dd008e01f8018d2
Author: Christophe Massiot <massiot@videolan.org>
Date:   Tue Dec 11 13:09:22 2001 +0000

    Partial fix for Xvideo compilation.

commit 4d2a1b463b8a49529c8327acd1af76faf13db5a5
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Dec 10 18:58:13 2001 +0000

      * configure.in was broken for win32

commit 3328bef808a2861fa18eeedff2b5c204f89ecf30
Author: Christophe Massiot <massiot@videolan.org>
Date:   Mon Dec 10 16:16:51 2001 +0000

    Fixed possible segfault with --input.

commit 9caec944a3bfd008f58a32696f1fcce1222da582
Author: Christophe Massiot <massiot@videolan.org>
Date:   Mon Dec 10 15:52:31 2001 +0000

    Fix for EOF of ES-only streams.

commit a7592866a083dec4ef8e1d22b26a40a37e1bba30
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Dec 10 13:17:35 2001 +0000

      * (very old) russian translation courtesy of Valek Filippov <frob@df.ru>.
      * Fixed a charset issue in the french translation.

commit 45281e620dc142e81fe10d186f0ddc63a0cd5d13
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Dec 10 12:40:24 2001 +0000

      * Removed more unused code.
      * Updated config.guess and config.sub from GNU's latest versions (bozo,
        you may want to update them in vls as well).
      * Added vlc.pot skeleton for translators.

commit 72d43142b90323237d1e0fa43199ec3a2ee5db5a
Author: Christophe Massiot <massiot@videolan.org>
Date:   Mon Dec 10 10:58:54 2001 +0000

    * MPEG-1 aspect ratio patch, courtesy of Vladimir Chernyshov
      <greengrass@writeme.com> ;
    * Seeking patch for X11, courtesy of Peter Surda <shurdeek@panorama.sth.ac.at>.

commit 003c2ab30097c1406da51290eccab8863dfe5101
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Dec 10 04:53:11 2001 +0000

      * Removed unused code (intf_channels.c, keystrokes.h).
      * Put common_win32.h back into common.h -- it wasn't that big and we
        should not multiply header files.
      * Added gettext support by Thomas Graf <reeler@reeler.org>, may be
        broken on other platforms but we'll only see it when I'm finished
        with vout 4 :-)
      * Fixed a segfault on exit when no fast_memcpy module was found.

commit 6dc23238f27cb2445b9e90010647899263fe821f
Author: Sam Hocevar <sam@videolan.org>
Date:   Sun Dec 9 17:08:36 2001 +0000

      * Fixed Debian package builds.

commit 2be071915d0b90bef9edc114818b02c7be830ca4
Author: Sam Hocevar <sam@videolan.org>
Date:   Sun Dec 9 17:01:37 2001 +0000

      * COMPLETE CVS BREAKAGE !! The MAIN branch is going to be a playground
        for my nevrotic and destructive pulsions during the next few hours!
    
      * If you want to test vlc, please use the v0_2_92_branch branch.
    
      * Stuff currently working:
         - direct to YUV buffer decoding
         - non-ugly subtitle blending
         - XVideo and SDL video output
    
      * Stuff currently utterly broken:
         - aspect ratio
         - software rendering (ie, all other video output plugins)
    
      * Additional misc changes:
         - Renamed spu_dec to spudec and mad_adec to mad to stay coherent with
           other plugins. Also, renamed mpeg to mpeg_system.
         - Added jobi to the AUTHORS file.
         - Factored code common to vout_x11.c and vout_xvideo.c.

commit f2f265d02cb5ee156141af8c3ca4a2cf57632a8c
Author: Christophe Massiot <massiot@videolan.org>
Date:   Fri Dec 7 19:25:39 2001 +0000

    0.2.92 pre-release.

commit e6912f0ca30e21a8407c444e1be32ad03c54b141
Author: Christophe Massiot <massiot@videolan.org>
Date:   Fri Dec 7 19:22:46 2001 +0000

    Bumped up revision number to 0.2.92-dev and 1.0.1-dev.

commit 1b8d106c723cfe9a75449dbfe5cd5a4e677159a0
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Dec 7 18:33:08 2001 +0000

      * Fixed a total breakage of decoder plugins introduced by fast_memcpy.
      * Got rid of #include "main.h", included it in common.h instead ; got
        rid of #include "config.h" in most files as well.

commit 7917d2ef3f36d47ad90509812755facc07bec9d7
Author: Johan Bilien <jobi@videolan.org>
Date:   Fri Dec 7 16:47:47 2001 +0000

    * added functions in inputs to change the current program (most of
      them do nothing)
    
    All inputs should now have a pf_setprogram function. A default one is
    provided in input_programs.c.

commit 6982da2115b66e7180ff12ae54f2379036dfdd29
Author: Christophe Massiot <massiot@videolan.org>
Date:   Thu Dec 6 13:53:52 2001 +0000

    Fix for altivec under Linux.

commit ba5c0ebe09b177863f08f98665e3daf51d3a3474
Author: Christophe Massiot <massiot@videolan.org>
Date:   Thu Dec 6 13:46:23 2001 +0000

    Fixed dumb renaming of #define's for altivec :-p.

commit beb815f0efb0f063095727a42c410a023ef8cf6b
Author: Christophe Massiot <massiot@videolan.org>
Date:   Thu Dec 6 11:18:22 2001 +0000

    Updated man page.

commit 2e0eab4ca7a626b63263ec6d978c19ea0c3df22e
Author: Christophe Massiot <massiot@videolan.org>
Date:   Thu Dec 6 10:53:42 2001 +0000

    * mad plug-in is now built-in to avoid PIC/non-PIC collision ;
    * Updated documentation ;
    * New --desync option, to delay the video (in case of lip desynchronization) ;
    this is bad, but we have no other option for the moment ;
    * Clicking in vout now pauses the stream, patch courtesy of Peter Surda.

commit 6d1e0c517b8e80820cf019edbd3b1fcfaf752160
Author: Tony Castley <tcastley@videolan.org>
Date:   Thu Dec 6 10:29:40 2001 +0000

    Added funcionality for vertical retrace sync for refresh rates 60Hz or lower
    (Thanks Rudolf)
    Fixed the Prev Title Bug, now works.

commit 710f02f2b9f72239f4f96e3698dae92128564eb2
Author: Christophe Massiot <massiot@videolan.org>
Date:   Wed Dec 5 10:30:25 2001 +0000

    Fix for altivec detection (courtesy of walken).

commit dbbc910fbb8a2e5897be4388b95c0f56aa168cc6
Author: Johan Bilien <jobi@videolan.org>
Date:   Wed Dec 5 03:31:04 2001 +0000

    * Added 2 fields, p_selected_program and p_new_program, to the
      input_thread_t structure, so that we may support multi programs
      streams.
    * Modified inputs to take account of this change.
    * Modified input_clock.c so that it doesn't refer to pp_programs[0]
      any more.
    
    Now we should not refer to the first program, but to the selected
    program. Functions to change the current program are coming.

commit 63e5cfb09bd5db7dd9675c61dde210421543a5c7
Author: Christophe Massiot <massiot@videolan.org>
Date:   Tue Dec 4 13:47:46 2001 +0000

    libmad plug-in, courtesy of Jean-Paul Saman <jpsaman@wxs.nl>.

commit 8fec59e13bbf9347ffb9aede3b3338461324abf9
Author: Christophe Massiot <massiot@videolan.org>
Date:   Mon Dec 3 17:55:45 2001 +0000

    Reversed my previous patch (too buggy).

commit a0ae0628af7fd363c110fa3a805b0e2c1120871a
Author: Stéphane Borel <stef@videolan.org>
Date:   Mon Dec 3 17:34:08 2001 +0000

    -added eof for ts seekable streams
    -close netlist when ts input ends

commit 3e22409a7c2d10291370d9f3758db85c79f54348
Author: Christophe Massiot <massiot@videolan.org>
Date:   Mon Dec 3 16:43:25 2001 +0000

    Fixed a bug in my previous commit.

commit 95a333bf0a6feece289b2fb08518e34e2bd99110
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Dec 3 16:18:37 2001 +0000

      * Borrowed MPlayer's fast memcpy() routines. Best is autodetected, choose
        "--memcpy <whatever>" to choose one from c, mmx, mmxext or 3dn.
        Please test! Especially Athlon users.
      * Added versioned build-dep to libasound2-dev (Closes Debian bug #121057).
      * Updated Gtk/GNOME interfaces to use "udpstream" instead of "ts".
      * Unrolled ChangeLog.

commit c4535c4ce3f8d68f8d6c907ed271a0bf52cafeb2
Author: Christophe Massiot <massiot@videolan.org>
Date:   Mon Dec 3 15:58:14 2001 +0000

    More checks for GTK headers.

commit 0e3c37886dcb1531cb9e9b69e62ab71f90bf41f6
Author: Christophe Massiot <massiot@videolan.org>
Date:   Mon Dec 3 13:58:59 2001 +0000

    Fixed a crash when pausing.

commit f9a96b8e81f17dff7376bbff07ea971efb115ad2
Author: Christophe Massiot <massiot@videolan.org>
Date:   Mon Dec 3 11:49:04 2001 +0000

    Fixed numerous bugs in ES selection.

commit d95b9235fbb631475911c9e5ef302a2f7f3f3a94
Author: Florian G. Pflug <fgp@videolan.org>
Date:   Sun Dec 2 18:04:29 2001 +0000

     *) Fixed stupid bug in vout_Manage. It sometimes called SetDSequenceMatrix
        when there was no valid sequence.

commit 43ed15cb7a7b17863a7d4dc5f40a0bb5d4efa990
Author: Stéphane Borel <stef@videolan.org>
Date:   Sun Dec 2 17:32:19 2001 +0000

    -hopeless fix for the input netlist corruption bug.
    
    Please test.

commit 974aa2321edab00c7175cff120887f199366001e
Author: Tony Castley <tcastley@videolan.org>
Date:   Sat Dec 1 06:38:53 2001 +0000

    Implemented simple BDirectWindow (DMA) support

commit a278da2fd7d3646f8cd351a95e3257524611edb3
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Nov 30 22:52:40 2001 +0000

     * DeleteDecoderConfig wasn't freeing (anymore) the packets left in the
        decoder fifo. This bug was creating an io_vec starving on title change
        when playing DVDs.

commit ab4905f1d543b0fe14ee93be1384ec049b70e4e9
Author: Tony Castley <tcastley@videolan.org>
Date:   Fri Nov 30 09:49:48 2001 +0000

    Included strings.h to fix compile errors due to the change in threads.h

commit 1b9a50e06cdc49f0a8aff3b831fd33c68d0aaa16
Author: Stéphane Borel <stef@videolan.org>
Date:   Fri Nov 30 00:34:03 2001 +0000

    -Update for libdvdcss documentation

commit fc09bccb503c684f3bb18e36d071a28892cab6c8
Author: Johan Bilien <jobi@videolan.org>
Date:   Thu Nov 29 17:24:48 2001 +0000

    Removed a bug in the Makefile that made the CVS-snapshots building fail.

commit 735d6f7c95a044dc54cb7cc9a83a7f642a025403
Author: Christophe Massiot <massiot@videolan.org>
Date:   Thu Nov 29 15:57:07 2001 +0000

    Added vlc.app

commit 58e5f3722afcced9b9f512d94699437af0cee17d
Author: Christophe Massiot <massiot@videolan.org>
Date:   Thu Nov 29 15:56:37 2001 +0000

    Fixed another compilation problem.

commit 5eaa52fb3cdbc198912969b1f2fb3c994f1ddb3c
Author: Christophe Massiot <massiot@videolan.org>
Date:   Thu Nov 29 15:34:28 2001 +0000

    Fixed a problem with vlc.app.

commit 13fd7a12d6063648849bc5b18ad288152f06a69e
Author: Christophe Massiot <massiot@videolan.org>
Date:   Thu Nov 29 10:20:56 2001 +0000

    Moved #include <string.h> to macosx plug-in instead of threads.h, as in
    other plug-ins.

commit 15d59e21b5d3118204e451d220f4d77541980823
Author: Florian G. Pflug <fgp@videolan.org>
Date:   Thu Nov 29 01:01:48 2001 +0000

      *) Added "#include <string.>" to include/threads.h
         It' wouldn't compile on OSX without this.
    
      *) Removed the mutex the vout and intf thread (were supposed to use)
         for syncronizing acces to the p_vout->p_sys structure.
         The p_vout->change_lock mutex is used for syncronization now. (and
         should make synronization work)

commit 248eb0b5b90523c8929c33dae781ca5b500c906d
Author: Christophe Massiot <massiot@videolan.org>
Date:   Wed Nov 28 15:08:06 2001 +0000

    * Added error checking in pthread wrapper ; as a result, intf_msg.h must
    now be included *before* threads.h ;
    * Changed all files to include intf_msg.h before threads.h ; while I was
    at it, I update the copyright notices ;
    * Removed the obsolete darwin plug-in.

commit 65daff0bd0783cb02a5e955a8c54dea2927b7eec
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Nov 27 14:42:46 2001 +0000

      * Fixed a deadlock (bug reported by marcari).

commit 8715adf848c35a15252bfd82787edfdc92a13cb9
Author: Christophe Massiot <massiot@videolan.org>
Date:   Tue Nov 27 14:31:19 2001 +0000

    Various (sometimes hopeless) fixes to try to improve xvideo stability.

commit c50ca2fc5598d6790026885873866faaa32233b3
Author: Christophe Massiot <massiot@videolan.org>
Date:   Tue Nov 27 13:06:23 2001 +0000

    Removed obsolete entry.

commit 749c5adf5eea23d3c94ab2c91a9b7a329e3ae6f8
Author: Christophe Massiot <massiot@videolan.org>
Date:   Tue Nov 27 12:52:54 2001 +0000

    Documentation updates.

commit 1c539d10dba31e981d32f83afa8c0d5786175018
Author: Christophe Massiot <massiot@videolan.org>
Date:   Tue Nov 27 12:33:20 2001 +0000

    * Updated man page.
    * dvd:<device>[@<raw device>] to avoid device namespace collision under
    win32.

commit 1e107cf7893ae875f33952c2ebb4ccdd1c4d7ec7
Author: Christophe Massiot <massiot@videolan.org>
Date:   Tue Nov 27 11:44:48 2001 +0000

    New syntax for the dvd input :
       dvd:<device>[:<raw device>]
    The raw device must have been prepared (by root) beforehands.

commit caa99b311af8bd648a0788332b5f2afb2af537e2
Author: Christophe Massiot <massiot@videolan.org>
Date:   Tue Nov 27 11:14:55 2001 +0000

    More WIN32 portability fixes.

commit cb700a8dbece84277d29fcf0d3720d96cca886c8
Author: Christophe Massiot <massiot@videolan.org>
Date:   Tue Nov 27 10:58:11 2001 +0000

    Disabled dvdread by default since it causes many portability problems.
    Enable it with --enable-dvdread.

commit cfe935cee67b2648df9aac94e2db5e8706780294
Author: Christophe Massiot <massiot@videolan.org>
Date:   Tue Nov 27 10:50:35 2001 +0000

    Fixed a compilation issue under Win32

commit cb72f8949a91c43165847b100b7c32e7385b8291
Author: Christophe Massiot <massiot@videolan.org>
Date:   Tue Nov 27 10:18:33 2001 +0000

    Fixed a potential packet corruption in the DVD input (I suspect this
    might be the cause of the OS X problem - please confirm).

commit 6df445cfb8d8eb22a35fb96cbffa45881708bb3d
Author: Marc Ariberti <marcari@videolan.org>
Date:   Mon Nov 26 23:06:02 2001 +0000

    * changed the protocol version for communication between vlc and vlcs
    from 12 to 13 (due to change from ts:// to udpstream://)

commit a3d6b5caa1845512f4e7bd14ac8407e65ea17826
Author: Florian G. Pflug <fgp@videolan.org>
Date:   Mon Nov 26 22:28:05 2001 +0000

     *) changed includes from
        #include <dvdread/...> to
        #include "..."
    
     *) Darwin doesn't have off64_t, stat64, lseek64. Added
        #ifdef SYS_DARWIN
        #define off64_t off_t
        ....
        #endif
        to dvdread.c
    
     *) Fixed stupid bug in vout_macos.x. On startup, it would
        try to free a non-existant QuickTime Sequence. This could be
        the reasons for (some?) of the crashes at startup.

commit 3a824f81592123da64d35a1c7de3445283a8a9a0
Author: Christophe Massiot <massiot@videolan.org>
Date:   Mon Nov 26 15:56:36 2001 +0000

    Reworked Keith Packard's raw device patch. The name of the raw device
    is in the environment variable DVDCSS_RAW_DEVICE.
    
    Untested (as usual :-). Feedback welcome.

commit b6188286211775ebc5ac4704fc21a5fa6e42c3b7
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Nov 25 22:52:21 2001 +0000

     * Big clean-up to allow compiling every module as plugins.
     * Added bytes_swap.h to provide ntoh() and htol() on Win32. With this
         change we don't have to link winsock2 with every plugin anymore. This
         should also give us a slight speed increase.
     * Added #define WIN32_LEAN_AND_MEAN in threads.h to speed-up compilation
         on Win32.
     * Modified ac_downmix_3dn and sse so they compile with the latest gcc for
         Win32.
    
    (PS: the dvdread plugin doesn't compile yet on Win32)

commit b8ff945d3ae771d67149726021c5045fda7a6adf
Author: Stéphane Borel <stef@videolan.org>
Date:   Sun Nov 25 05:04:38 2001 +0000

    Support for libdvdread.
    
    Libdvdread files are in extras/libdvdread. They have not been changed from
    those of libdvdread 0.9.2. The changes are in the subdirectory videolan.
    They basically consist of a new function in the API that does a readv()
    instead fo a read().
    
    The library is statically linked with libdvdcss from extras/libdvdcss, and
    the whole is statically linked with the plugin dvdread. Dvdread can only be
    compiled as a builtin module for the time being, I think (which means I
    haven't tried to compile it as a plugin).
    
    Basically, input_dvdread.c is a copy and paste from input_dvd.c with a few
    changes to use libdvdread calls. It is still in very alpha stage, but it
    should offer the same features as the current DVD input.
    
    It can be called with either the syntax: "dvdread:/dev/dvd"
    or "--input dvdread /dev/dvd". The command line switches (-t, -T, -c, -u)
    should work too.

commit 81287869b32ebcb41ff76d752dcfef53192c203a
Author: Sam Hocevar <sam@videolan.org>
Date:   Sun Nov 25 01:26:54 2001 +0000

      * Added "Video" menu hint to debian/*menu (Closes Debian bug #121036).

commit fefa3b65426db7a6d64a15a44432381228c43075
Author: Christophe Massiot <massiot@videolan.org>
Date:   Fri Nov 23 18:47:51 2001 +0000

    Major rewrite of the network layer. The following syntax ARE NO LONGER
    SUPPORTED :
    ts:toto:1234/meuh
    --server toto --broadcast meuh --port 1234
    
    The only supported syntax is :
    udp[stream]:[//][serveraddr:[serverport]][@[bindaddr][:bindport]]
    example : udpstream:toto@meuh:toto
    
    In most cases, simply passing "udpstream:" should work, since it enables
    unicast and broadcast reception on port 1234 from any server. Other
    options are only used for fine tuning and multicast.
    
    TODO :
    * The GTK interface is broken (glade knowledge wanted !)
    * Test this on all supported platforms (and fix them :)
    [this won't work with current channel servers - fix needed]

commit f1632229ae548b78b37130cc78da3ec451bc974c
Author: Jon Lech Johansen <jlj@videolan.org>
Date:   Wed Nov 21 22:33:03 2001 +0000

    Don`t use long long, use u64/s64 (int_types.h).
    Fixed a stale pointer in mpeg_vdec_Run().

commit 25c83d445a18e4107ca87e2f7957a12ebb71eaa6
Author: Christophe Massiot <massiot@videolan.org>
Date:   Wed Nov 21 16:47:46 2001 +0000

    (Hopefully) fixed the network connect() bug under UNIX. I need
    confirmation that I didn't break the Win32 port, please.

commit 8b949d08fdcebaaacc81427f68a4b6f5b94fcfc3
Author: Christophe Massiot <massiot@videolan.org>
Date:   Wed Nov 21 10:47:20 2001 +0000

    Fixed compilation bugs with Qt and BeOS (henriiiiiiiiiiiiiiiiiiiiiiiii !!)

commit d04d186e343ee397c133feb8ae150dc96d0a100b
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Nov 19 23:49:43 2001 +0000

      * aRts audio output courtesy of Emmanuel Blindauer <manu@agat.net>.
      * Fix to the esd plugin when esd-config --cflags is nonempty.

commit 063772292e77d46c83953c7085d31d153a22cdb2
Author: Stéphane Borel <stef@videolan.org>
Date:   Mon Nov 19 15:13:11 2001 +0000

    -fixed a bug in libdvdcss: the key wasn't searched when it had to.
    
    dvdcss_seek : searches a new title key when
    	-the flag is DVDCSS_SEEK_KEY,
    	-the flag is DVDCSS_SEEK_MPEG, only if method is not "title".
    
    dvdcss_seek with DVDCSS_SEEK_KEY flags does actually the same things as
    dvdcss_title (which might eventually be removed).
    
    Thus, the flag DVDCSS_SEEK_KEY (formerly DVDCSS_SEEK_INI) could not be
    removed (sorry sam, I've mistaken you by forgetting that)

commit 0050c5308561f7dcbf62d61bd005b20bcc8df6c4
Author: Stéphane Borel <stef@videolan.org>
Date:   Fri Nov 16 00:29:52 2001 +0000

    * --chennels puts gtk/gnome in multi-channel network mode.
    
    * the network window of the interface reports the values of the environment
     variables.
    
    * channels mode excludes vls configuration
    
    * the vlc does not try to bind vls.via.ecp.fr by default when you select
     channels mode.

commit 332312e725a3b88c594c67c8970fc620c07753a1
Author: Xavier Marchesini <xav@videolan.org>
Date:   Thu Nov 15 21:27:53 2001 +0000

    Removed my modification, it seems the libs we're linking with are far
    too old to support this option. And it also seems it doesn't function
    anywhere out of my box :)

commit 5ea5076a0b3a0664acac2640d34d2bf9dbce1021
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu Nov 15 18:50:49 2001 +0000

      * Fixed MacOS X 10.1 network input, thanks to Mathias Kretschmer
        <mathias@research.att.com>.

commit 3e5f531b388d4e03c01b45387d80649b52824fcc
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu Nov 15 18:11:50 2001 +0000

      * Fixed a little crash introduced in my previous commit :-)
      * Removed more unused code.

commit 4a0dae0183e6571cfee4bb5511189da33e67dc03
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu Nov 15 17:39:13 2001 +0000

      * Fixed a few crashes due to race conditions in the decoder spawning.
      * Removed unused code here and there.

commit 63eddb9ecc9b370ba9a4c932fa6e13e1e2d13a49
Author: Christophe Massiot <massiot@videolan.org>
Date:   Thu Nov 15 16:15:59 2001 +0000

    Removed unused structure.

commit 2840daffcf32529b5af2c4b01d269a75056f6897
Author: Xavier Marchesini <xav@videolan.org>
Date:   Wed Nov 14 23:19:38 2001 +0000

    Please, please, don't forget those who use the --with-directx flag when
    ./configuring ! :p
    Now, to configure directx, use the --enable-directx and --with-directx
    if necessary.

commit 7602c5360d87066efe13d31cd6cfc37b392be5b9
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Nov 14 18:08:27 2001 +0000

    - The ./configure script is more friendly for Win32 users.
        ( xvideo, x11 and dsp plugins are not enabled by default for win32,
          plus a few other Win32 cosmetic changes )
    - Updated the INSTALL-win32.txt file.
    
    (Let's hope I didn't break anything ;-)

commit 48f385eee7949aad4afdc557bbd56ba4b67b51d9
Author: Christophe Massiot <massiot@videolan.org>
Date:   Wed Nov 14 16:55:05 2001 +0000

    Fixed a bug in altivec detection on MacOS X.

commit 28fdcbbbf7e8cc45fbdb6486368e3cc47f12e388
Author: Xavier Marchesini <xav@videolan.org>
Date:   Wed Nov 14 04:55:49 2001 +0000

    It seems that the 'focus' bug under WinME is solved. Could someone with
    a 98 check, and someone under win2k check that nothing is broken ? :)

commit 7027d05faf8c26959d4bfd3572afe6425a0662aa
Author: Stéphane Borel <stef@videolan.org>
Date:   Wed Nov 14 03:38:11 2001 +0000

    -moved warning message to debug message in spdif pass-through plugin
    
    -changed a bit the wait time. It works better here, please test (Bozo ? 0:-)

commit 6cbaf162518ccb1da55ea3dc0569f392b692d50c
Author: Jon Lech Johansen <jlj@videolan.org>
Date:   Wed Nov 14 00:01:36 2001 +0000

    The default file-translation mode was not being set under win32.
    In other words, file playback in 0.2.91 does not work. For de-
    scheduling threads use a 0ms sleep instead of 1ms, as it was
    causing problems under WinXP. I hope this does not introduce
    problems under previous windows versions. I noticed it was
    originally 0ms, but later changed to 1ms...

commit 50366aa6da439bd704604969b96b92f8486a5e6d
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Nov 13 18:10:39 2001 +0000

      * Fixed heap corruption issues in ac3dec (thanks reno).

commit e84a7e7a8981e50eed770129590a2e7c4aaada01
Author: Christophe Massiot <massiot@videolan.org>
Date:   Tue Nov 13 16:28:05 2001 +0000

    Typo.

commit 314ac3af7b7a96015ceb40b7e69d7f82199350a2
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Nov 13 16:00:54 2001 +0000

      * Fixed a crash when using `--input dvd /dev/dvd' instead of `dvd:/dev/dvd'

commit 3355a621a95f10cb708c90acec874a2de4242ad5
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Nov 13 15:08:25 2001 +0000

      * configure should no longer assume AltiVec is supported when it actually
        isn't with buggy compilers and/or pre-set $CFLAGS.

commit 133d5c2b5690825d38a5393635ae6f8b4979d85f
Author: Christophe Massiot <massiot@videolan.org>
Date:   Tue Nov 13 12:19:13 2001 +0000

    RPM builds.

commit ec945137a1744bed45f46315ed39d76816eed8aa
Author: Henri Fallon <henri@videolan.org>
Date:   Tue Nov 13 12:15:21 2001 +0000

    Forgot Changelog.
    Began to re-read the documentation.

commit b74849a186001ff74ae39529851f56bee3b98575
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Nov 13 12:11:27 2001 +0000

      * Commited my little release-howto (only useful to core vlc developers).

commit 49a0736e1c0224ace17fd8598de948439dd0ed03
Author: Henri Fallon <henri@videolan.org>
Date:   Tue Nov 13 12:09:18 2001 +0000

    All decoders (audio, video, subtitles) are now modules.
    
    - mpeg_vdec, mpeg_adec and ac3_adec are builtins by default
    - ac3_spdif, spu_dec and lpcm_dec are plugins by default

commit bee557f98039f3af8f3d69715b8ba4f5b4f242fd
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Nov 13 11:44:15 2001 +0000

      * Closing Debian bug #119369 which was fixed a while ago.

commit fc162d4f6a34145d44c7bce2fc1702537e556ac1
Author: Christophe Massiot <massiot@videolan.org>
Date:   Tue Nov 13 11:05:49 2001 +0000

    Bumped up version number to 1.0.0 :p.

commit 99722c931ae89758c282d02bf8e748b1b6be7b36
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Nov 13 02:03:46 2001 +0000

      * Damn recursion! Fixed an infinite loop in libdvdcss.

commit 0bb015ee9d10bb43e4afd539d3daf926b215c5a6
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Nov 13 01:25:05 2001 +0000

      * Got rid of DVDCSS_SEEK_INI in libdvdcss.

commit ff09b15b4de5a6efa5f5a64a64845cb385cbe05a
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Nov 13 00:46:23 2001 +0000

      * Added a "make package-beos" rule.
      * Fixed a BeOS compilation issue.

commit b3248bd547640b8a83dfea998573effc4a045eac
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Nov 12 23:56:53 2001 +0000

      * Fixed the vlcs communication for real now.

commit cdf126129d9ea4f4842d7837439fb0cea517692b
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Nov 12 22:42:56 2001 +0000

      * Fixed the vlcs communication issue by initializing WinSock at
        startup (thanks Meuuh for the tip).

commit 6389eac3e3d444e5049f95918eccf60f42fbdb5d
Author: Christophe Massiot <massiot@videolan.org>
Date:   Mon Nov 12 20:49:44 2001 +0000

    Bumped up version number to 0.2.91.

commit bc3a3e627473850d02015f846cc71541adb4e6f6
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Nov 12 20:44:19 2001 +0000

      * Fixed a bug in the "make snapshot*" rules.

commit a264d0321011bd88241f53eb7f02052f4a6e609d
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Nov 12 20:16:33 2001 +0000

      * Made everything ready for a vlc-0.2.91 / libdvdcss-1.0.0 release.
      * Updated ChangeLog and ChangeLog.libdvdcss.
      * Increased vlcs response message length.
      * Removed the i_flags argument to dvdcss_open. Everything is done through
        environment variables now.

commit b5b61d8498fa16349732cf30be577d3d24ff8d1d
Author: Christophe Massiot <massiot@videolan.org>
Date:   Mon Nov 12 13:22:08 2001 +0000

    Added FAQ.

commit 30c31e8c989c4ce76285999f8b627198e79e0d62
Author: Christophe Massiot <massiot@videolan.org>
Date:   Mon Nov 12 12:54:16 2001 +0000

    New --channelserver switch.

commit 693e4708d9319ec64f7a009fe4a8d3e0cf5378ec
Author: Christophe Massiot <massiot@videolan.org>
Date:   Mon Nov 12 11:37:30 2001 +0000

    Documentation updates.

commit 2dccc4a495858a1fbdb110009b047b238fb61e35
Author: Christophe Massiot <massiot@videolan.org>
Date:   Mon Nov 12 11:30:44 2001 +0000

    ipkg script for Familiar Linux 0.5 & bug fix in debian/rules.

commit 5a504996842d0363fd940e3f69b1c7bdfefd846c
Author: Christophe Massiot <massiot@videolan.org>
Date:   Mon Nov 12 11:13:18 2001 +0000

    Disabled DirectX audio output for the time being.

commit 848a009a8928c5e06e0673ac100c6b1cc0ebce32
Author: Christophe Massiot <massiot@videolan.org>
Date:   Mon Nov 12 10:33:42 2001 +0000

    Corrected a typo.

commit ca194833350ebd9c14ba32929ab8fc4071e4d7c7
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Nov 12 05:15:39 2001 +0000

      * Added Oct's NSIS installer script. It will probably not work for you,
        but I need it to build the Win32 auto installer.

commit 043b5c89b6962c3ad7c4d19f5b631fb0eb9f10f5
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Nov 12 04:12:38 2001 +0000

      * Automatic handling of the Channel Server's response in network mode.

commit b70a26fa313b0e0bb6154d38a9946bc0419e625d
Author: Stéphane Borel <stef@videolan.org>
Date:   Mon Nov 12 03:07:13 2001 +0000

    -LPCM _is_ a private stream. Sorry.
    
    -GetMACAddress takes the interface defined in the environment variable
    vlc_iface instead of eth0

commit 5a7803e0c57019e92e4c81ccd7a45edf6a5be2e9
Author: Stéphane Borel <stef@videolan.org>
Date:   Mon Nov 12 01:56:33 2001 +0000

    -Fixed bug with MPEG audio in TS streams: MPEG audio & LPCM are _not_
    private ES :p

commit 4865e312de483f217ab441f93b454288c7e3ce7b
Author: Sam Hocevar <sam@videolan.org>
Date:   Sun Nov 11 18:15:42 2001 +0000

      * Fixed compilation (and quite probably runtime) issues under IA64
        due to mixed int/void* casts.

commit 7c4ea8d0a868594ce2e559abd024c5c0f446266d
Author: Jon Lech Johansen <jlj@videolan.org>
Date:   Sun Nov 11 04:51:10 2001 +0000

      * Fixed a buffer overflow in CSSAuth()

commit 81cfe15f7a54ebbc32b0a7fe8d33fa6c0ba5246b
Author: Stéphane Borel <stef@videolan.org>
Date:   Sun Nov 11 01:32:03 2001 +0000

    -Merged DVD netlist with input netlist to remove duplicated code.
    Basically, this adds the ability for the netlist to handle transport
    packets that carry more than one data_packet.

commit 2ebfdccd5b4836bff717779cbe53b60a353d4f89
Author: Christophe Massiot <massiot@videolan.org>
Date:   Fri Nov 9 13:49:27 2001 +0000

    * BSD/OS VCD patch, courtesy of Steven M. Schultz <sms@TO.GD-ES.COM>
    * Win32 network fix.

commit caf9e0ac6322c3e8e784fd43c0d69fb2d01c8460
Author: Renaud Dartus <reno@videolan.org>
Date:   Fri Nov 9 10:02:31 2001 +0000

    * imdctsse should now compile and work in plugin and under BeOS

commit 339de4e8414e2ab5f28ecd6155327d21d77d756b
Author: Jon Lech Johansen <jlj@videolan.org>
Date:   Thu Nov 8 21:07:24 2001 +0000

      * Fixed a mingw32 problem I introduced last night :)

commit eb1815f0467ddeb450420e9a74dd7f0d7e51238b
Author: Stéphane Borel <stef@videolan.org>
Date:   Thu Nov 8 14:45:44 2001 +0000

    -kludge to have less discontinuity after a zero scr in DVD.
    
    Maybe we should try to predict the date instead of taking the last one but
    it seems quite hard.

commit 3129e03de2ac67b57b5dcf10f771e0dc03bb4647
Author: Jon Lech Johansen <jlj@videolan.org>
Date:   Thu Nov 8 01:48:09 2001 +0000

      * Fixed some win32 64-bit issues.

commit fa2a82105fb35f498f5d7170a7a2073667ec49f8
Author: Jon Lech Johansen <jlj@videolan.org>
Date:   Wed Nov 7 22:58:13 2001 +0000

      * Fixed some win32 compile issues.
      * Don't use long long, use u64/s64 (int_types.h).

commit 20e2160e70facee07677d181796a200ef315d8e6
Author: Stéphane Borel <stef@videolan.org>
Date:   Wed Nov 7 17:42:04 2001 +0000

    -forgot one file

commit 6faa194306c002c1e8ba3f8525b0221fd575084f
Author: Stéphane Borel <stef@videolan.org>
Date:   Wed Nov 7 17:37:16 2001 +0000

    *Move function that translates language codes into country name in src/misc
    so that every plugin can use it
    
    *Change the name of a function in dvd_udf.c to fit with the forthcoming
     libdvdread plugin.

commit 54c06952decf3635a1e23c253128504faf409c7b
Author: Christophe Massiot <massiot@videolan.org>
Date:   Wed Nov 7 10:34:28 2001 +0000

    Added fgp.

commit 1dea13db3581a4975cd9b4c4d2b7eb338b92465f
Author: Stéphane Borel <stef@videolan.org>
Date:   Wed Nov 7 03:37:27 2001 +0000

    *Corrected � long time bug (around 0.2.81 I think), that created a
    corruption in ifo data. This was the reason why some DVDs that worked with
    0.2.80 no longer worked with newer version of vlc. They should work again
    now.
    
    This is certainly one of the last updates of the current DVD plugin until
    we move to libdvdread that will give us navigation ES.

commit 76044a950eb50cf1a8c3cba328b31f08fb34a5ea
Author: Stéphane Borel <stef@videolan.org>
Date:   Wed Nov 7 02:10:14 2001 +0000

    I've committed crap last time.

commit e60fe69d2653df80dd96ebe0b1bdd1b1aef1022e
Author: Christophe Massiot <massiot@videolan.org>
Date:   Tue Nov 6 18:13:21 2001 +0000

    Removed deprecated code and structures.

commit fb5aad8d176371d5a42e3a8aff7eedc1d1145815
Author: Christophe Massiot <massiot@videolan.org>
Date:   Tue Nov 6 17:12:02 2001 +0000

    New --enable-release config option.

commit 72baa59137f2a6666a90f13ff6f13bc2cd34f11d
Author: Stéphane Borel <stef@videolan.org>
Date:   Tue Nov 6 16:59:06 2001 +0000

     Maybe corrected aspect ratio issue in fullscreen xvideo.

commit b0f6c87b83b18c6d198e0b5e3228dda46c982ff3
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Nov 6 00:59:31 2001 +0000

      * Fixed support for SPU and LPCM streams over network.

commit 015b2567df860d2a45374acf024e9de03f18816e
Author: Florian G. Pflug <fgp@videolan.org>
Date:   Mon Nov 5 21:24:40 2001 +0000

    Added a new drawer to the control window to support:
    1) Title / Chapter selection
    2) Subtitle selection
    3) Audiochannel/Language selection
    4) Angle selection

commit 78885615d18c322cdc3d3cae39dd91ce9b4c6313
Author: Christophe Massiot <massiot@videolan.org>
Date:   Mon Nov 5 15:22:44 2001 +0000

    New --volume option (untested, like usual :).

commit e160ea976655e7f14a513c40e152fe66e882581a
Author: Christophe Massiot <massiot@videolan.org>
Date:   Fri Nov 2 13:30:38 2001 +0000

    * libdvdcss port to OpenBSD.

commit b6fcfff5ba308997a2d379f6dbe504ede54135b1
Author: Florian G. Pflug <fgp@videolan.org>
Date:   Thu Nov 1 21:58:16 2001 +0000

    Reimported Intf_Controller, connected "File/Open/File" to Intf_Controller::file:Open.

commit 608f4b5b55099c1f1045032687b1e78ff48621cf
Author: Jon Lech Johansen <jlj@videolan.org>
Date:   Thu Nov 1 21:55:47 2001 +0000

    The intf was being accessed indirectly from vout_Destroy.
    This is a problem because the intf is currently destroyed
    before the vout.

commit bd4d55d72e311ff4c8ac2c50568163dbb98ede2e
Author: Florian G. Pflug <fgp@videolan.org>
Date:   Thu Nov 1 21:52:02 2001 +0000

    Made it possible to open a File after vlc was started (you can use vlc now
    without starting it from the command line)
    
    Cleaned up playlist handling in Intf_Vlc_Wrapper.

commit 52945c019d78869287c46e16aa03d579874a171d
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu Nov 1 15:30:50 2001 +0000

      * Modified the pf_close kludge in input.c so that we don't segfault when
        pf_init fails.

commit 1223a96c5e171a00416e54f9c17f883173938ab8
Author: Stéphane Borel <stef@videolan.org>
Date:   Thu Nov 1 13:35:43 2001 +0000

    Change chapter selection buttons aspect to try and differentiate them
    from title selection ones.

commit 51235462bc4aa6a2194dde017289b5abf729d6b4
Author: Tony Castley <tcastley@videolan.org>
Date:   Thu Nov 1 03:17:49 2001 +0000

    changes to remove unwanted volumes from the Disk Menu.
    Readonly filesystems like NTFS where being incorrectly added.

commit 6d117d04fb698c6ffdc2778012a267bbf3fdb3e9
Author: Cyril Deguet <asmax@videolan.org>
Date:   Thu Nov 1 00:29:54 2001 +0000

    - Do not resample if delta is short enough

commit 6ac2aafab2a60557b25dc699648801c20c9c4b26
Author: Renaud Dartus <reno@videolan.org>
Date:   Wed Oct 31 11:55:53 2001 +0000

    * Fixed a segfault on exit under Windows 2000

commit 96e3c332a22acc183e49220171e06b077dfb26c7
Author: Christophe Massiot <massiot@videolan.org>
Date:   Tue Oct 30 23:45:08 2001 +0000

    Fixed mistakes in my previous commit.

commit 789feab938b46ef76e76acd7d3edb7de79aaa4c3
Author: Cyril Deguet <asmax@videolan.org>
Date:   Tue Oct 30 21:38:24 2001 +0000

    - Enabled http button in gtk/gnome interface
    - Fixed a polioterie from previous commit

commit e5b4af919b6914075cc47b2d1fef32f29e6250a7
Author: Renaud Dartus <reno@videolan.org>
Date:   Tue Oct 30 19:34:53 2001 +0000

    * Use memalign for aligned data (instead of a greek malloc)
    * Some optimization in imdct (all data are now aligned)
    * SSE downmix now works for windows
    * SSE imdct is desactivated for windows (MINGW32 doesn't know how to aligned data)

commit a940bf7231df8d18baae0fd8fcff532417266999
Author: Cyril Deguet <asmax@videolan.org>
Date:   Tue Oct 30 12:49:59 2001 +0000

    - Changed default configuration for vls/vlcs hostname/IP

commit 132e2e77a4ea9ae458af78bd30dd9373bb663c85
Author: Christophe Massiot <massiot@videolan.org>
Date:   Tue Oct 30 10:57:37 2001 +0000

    Fixed '-' input.

commit 85762c9e48358ab7280034d2ac22800ca41d3730
Author: Christophe Massiot <massiot@videolan.org>
Date:   Tue Oct 30 10:48:14 2001 +0000

    New interface for MacOS X, courtesy of Florian G. Pflug.

commit 19d2ac07da25cd798d640053869e998c610e9365
Author: Tony Castley <tcastley@videolan.org>
Date:   Mon Oct 29 11:07:09 2001 +0000

    Interface changes to include menu for Title and chapter navigation.
    Also improved more "BeOS" CD detection.
    Todo new graphics for the navigation controls.

commit 6601f3612f8d47de3de802d0c52884681a5fe57c
Author: Christophe Massiot <massiot@videolan.org>
Date:   Fri Oct 26 16:23:06 2001 +0000

    VLC FAQ TBU.

commit aac41b80325c69b9e66a95f8730f0d5a838d5208
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Oct 23 23:41:00 2001 +0000

      * Synced dummy_dvdcss with Stef's changes to libdvdcss.
      * configure now compiles the VCD plugin if linux/cdrom.h is present.

commit 452aa3bebed19c531505f35109b2069bcec4f724
Author: Johan Bilien <jobi@videolan.org>
Date:   Tue Oct 23 03:17:49 2001 +0000

    Sorry,
    
    the VCD input arrives now :)
    
    I'd better go to bed !

commit a276a98ae40d306bd021281911087448f4b0563c
Author: Johan Bilien <jobi@videolan.org>
Date:   Tue Oct 23 03:06:50 2001 +0000

    Added VCD input plugin for Linux :
    
    The Linux specific stuff is located in linux_cdrom_tools files.
    For the time being, it only has title (tracks). Chapters will come if I
    ever can read .vcd files.
    I've modified Gnome and GTK+, not the others.
    I've noticed a big bug, it segfaults at the end of a title. I will
    have a look on this tomorrow.
    Please be indulgent, it's my first peace of code ;-)

commit 66cf4426bfaa4f8063ed80d87162c148caa8b530
Author: Christophe Massiot <massiot@videolan.org>
Date:   Mon Oct 22 15:17:19 2001 +0000

    Fixed ATTR_ALIGN configure test.

commit 8629b876dcd2ef824e12746e4ff679938630b664
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Oct 22 14:07:36 2001 +0000

      * Fixed NetBSD (and probably OpenBSD) libdvdcss compilation.

commit 4c7a79ddc3ed04fab78b1e7ed16dbdea8583f098
Author: Christophe Massiot <massiot@videolan.org>
Date:   Mon Oct 22 12:28:53 2001 +0000

    Fixed compilation problems with OpenBSD.

commit 34487b0b6c6389d7f061dc09e571551ff8176622
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Oct 22 12:02:17 2001 +0000

      * xvideo.so is now built in by default. Mixing PIC and non-PIC code was not
      very nice.
      * Fixed compilation errors in src/interface/main.c when the compiler did
      not support SSE or 3DNow! inline assembly.

commit 3cf37ffe7220fcda493c682eea321323ab370a10
Author: Christophe Massiot <massiot@videolan.org>
Date:   Mon Oct 22 11:35:45 2001 +0000

    Qt fix courtesy of Christopher Johnson <cjohnson@mint.net>.

commit 8f954dc42ff59cdb32d8c217e9cd705691635605
Author: Xavier Marchesini <xav@videolan.org>
Date:   Mon Oct 22 02:33:54 2001 +0000

    The vlc now crosscompiles smoothly without having to correct one file
    BUT this is UGLY ! We HAVE to find a way to make multicast function
    under Win32.
    
    BTW, it does now definitely read TS Streams, locally or from the network.

commit 7a3cca8a8309cdd33dcab40f2d2358ead6b700bb
Author: Johan Bilien <jobi@videolan.org>
Date:   Mon Oct 22 00:43:23 2001 +0000

    *** empty log message ***

commit 8e796dbf4448236b8dc6cdeea45d64742da435b4
Author: Loïc Minier <lool@videolan.org>
Date:   Sun Oct 21 23:17:03 2001 +0000

    Moved unlock in the if structure. This suppresses the dead_lock which
    was crashing the windows port in TS_input.
    
    The audio still segfaults.

commit 1dc1aa8e1e2421d1bfe423c1b511041c3de1b1e1
Author: Tony Castley <tcastley@videolan.org>
Date:   Sun Oct 21 06:06:20 2001 +0000

    Resizing the video out window in BeOS now retains the scaling.

commit 20fece044b591b7e84eea707230c2f3158df4dc7
Author: Tony Castley <tcastley@videolan.org>
Date:   Sun Oct 21 06:05:30 2001 +0000

    Tidied up the code to remove interface messages not required.

commit e31174ddfe1e26523c28773f2b0d865574c10f9e
Author: Eugenio Jarosiewicz <ej@videolan.org>
Date:   Thu Oct 18 23:13:46 2001 +0000

    * Fixed undefined KEY_SIZE compile bug mentioned by Dave Thorup
    * Fixed CSS ioctl for Darwin/OSX - still might need tweaking of 'dataLength' fields
    * Added ReadTitleKey ioctl for Darwin/OSX
    * Minor cleanup

commit 7a174310a0a01bd0565e0454ecf6141b6606e99e
Author: Stéphane Borel <stef@videolan.org>
Date:   Tue Oct 16 16:51:28 2001 +0000

    -defining TRACE_DVDCSS in config.h displays libdvdcss debug message.
    -libdvdcss error messages are reported in input_dvd.c.
    -vlc verbosity also enables more error messages from libdvdcss.

commit 9a3c67ba11661e45a8856d7080c94e088a42309e
Author: Stéphane Borel <stef@videolan.org>
Date:   Tue Oct 16 10:46:24 2001 +0000

    Removed unnecessary headers added by error.
    
    It should fix libdvdcss compilation issue on non-linux platforms.

commit b6370eb065a5b68eed8d28c401a08f3d2da34096
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Oct 15 14:59:56 2001 +0000

      * Fixed an error in the ts://server[:port][/broadcast] input parsing.

commit 6ea68caa3d291b5ca003246eefe04d0bc728dbc3
Author: Stéphane Borel <stef@videolan.org>
Date:   Mon Oct 15 13:33:00 2001 +0000

    Reverted one change from my previous commit: when using title cracking
    method in libdvdcss, the key is only checked at title start, not before each
    chapter.
    
    The behaviour when we have decrypted the disc key is to check the key before
    each seek (although I'm still fighting against a bug).

commit beda27837feb875ff28d2540fb3f189d39f2d050
Author: Stéphane Borel <stef@videolan.org>
Date:   Sun Oct 14 03:26:20 2001 +0000

    Use of an environment variable to choose libdvdcss method.

commit 88a154951c7ed40ebe06896208fab71e91537971
Author: Stéphane Borel <stef@videolan.org>
Date:   Sat Oct 13 15:34:21 2001 +0000

    New features for libdvdcss: we have three ways now to decode a title key.
    
    1) Crack the title key (the method that was here before). The only change
    here is that we search the key for the exact chapter we are seeking with
    DVDSetArea (in case the key has changed within a title). It is maybe not a
    good idea.
    
    2) Crack the disc key, which allows us to decode instantly all title keys.
    I've used an algorithm from Frank Stevenson ; it eats much memory (64MB),
    and takes about 15 s at launch time.
    
    3) Decode the disc key with player keys (libcss method). However, you need
    licensed player keys at build time for that to work.
    
    To choose between libdvdcss methods, a command line options is supplied:
    
            vlc --dvdcss <method> where method is one of title, disc, key.
    
    Note that all these changes only work with linux now, since we have to add a
    specific ioctl to read title key. I hope that I haven't broken too many things.

commit 563c5e1733a6ea7bb755c683760f45990df81986
Author: Christophe Massiot <massiot@videolan.org>
Date:   Thu Oct 11 16:12:43 2001 +0000

    * Minor video parser optimization ;
    * SDL now displays an error message on 422 streams.

commit 3861944d93fbc7b5ece7b2647ec438b9f2f3755c
Author: Christophe Massiot <massiot@videolan.org>
Date:   Thu Oct 11 13:19:27 2001 +0000

    * Chroma 4:2:2 and 4:4:4 support in the decoder.
    * Fixed bugs in the C YUV transform with 4:2:2 format.

commit bfd9535ddded82eb54f5382e6ccdc139e6e8cefd
Author: Christophe Massiot <massiot@videolan.org>
Date:   Thu Oct 11 11:28:42 2001 +0000

    * Fixed bugs in RPM spec files ;
    * Fixed a bug in configure where ix86 machines were improperly detected.

commit a321dc6b773970a8ddc3709ccc58fa2d2caf0f28
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Oct 10 15:18:55 2001 +0000

      * Fixed bad ChangeLog formatting.

commit ff9c8878c5b4abf79df3316bcd1e73530f4d0c45
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Oct 10 14:25:15 2001 +0000

      * 0.2.90 release.
      * Updated ChangeLog files.
      * XVideo module now compiled as built-in for Debian packages, to avoid
        PIC and non-PIC code collision (Closes Debian bug #111790).

commit 90c9dfa9001c80f44e1009d8f618ec54393ae627
Author: Christophe Massiot <massiot@videolan.org>
Date:   Tue Oct 9 11:46:08 2001 +0000

    MacOS X port : replaced -traditional-cpp (deprecated) with -no-cpp-precomp.

commit 25095c7a58d47066a11e05fb6a027ade5e37cfab
Author: Christophe Massiot <massiot@videolan.org>
Date:   Mon Oct 8 23:10:28 2001 +0000

    Beuheuheuheuhuehueuhuehuehu forgot to add new QuickTime files :*-(((

commit 28c71156ee8820ea39f183ec9a9b8d7fcc386ea3
Author: Christophe Massiot <massiot@videolan.org>
Date:   Mon Oct 8 16:20:25 2001 +0000

    MacOS X port : native QuickTime video output, courtesy of Florian G.
    Pflug <fgp@phlo.org>. Use it with -I macosx_qt.

commit f5da07b64a38e9d46a2ff9d26ce2976ba29622c8
Author: Christophe Massiot <massiot@videolan.org>
Date:   Mon Oct 8 09:21:57 2001 +0000

    Fixed bugs in the altivec detection, courtesy of Michel Lanners <mlan@cpu.lu>.

commit c15864dbad0d44d57c8b5d076e4a9c70fefe7add
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu Oct 4 00:50:24 2001 +0000

      * Added HTTP url drop (from a WWW browser) to the gtk/gnome interface.

commit 882422ab19bd124e3c5d7558abe11eb03188e66c
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Oct 3 15:10:55 2001 +0000

      * Added User-Agent header in the HTTP input.
      * Fixed an input segfault which occured using ES input.

commit 5d011ad3662259f31f0cbb37460ee3f7cfb710fb
Author: Christophe Massiot <massiot@videolan.org>
Date:   Wed Oct 3 14:41:08 2001 +0000

    * Enhanced --with-tuning
    * Fixed a nasty segfault

commit 19868f141cecb7e2803c8d267a4464b15b568a41
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Oct 3 13:14:05 2001 +0000

      * Added an endianness check for cross-compilations.
      * We now check for sys/times.h.

commit f46ba5d4ee141f8f6e9ae8e573e620f1a53eb4bd
Author: Christophe Massiot <massiot@videolan.org>
Date:   Wed Oct 3 12:58:57 2001 +0000

    * Repaired dummy input broken yesterday.

commit 36ac7f925aafbaca7b7145c77cf24eb3bf46385b
Author: Christophe Massiot <massiot@videolan.org>
Date:   Wed Oct 3 12:46:17 2001 +0000

    * Minor ShowBits() optimization ;
    * Fixed a bug in vlc.spec ;
    * New --disable-plugins option ; make all plug-ins built-in.

commit 6811de9c7debfde1b0cfdf1229e9d3f318d8b0e0
Author: Christophe Massiot <massiot@videolan.org>
Date:   Wed Oct 3 10:12:52 2001 +0000

    Info : you can use #ifndef instead of #ifdef... #else :p

commit 9deacf84570335bd87d844a621a36fe012edc3e8
Author: Xavier Marchesini <xav@videolan.org>
Date:   Wed Oct 3 03:32:05 2001 +0000

    The vlc now compiles when cross-compiling with Mingw32. It segfaults
    while browsing plugins (modules.o, it seems).
    
    Oh, btw, stats won't work under win32, since <sys/times.h> and the
    function times don't seem to exist.
    
    Sam, may I speak with you tomorrow about modules.c ?

commit 03c8e0793606171a2834766fee0cfc491e86aa29
Author: Xavier Marchesini <xav@videolan.org>
Date:   Wed Oct 3 02:53:49 2001 +0000

    Modified configure.in to allow cross-compiling with Mingw32.
    Quick and ugly, i'm gonna find a better way to do it.

commit b5290e75aff2647876d69533f1e6a88be3f854cc
Author: Tony Castley <tcastley@videolan.org>
Date:   Wed Oct 3 02:20:39 2001 +0000

    Updated to compile on BeOS.

commit 2215be5f6e3f0d151349834951834ab60a75faf1
Author: Tony Castley <tcastley@videolan.org>
Date:   Wed Oct 3 02:19:21 2001 +0000

    Changes to ensure the BeOS compile still works.

commit 55cf7e7c94443046e3847e818295cd43ff21677a
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Oct 2 17:09:44 2001 +0000

      * Added HTTP virtualhost support in the HTTP input.
      * Enabled mouse clicks in the GGI plugin.
      * Minor Makefile alteration.

commit c67dcbe71be7ae51dc03fbedc104b84f586c8450
Author: Christophe Massiot <massiot@videolan.org>
Date:   Tue Oct 2 17:04:43 2001 +0000

    * Fixed a warning in input_es.c ;
    * Don't connect on INADDR_ANY, patch courtesy of Mathias Kretschmer
      <mathias@research.att.com>.

commit ce0e4dd13e2e36b1a81f85523c7c69252443f485
Author: Christophe Massiot <massiot@videolan.org>
Date:   Tue Oct 2 16:46:59 2001 +0000

    * Cleaned up sam's mess with input's pf_open and pf_close (not completely) ;
    * With -vvv modules now show up their scores ;
    
    This afternoon I have been a little bored, so the feature of the day is :
    * HTTP input support.
    
    You can test it with :
    ./vlc http://mysite.com:80/mystream.mpg
    It doesn't implement any kind of buffering, so make sure you have enough
    bandwidth, otherwise you'll just get nothing.
    
    It is compatible with HTTP proxy, just set http_proxy :
    export http_proxy="http://proxy.mycompany.com:3128/"
    
    Enjoy !

commit 62ba06e09fc94d25cbcc7f51e7bf1e82b4567d22
Author: Christophe Massiot <massiot@videolan.org>
Date:   Tue Oct 2 13:34:56 2001 +0000

    * Borrowed Mandrakesoft's vlc.spec and libdvdcss.spec ;
    * New configure option --with-tuning=[arch], extending --enable-pentiumpro ;
    for Pentium, use --with-tuning=pentium, for PowerPC 604 use --with-tuning=604,
    and so on.

commit 3c607262314ad19d91c24356f073a85f1f50ce17
Author: Christophe Massiot <massiot@videolan.org>
Date:   Mon Oct 1 16:44:07 2001 +0000

    Dramatically improve compilation time, with a negligible performance
    tradeoff.

commit 6cd676bcf981a014a5237bb42add647ddc90cdaf
Author: Christophe Massiot <massiot@videolan.org>
Date:   Mon Oct 1 16:18:49 2001 +0000

    * Removed -march=pentiumpro ; should now work on pentium-class machines ;
    * Removed --enable-stats configuration directive. Stats are now activated
    at runtime with --stats ;
    * New intf_StatMsg() call ;
    * Vout picture heap is now 8 pictures instead of 5 (better synchro) ;
    * Tremendous enhancements in statistics display ;
    * Better capabilities handling.

commit e6a8d661eda24a5fa7d125e68861972232e051fd
Author: Christophe Massiot <massiot@videolan.org>
Date:   Mon Oct 1 12:48:01 2001 +0000

    Error checks in debug mode : pthread ERRORCHECK_MUTEX and MALLOC_CHECK_=2.

commit d8797a48279d912772604ac107e83ab315fef5b2
Author: Christophe Massiot <massiot@videolan.org>
Date:   Mon Oct 1 10:27:17 2001 +0000

    "added support for an unusual construct at the start of some
    slices", says walken :-).

commit 5377385dcf77f8f45af8049602afc3991da7ccf4
Author: Arnaud de Bossoreille de Ribou <bozo@videolan.org>
Date:   Sun Sep 30 20:25:13 2001 +0000

    Small optimisation of my previous commit.

commit 50f91594e1ae8ea176b418a7287943c57712d5aa
Author: Stéphane Borel <stef@videolan.org>
Date:   Sun Sep 30 01:26:44 2001 +0000

    . in spdif ac3 in selected by default

commit 60c8b99f307b1521d59665c7e87c2981727c85d9
Author: Stéphane Borel <stef@videolan.org>
Date:   Sun Sep 30 01:05:37 2001 +0000

    . video output grows to respect acpect ratio instead of shrinking (not
    in x11 because it takes cpu to resize a picture)
    
    . disable dpms in xvideo

commit 0c37a6cf08c79b5dd2823c19d032a0870e48d3f2
Author: Stéphane Borel <stef@videolan.org>
Date:   Sun Sep 30 00:33:22 2001 +0000

    .better handling of the buffer of the sound driver to try to remove
     sratches in spdif.
    
    Thanx to bozo for his help :)

commit 529d96caaf71aaedd747916cbd3df7dd5ff4e95f
Author: Arnaud de Bossoreille de Ribou <bozo@videolan.org>
Date:   Sat Sep 29 14:52:01 2001 +0000

    Fix bad dates in ac3 spdif "decoder" (playing with the bit stream is very
    funny).
    Thanks to Stef for his ideas, Meuuh for his bit stream, and Sam for his
    trolls :)

commit 6024a98e77c1e993ee62315a3e44f727cf89e5bf
Author: Christophe Massiot <massiot@videolan.org>
Date:   Fri Sep 28 15:24:11 2001 +0000

    Darwin ioctl, courtesy of ej0.

commit 752b854eaa7dc3302cc20fcb6b28476adfaa12de
Author: Christophe Massiot <massiot@videolan.org>
Date:   Fri Sep 28 15:08:40 2001 +0000

    Fixed bugs in the MacOS X port.

commit e61bfa60ff49d57b5e2243cc18b3e5beea9b2064
Author: Christophe Massiot <massiot@videolan.org>
Date:   Fri Sep 28 14:17:16 2001 +0000

    Faster configure script and as-yet untested Darwin patches.

commit 93d7b1f09ad135d459f7245c69fe3455036d0e76
Author: Christophe Massiot <massiot@videolan.org>
Date:   Fri Sep 28 10:39:40 2001 +0000

    Test for Altivec C extensions.

commit f9411cc4d16755e44304630ab0a4fed40ac51d29
Author: Christophe Massiot <massiot@videolan.org>
Date:   Fri Sep 28 09:57:08 2001 +0000

    If memalign isn't available, fall back on valloc.

commit f9dc58a3774b40201a29da0698fae5e7d4218667
Author: Christophe Massiot <massiot@videolan.org>
Date:   Fri Sep 28 09:55:20 2001 +0000

    Fixed a stupid mistake in NormScan().

commit 43cfba30a841d8b2cf97252888374c0dd6bb2831
Author: Christophe Massiot <massiot@videolan.org>
Date:   Wed Sep 26 12:32:25 2001 +0000

    By default, use the real size of the stream for the video output size.

commit 746e6074dd3ae1e35e106d448bf8d91e1b6e5109
Author: Christophe Massiot <massiot@videolan.org>
Date:   Tue Sep 25 11:46:14 2001 +0000

    Altivec IDCT and motion compensation, courtesy of Michel Lespinasse for
    mpeg2dec (untested).

commit b0ef1133453903177488e4347d66e5712a3dd52d
Author: Christophe Massiot <massiot@videolan.org>
Date:   Mon Sep 24 11:17:49 2001 +0000

    Fixed many alignment issues.

commit 8ed3168ec340fa26f6a4da80ab27c76ea294573e
Author: Christophe Massiot <massiot@videolan.org>
Date:   Fri Sep 14 15:36:36 2001 +0000

    Miscellaneous updates to configure, especially for cross-compilation.

commit b1c218b21760abf2cbefa73223789895b9061120
Author: Tony Castley <tcastley@videolan.org>
Date:   Wed Sep 12 01:31:37 2001 +0000

    Fixed Slider overflow and slider behaviour.
    Also corrected the button status behavour.

commit ee860753b99006bbd7b4c8cd47687983c6a8f20a
Author: Tony Castley <tcastley@videolan.org>
Date:   Wed Sep 12 01:30:07 2001 +0000

    Fixed the slider overflow problem.
    Corrected Slider behaviour.
    Simplified Code in the vout_beos ready for another developer to implement
    more advanced video output.

commit ab0e87174137525db0446eb4a50af915e6bd6fad
Author: Christophe Massiot <massiot@videolan.org>
Date:   Tue Sep 11 22:22:31 2001 +0000

    Fixed typos, courtesy of Michel Lanners <mlan@cpu.lu>

commit e8640eed39a52d12f97b80b816d376116aaf94d3
Author: Sam Hocevar <sam@videolan.org>
Date:   Sun Sep 9 13:43:25 2001 +0000

     Changes to vlc:
    
      * Fixed arch-dependant build dependencies (Closes Debian bug #109722).
      * Minor changes to the (non-working) ncurses interface.
    
     Changes to libdvdcss (courtesy of H�kan Hjort <d95hjort@dtek.chalmers.se>):
    
      * If we see 3000 unencrypted blocks assume that the title is unencrypted.
      * If we have not seen any encrypted block and then discover that the block
        just read is not a valid block of an MPEG2 Program stream, assume that the
        title is unencrypted.
      * Empty keys (for unscrambled sectors) are now cached as well.
      * We try to decrypt the file even if DVD ioctls are not available.

commit a9c31c5a8fe9bff62eb7ad8e3607376c4af41807
Author: Henri Fallon <henri@videolan.org>
Date:   Thu Sep 6 18:21:02 2001 +0000

    - Fixed a netlist packet leak in demuxPSI (Mark Gritter <mgritter@kealia.com>).
    
    - Removed the nuts message "unable to allocate memory" when the netlist got
    empty.
    
    - Cosmetic changes.

commit 9ad4cc80c3d7c2dbedb433dff8006132df3be193
Author: Christophe Massiot <massiot@videolan.org>
Date:   Thu Sep 6 14:02:56 2001 +0000

    Various fixes for GCC 3.0.

commit 179acd069b28d5d0dc6e3549a77f558b10c7583c
Author: Christophe Massiot <massiot@videolan.org>
Date:   Thu Sep 6 13:24:21 2001 +0000

    Another fix for the altivec detection.

commit 1d728604426313e2fd250bf7761b83589c9fdff8
Author: Christophe Massiot <massiot@videolan.org>
Date:   Thu Sep 6 13:16:26 2001 +0000

    Reworked jlj's patch for field pictures.

commit 51705951a3a1d74ae306166c9a41e3bd96b5e5bf
Author: Christophe Massiot <massiot@videolan.org>
Date:   Thu Sep 6 10:39:10 2001 +0000

    Fixed numerous bugs with the Altivec IDCT (still not compiling).

commit 4977183360db565f925ae319973e38d34969b0f1
Author: Christophe Massiot <massiot@videolan.org>
Date:   Thu Sep 6 10:19:18 2001 +0000

    Fixed a warning.

commit a0c74ab4fb0e7012289b59983609335c9b221745
Author: Henri Fallon <henri@videolan.org>
Date:   Thu Sep 6 07:31:39 2001 +0000

    Added gnome.h check and cleaned the error messages in the configure
    script

commit 479c96ee271df8ccc9b11961349ccf355d8d1b95
Author: Henri Fallon <henri@videolan.org>
Date:   Thu Sep 6 04:28:36 2001 +0000

    A very tiny small useless optimization in the LPCM decoder

commit a667c9046b76e1f86de2fa02053c508075fef74f
Author: Christophe Massiot <massiot@videolan.org>
Date:   Wed Sep 5 16:46:10 2001 +0000

    * MPEG audio emphasis fix, courtesy of Matthieu Lochegnies
    <lochegm1@cti.ecp.fr> ;
    * ac3dec uninitialized data structure fix, courtesy of Damian Ivereigh
    <damian@cisco.com>.

commit 39c1b3e8f13affb8fe1c0b432d93f4371a6eb106
Author: Christophe Massiot <massiot@videolan.org>
Date:   Wed Sep 5 16:20:23 2001 +0000

    * Fixed a compilation bug.

commit b3b880766e2b815d460916cb0c44e5d6f7b593c3
Author: Christophe Massiot <massiot@videolan.org>
Date:   Wed Sep 5 16:07:50 2001 +0000

    * Altivec IDCT and motion compensation, based on Paul Mackerras's mpeg2dec
    (untested !) ;
    * Local minor optimizations in IDCT ;
    * Removed a hopeless kludge in input_clock.c

commit 76c5e75c37f7c3d0419b4cd0ffd72b1f9e641185
Author: Jon Lech Johansen <jlj@videolan.org>
Date:   Tue Sep 4 23:21:34 2001 +0000

      * Fixed a problem with field streams not working with new video decoder.

commit 985a4b90f456f330a794ed52a3b674e55230b1fd
Author: Christophe Massiot <massiot@videolan.org>
Date:   Mon Aug 27 16:13:20 2001 +0000

    IP Multicast support, courtesy of Mathias Kretschmer <mathias@research.att.com>.

commit 645ef26bf8b899142da7dc9e8b7aada1554eeb0c
Author: Christophe Massiot <massiot@videolan.org>
Date:   Fri Aug 24 16:28:49 2001 +0000

    * Removed O_NONBLCK in aout_Play because we don't use it and some drivers
    (e.g. have problems with this) ;
    * Added warning messages.

commit c4b4857b7e01ac9294b5897377a89e276a6b8f1f
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Aug 24 10:51:53 2001 +0000

      * Fixed build dependencies for architectures not supporting libasound2
        (Closes Debian bug #109722).

commit 4febe3a259ae075c13317f5f64e3b8870b23ba89
Author: Christophe Massiot <massiot@videolan.org>
Date:   Fri Aug 24 09:20:05 2001 +0000

    Install doesn't explode if libdvdcss hasn't been compiled.

commit f7a075165e578a10a3658f37a2ab1fd2ca706b21
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu Aug 23 15:39:46 2001 +0000

      * Attempt to fix the SDL detection under *BSD.

commit 08fe80aaf81275f66a6856f90f8518a1aa7d25b7
Author: Christophe Massiot <massiot@videolan.org>
Date:   Thu Aug 23 13:24:38 2001 +0000

    Removed /usr/local/include, because it is unsafe in a cross-compilation
    environment. If you have problems with this, tell me and we'll find an
    alternate solution.

commit bcb38fc607d867fc018e478bc6dd6199801067c4
Author: Christophe Massiot <massiot@videolan.org>
Date:   Thu Aug 23 10:08:26 2001 +0000

    Very small enhancements.

commit dec76d7ff7d17e40354588e604b882013cd6ddef
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Aug 22 21:18:43 2001 +0000

    - The win32 port is once again using msvcrt.dll instead of msvcrt40.dll
    - Fixed a synchro bug (typo) in video_output.c

commit 39131bcfefd3691c3a70751c1db0d57839b59e3a
Author: Christophe Massiot <massiot@videolan.org>
Date:   Wed Aug 22 18:47:52 2001 +0000

    * Added a documentation to use VLC as a netscape plug-in and do some
    (buggy) web streaming.

commit 45f3f2825f878822ca99b07b3eb9a6134e0224ea
Author: Christophe Massiot <massiot@videolan.org>
Date:   Wed Aug 22 17:21:46 2001 +0000

    * Totally rewrote the video decoder (inspired by walken's mpeg2dec), implying :
    - performance boost ;
    - fixed the "Dual Prime Arithmetic" bug ;
    - 3DNow! motion compensation module ;
    * BTW, fixed numerous bugs ;
    * AC3dec statistics do not show up with --enable-stats, because I doubt
    they're understandable by a normal human being, and they pollute the output.

commit 54ed2ed3d789d7b0326e267f91d65aa7af92c9fb
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Aug 22 15:16:02 2001 +0000

      * Grmbl. Forgot to update the libdvdcss changelog.

commit 07bf678b2a5531078b837a49e0278a2ee8a71dae
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Aug 22 14:23:57 2001 +0000

      * Split ChangeLog into ChangeLog and ChangeLog.libdvdcss.
      * Added --xvadaptor flag to select the XVideo adaptor to use.
      * Everything is ready for the 0.2.83 release.

commit dadbc98a35290f953273d10375795c527ce0b0aa
Author: Jon Lech Johansen <jlj@videolan.org>
Date:   Mon Aug 20 01:03:28 2001 +0000

      * Switched QNX audio output to block mode as stream mode is no
        longer supported under the latest QNX release.

commit bd7443f2eff6e365a88682b7611b26445b6b7df1
Author: Sam Hocevar <sam@videolan.org>
Date:   Sun Aug 19 23:35:13 2001 +0000

      * Added support in ./configure for the cprof profiler.
      * Activated -D_FILE_OFFSET_BITS=64 -D__USE_UNIX98 on all platforms, fixes
        issues under Solaris and QNX.
      * Additional checks for SSE-specific (non-MMXEXT) instructions, as
        reported in <20010817114220.A23480@slartibartfast.angrypacket.com>.

commit ef84fdfee4cae6e884190a402897bc5bc26b5a1f
Author: Jon Lech Johansen <jlj@videolan.org>
Date:   Fri Aug 17 01:26:45 2001 +0000

      * Overlay now works under latest QNX release.

commit 1c27686a8b370c0b5b42a247e909011c09a27bcf
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Aug 14 17:53:23 2001 +0000

      * Fixed yesterday's pthread detection fix.

commit 38d1a266e2c17c00420d173b3a8b86e66c07b023
Author: Tony Castley <tcastley@videolan.org>
Date:   Tue Aug 14 12:09:03 2001 +0000

    Rewritten vout for BeOS.  Now does not support overlay however code is simpler
    and easier to implement overlay and DirectWindow.

commit 06fca10912113cbd4287dcc5ab3969409399b38b
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Aug 14 04:52:39 2001 +0000

      * GNU/Hurd configuration and compilation fixes.

commit 6c67a6b17bf9b88c4d51b89824e0c767960aa97b
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Aug 14 00:00:04 2001 +0000

      * Fixed a crash in subtitle rendering.
      * Activated old crappy subtitle rendering in overlay mode (ugly but
        probably better than having no subtitles at all).

commit a0bb5da4a6adb31d93cfb84d11caf820ea2d9d99
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Aug 13 12:24:58 2001 +0000

      * Added missing debian files I forgot to add a long time ago.
      * Fixed libglide2/libglide3 inconsistency in debian/control.

commit 39657a569d91b0e9d7cae9f88f0030f708fd5acb
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Aug 10 17:53:48 2001 +0000

      * Another stupid typo (hope I got it right this time :p).

commit dea6dc1ec6e12be9888acf158343c571959530fa
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Aug 10 17:43:50 2001 +0000

      * Another mistake in the BSD/OS configuration process.

commit 04c93734c06c1a644bb75b06e5cd1b06b843add4
Author: Christophe Massiot <massiot@videolan.org>
Date:   Fri Aug 10 17:14:11 2001 +0000

    Added --with-sdl-config-path option if you sdl-config is not in $PATH.

commit c107309f452cc4c84f60a01980b291cacfe94674
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Aug 10 16:38:59 2001 +0000

      * Added proper Conflicts: rules in debian/control.
      * configure.in fixes for BSD/OS.

commit 9f9e95781fb3005cc37ee10004e03de8984c3598
Author: Christophe Massiot <massiot@videolan.org>
Date:   Fri Aug 10 16:38:09 2001 +0000

    Fixed a bug in System End Code handling. Contact me in case of problem.

commit 20ff51910f1be67120911cc23622c308289eb79b
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu Aug 9 23:12:36 2001 +0000

      * Added BSD/OS libdvd by Steven M. Schultz <sms@TO.GD-ES.COM> in
        extras/BSDI_dvdioctl after he suggested it. License is GPL.
      * ./configure now checks for an installed libdvd under BSD/OS and
        falls back to ours if not found.
      * Fixed harmless typos in yesterday's Solaris libdvd patches.
      * Bumped libdvdcss version number up to 0.0.3 ; release will probably
        follow once the BSDI changes have been tested.

commit 301cde4d9b0b2319219facb1cc3a025c21ab8f7b
Author: Jon Lech Johansen <jlj@videolan.org>
Date:   Thu Aug 9 20:16:17 2001 +0000

    Fixed a memory leak in the ifo parser and input_EndStream

commit 3007c6b8853dcac1d84cf978d1075d64e941a434
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu Aug 9 08:20:26 2001 +0000

      * Fixed a bug in the gtk interface which caused vlc to go amok after
        having met a zero-sized area.
      * Found out how to type '�' in vim :-)
      * Added missing bloat to modules_export.h.
      * 'snapshot*' rules do not depend on 'clean', and don't use /tmp anymore.
      * Added vlc:loop playlist command to go back at the beginning.
        Usage: vlc file1.mpeg file2.mpeg ... fileN.mpeg vlc:loop
        This change isn't very elegant but there are already bugs in the
        playlist handling, I'll try to polish it once the playlist is fixed.

commit e9ea66aebac813f9513230d2b107e8524ccbf9c8
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Aug 8 02:48:44 2001 +0000

      * Solaris DVD decryption support by H}kan Hjort <d95hjort@dtek.chalmers.se>.

commit 641341e854972195701a82fdf12f19f4b52172fd
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Aug 7 10:54:51 2001 +0000

      * Updated version number to 0.2.82.
      * Updated ChangeLog.
      * Fixed a typo in Makefile.dep.

commit 6b933b9ed490bd7f2c923bf83654275b2e75cce6
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Aug 7 02:48:25 2001 +0000

      * Got Makefile to launch ./configure almost properly. $(MAKECMDGOALS) rules !
      * Various debian scripts fixes.
      * Added -lmsvcrt40 to the win32 flags for proper execution under Wine.
      * Fixed broken soname setting under Solaris (and OS X, sort of).
      * Made the illegal instruction report more explicit.
      * BSD/OS 4.3beta1 fixes by Steven M. Schultz <sms@TO.GD-ES.COM>.

commit 851ffa750cbe192a4f2781637ec26c29d5778eb4
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Aug 6 20:45:55 2001 +0000

    * Fixed the sdl video output plugin that I broke 2 days ago.

commit 156201a10ab4a11247e4534a9506d3610b46516a
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Aug 6 13:46:54 2001 +0000

      * libdvdcss* packages are now a bit more policy-compliant.

commit 460360a85e2aa56f437ddb3ed25a7366a09569f5
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Aug 6 13:28:01 2001 +0000

      * Added a dummy libdvdcss so that the DVD plugin can be used without
        libdvdcss. It will try to dlopen() libdvdcss at runtime, though,
        and will use the dummy functions only if it couldn't find a valid
        libdvdcss. This is probably only useful to package maintainers.
    
      * Tidied the snapshot-* Makefile rules.
      * Tidied the modules Makefiles.
      * Removed useless stuff in the debian/ directory.
      * Removed the "make all" kludge in the Makefile.opts rule. I hope this
        patch is harmless on all systems.

commit f82f7f254af3828599bffa6c16e92d221c86b4df
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Aug 6 13:13:06 2001 +0000

      * Made the remote command plugin usable even with no stream.
      * Fixed a deadlock in the remote command plugin.
      * Fixed a deadlock in the SPU decoder.

commit e57dfae199514c2b510afdd48b4d04d39bbc9358
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Aug 5 18:57:59 2001 +0000

    * Minor bug fix to aout_directx.c

commit 85c3dbc49325c5ebf9e123a5f40c899203f9da07
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Aug 5 15:32:47 2001 +0000

    * Big rewrite of the DirectX audio plugin. The audio output is now (almost)
        perfect on Win32.
    * Fixed a bug in ac3dec_CreateThread() in ac3_decoder_thread.
    * On Win32, open() will now open files in binary mode by default.
    * A few minor changes to vout_xvideo.c

commit f65e55091bacbca8152201dea128aaa7678db4f8
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Aug 3 18:03:32 2001 +0000

    Oops, forgot to commit this file.

commit 2737d4c14370796587b7a8bab0eb878425248413
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Aug 3 16:04:17 2001 +0000

    * Fixed a segfault in yuv_End() in video_yuvmmx.c
    * Fixed the "Gdk-ERROR **: BadCursor" bug in the x11 and xvideo plugins
    * Fixed a segfault in SetBufferPicture() in video_output.c. This segfault
        only happened with the xvideo plugin because this one is not using
        SetBuffers().
    
    PS: The last fix broke the overlay output of SDL (black screen) I will
      investigate this later on.

commit dbfcf9f6e233bb4dd109cebccb32e194c6ddb838
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Jul 31 21:13:30 2001 +0000

    * Fixed a segfault in PSEnd in input_ps.c
    * The video decoder thread is now also reniced to a lower priority on
      Win32 (as in the linux version). This slightly increases the responsiveness of vlc.

commit 712e724961fb491e49cb2aaed1e5c6b9eb6d1053
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Jul 30 18:56:36 2001 +0000

    * Fixed a Win32 bug in libdvdcss. This bug was appearing on title change.
    * Modified input_dvd so you can now go directly to the selected chapter
      when you change the title.
    * Implemented the Probe function in the Xvideo plugin. Xvideo is now the
      default video output plugin when it is supported.

commit 9305e95b7975c6d0bb3d1c20f8492dc555b115fd
Author: Christophe Massiot <massiot@videolan.org>
Date:   Mon Jul 30 14:13:35 2001 +0000

    * Now use SDL_CFLAGS for searching SDL/SDL.h.

commit 544bdffcde6a8811bd2471e6c3cfae9347ae0120
Author: Christophe Massiot <massiot@videolan.org>
Date:   Mon Jul 30 13:57:46 2001 +0000

    * Don't miserably die in `make` when ./configure hasn't be run ;
    * Fixed a bug when compiling KDE plug-in without Qt plug-in ;
    * Now taking into account $KDEDIR ;
    * Made SDL configure error messages more explicit ;
    * --disable-sdl is now correctly taken into account ;
    * Changed the order of evaluation of sdl-config and sdl11-config ;
    * Finally fixed SDL*/SDL.h check ;

commit 20823a8120be204422228b2c13bd6ea58d3fd218
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Jul 30 00:53:05 2001 +0000

      * VC++/Intel compiler fixes by Jon Lech Johansen <jon-vl@nanocrew.net>.

commit ed87d04744364a109f6d0ba060696fefa255dbd0
Author: Sam Hocevar <sam@videolan.org>
Date:   Sun Jul 29 22:54:29 2001 +0000

      * Better gtk-config detection.
      * Removed duplicate checks in configure.in.
      * Fixed a typo in vlc.spec.

commit 4aaa00c64207893bf70e2e0585e32c59d864c7ce
Author: Sam Hocevar <sam@videolan.org>
Date:   Sat Jul 28 02:17:37 2001 +0000

      * Fix in libdvdcss in the key caching code.
      * Removed useless variables in configure.in which caused all subsequent
        compilation tests to fail.

commit 5594c61a42c97dca3b200fdc550682e119119d0a
Author: Christophe Massiot <massiot@videolan.org>
Date:   Fri Jul 27 16:40:20 2001 +0000

    Fixed a FreeBSD bug (again).

commit d307283d3e0731d50727b21fd500bad39a5c51d2
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Jul 27 16:23:14 2001 +0000

      * Additional fixes to the sdl-config detection.

commit c085b215f4527c99b144a3683560901f5da8f1f8
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Jul 27 16:14:58 2001 +0000

      * Added a make uninstall rule.

commit 4945d2bb3621b899aca49359c435d0dcfcc2ec1b
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Jul 27 14:43:30 2001 +0000

      * Updated version numbers for imminent release.
      * Fixed the --with-dvdcss flag:
         o --with-dvdcss - build libdvdcss, link statically (also default behaviour)
         o --with-dvdcss=local-static - build libdvdcss, link statically
         o --with-dvdcss=local-shared - build libdvdcss, link dynamically
         o --with-dvdcss=/foo/bar - don't build libdvdcss, use libdvdcss in /foo/bar
      * Fixed an omission in the dvdcss.h header.

commit 16c530705f597ed19608c7d8edf9d4c003cd5691
Author: Christophe Massiot <massiot@videolan.org>
Date:   Fri Jul 27 09:17:38 2001 +0000

    Disabled Dual Prime Arithmetic message for the release :-p.

commit 425c22f43d4f678ab04f09d6e4adb34fe730d26d
Author: Arnaud de Bossoreille de Ribou <bozo@videolan.org>
Date:   Fri Jul 27 01:19:24 2001 +0000

    Fix another little silly thing.

commit 76fcb7fc4f092aaf34d36988e3222932978f5266
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Jul 27 01:05:17 2001 +0000

      * Changed libdvdcss API to force binary incompatibility. Yeah, this is
        evil, but if we don't do it now we'll have to do it when more people
        are using it.
      * Fixed minor libdvdcss stuff such as the soname and compilation flags.
      * New --with-dvdcss flag.
        Explanation:
         o default: build libdvdcss, statically link vlc against it.
         o --with-dvdcss=no: build libdvdcss, dynamically link vlc against it.
         o --with-dvdcss=yes: don't build libdvdcss, use already installed one.
         o --with-dvdcss=/foo: don't build libdvdcss, use libdvdcss from /foo/*.
        (this looks a bit strange to me, I'll find better flag settings)

commit 9fadff590011349766ac47edd01788c626274741
Author: Arnaud de Bossoreille de Ribou <bozo@videolan.org>
Date:   Fri Jul 27 00:49:46 2001 +0000

    Fix a bug in aout spdif with dolby stereo (use of obsolete PTS).
    
    Bozo and Stef : the dream team of bozos. Stef you're gonna die (dunga).

commit bad0a366cf1f68575c5fb00256b0a38a0d9510f8
Author: Renaud Dartus <reno@videolan.org>
Date:   Thu Jul 26 20:00:33 2001 +0000

    * Format asm functions for gcc
      -> fixed the segfaults with imdct_sse
      -> sound is hugly with imdct_sse in debug mode

commit 332c81bba051edf3be76deaed6d891113d6adef1
Author: Christophe Massiot <massiot@videolan.org>
Date:   Thu Jul 26 14:53:24 2001 +0000

    Now using gcc -pipe.

commit 4c53a66f9da4d0154814a2e51e18d69eb98c184e
Author: Christophe Massiot <massiot@videolan.org>
Date:   Thu Jul 26 11:36:52 2001 +0000

    (Hopefully) fixed the #@!$ field pictures bug.

commit d92602e4829febfb1004f53f5a67ea979af2dced
Author: Christophe Massiot <massiot@videolan.org>
Date:   Thu Jul 26 09:08:57 2001 +0000

    Accept SDL 1.1.5 or later.

commit 67b832627992e9d84188ffc39ca933d11791499e
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu Jul 26 03:13:30 2001 +0000

      * Fixed the MMX YUV plugin issues with gcc 2.96 and 3.0.
      * Updated TODO, cosmetic changes.

commit 7a9a6f5b591dbb7947965d48ea35c8672198b2c4
Author: Christophe Massiot <massiot@videolan.org>
Date:   Wed Jul 25 19:14:06 2001 +0000

    Now use sdl-config for SDL.

commit 715fae632a5db4f06deedb52f927d9c27d087d37
Author: Christophe Massiot <massiot@videolan.org>
Date:   Wed Jul 25 18:06:27 2001 +0000

    Fixed a stupid bug in buffer management with field pictures.

commit 4452dad3ea5e15a89e9c81459de984cf7fe78618
Author: Christophe Massiot <massiot@videolan.org>
Date:   Wed Jul 25 15:37:34 2001 +0000

    Fixed a reinit bug after a discontinuity - such as seek().

commit 9d389d4456a8d4505f14f2aed4bec4bea3a6b1ee
Author: Arnaud de Bossoreille de Ribou <bozo@videolan.org>
Date:   Wed Jul 25 14:51:48 2001 +0000

    The spdif audio output won't kill itself anymore at the beginning.

commit 664478c0015f0c364de365981b7d720e08d02428
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Jul 25 14:14:38 2001 +0000

      * Fixed my latest gnome Makefile breakage.

commit 5bcfa0faf597d06ab77b5e44d12f8fcbf2d459ad
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Jul 25 08:41:22 2001 +0000

     * dvdcss_readv optimisations for Win32. We now send only one read command
       to the DVD drive for the whole iovec.
     * Fixed _win32_dvdcss_aread to work around the WinASPI32 64kb transfer
       size restriction.
     * New and theoretically better Win32 pthread implementation which fixes a
       problem I was having when changing title on a DVD (netlist related).
       vlc_cond_multicast may or may not work.
     * Fixed the "quit" event handling in directx/vout_events.c.
     * dvd_ifo.c now takes into account error messages from UDFFindFile.
     * Temporarily disabled aout_Probe() in aout_SDL (this function
       is creating an awful lot of problems - libSDL bug ).

commit 1977c0ab664cc27d1bf27457558f11608d75ee43
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Jul 25 03:53:19 2001 +0000

      * Updated ChangeLog.

commit cc674725262dc33e73cbec27dcfafad605deafc7
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Jul 25 03:12:33 2001 +0000

      * ncurses compilation fix by Michael Mondragon <mammon@lokmail.net>.
      * fix for large inline functions and gcc 3.0.
      * fixed the gnome plugin so that it does not include gtk headers.

commit 2cdf4603330e12d31c0778e93832703ad0679ef3
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Jul 25 00:23:40 2001 +0000

      * libdvdcss segfault fixes, at last!
         (I really wonder how it could have worked before :)

commit c4725d15853536ba8c668ab433ab4dd0b3f937fd
Author: Christophe Massiot <massiot@videolan.org>
Date:   Tue Jul 24 12:03:00 2001 +0000

    Tuned constants, since it seems to make people happy.

commit 2d34086838e5fd4e0cad204bb2405a6cf2d523dd
Author: Xavier Marchesini <xav@videolan.org>
Date:   Tue Jul 24 11:16:09 2001 +0000

    Removed the changes made ; vlc should compile when following the
    instructions in INSTALL-win32.

commit 4f45f4c63f502c56d6f60de36368fa40572cd61e
Author: Xavier Marchesini <xav@videolan.org>
Date:   Tue Jul 24 09:40:05 2001 +0000

    Quick and ugly hack in the makefile to allow vlc_win32 to compile when
    getting it directly from the CVS. As a result, the vlc_win32 program
    doesn't have an icon any more. Too bad.

commit 8ecba86e32db869f0436d2a4a0b7f5573703923c
Author: Christophe Massiot <massiot@videolan.org>
Date:   Fri Jul 20 16:20:25 2001 +0000

    Fixed the "paused movie won't restart" bug.

commit 61cd2b0a26fd0015b03f03eb3d83ef1ed98e0432
Author: Christophe Massiot <massiot@videolan.org>
Date:   Thu Jul 19 11:50:51 2001 +0000

    * QNX RTOS plug-in by Jon Lech Johansen.

commit 9727b87f3669edc8574440167d77db1b22a12ba4
Author: Christophe Massiot <massiot@videolan.org>
Date:   Thu Jul 19 11:42:31 2001 +0000

    * FreeBSD compilation fix, by �yvind Kolbu.

commit 33687bb4acf1099dfaa26d07110c37857f638005
Author: Christophe Massiot <massiot@videolan.org>
Date:   Wed Jul 18 17:05:39 2001 +0000

    * Updated documentation with recent changes ;
    * Decoders are niced again, for it is really better.

commit 24305848d4fc126da6dcb5fae448418407a10507
Author: Christophe Massiot <massiot@videolan.org>
Date:   Wed Jul 18 15:21:51 2001 +0000

    A BIG kludge for the calculation of mux_rate, so that times displayed in
    the scroll bar are now correct for MPEG-2 streams. There is probably a
    better way to do it, but I haven't found in months.

commit d0c9b47957ec825d43aba1b27202bba5170c0d08
Author: Christophe Massiot <massiot@videolan.org>
Date:   Wed Jul 18 14:21:00 2001 +0000

    * Rewrote the video decoder to take advantage of several processors (SMP mode) ;
    * Fixed a bug in the video decoder initialization :-p ;
    * Added --smp option and several hooks in src/input/input_ext-intf.c ;
    * Grayscale mode now turns off chroma IDCT.

commit 18f5cd99efddfa0068ffcd6497fb14a0729755e1
Author: Christophe Massiot <massiot@videolan.org>
Date:   Tue Jul 17 09:48:08 2001 +0000

    Cleaned up include/. Unnecessary headers are no longer under include/, but
    under src/. (eat that)

commit 213957d212145321a03e37633ebf6285a69accf1
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Jul 16 22:00:45 2001 +0000

    Added intf_DbgMsg and intf_DbgMsgImm symbols to modules_export.h
    This fixes the TRACE build.

commit 30d93eb39b66309331064cdabaa588e4c22dab33
Author: Christophe Massiot <massiot@videolan.org>
Date:   Mon Jul 16 16:40:14 2001 +0000

    ...and the associated Makefile modifications.

commit bac9ebf6b39c5c9757fb626163d461cd81abc939
Author: Christophe Massiot <massiot@videolan.org>
Date:   Mon Jul 16 16:39:00 2001 +0000

    Moved video parser into video decoder.

commit 915759dccfde74c6424b30e774f8c3835d986a9c
Author: Christophe Massiot <massiot@videolan.org>
Date:   Mon Jul 16 16:26:21 2001 +0000

    * Exploded the outdated generic decoder ;
    * Updated ChangeLog and TODO.

commit 1a03af9a5473c4eb6b22cb634d405fd069d247e9
Author: Christophe Massiot <massiot@videolan.org>
Date:   Mon Jul 16 15:54:59 2001 +0000

    * Added IDEALX developer documentation into main CVS - PLEASE UPDATE
    REGULARLY ;
    * Cleaned up doc/ directory.

commit a707befb5897b7f81367e28ac78de76cff79a86f
Author: Christophe Massiot <massiot@videolan.org>
Date:   Mon Jul 16 14:33:40 2001 +0000

    Reactivated SDL parachute in non-debug mode (memory leak otherwise).

commit 48b927bbde6b8ee66b62c95e7465cb82fc45ab6e
Author: Christophe Massiot <massiot@videolan.org>
Date:   Mon Jul 16 12:10:32 2001 +0000

    Fixed GetChunk for chunks < 4 bytes.

commit a7a2bab4b4c287c1441e467c539b8cdf22aa6b66
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Jul 15 09:49:09 2001 +0000

    - The Win98 DVD input is finally working. (had to install Win98 on my
        computer to find the problem ;-)

commit f20e5c359d063c86967719ee47382a2dfed3d27d
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Jul 12 23:06:54 2001 +0000

    - Fixed 2 Win32 bugs in libdvdcss (in _win32_dvdcss_readv), one of them
        should have prevented the Win9x dvd input from working.
    - Moved the "if(Win2k)" out of the loop in _win32_dvdcss_readv.
    
    - Put a readv() function in input_iovec.h, the input_es now compiles.
    - Modified input_ts to use this function.
    
    - Fixed an initialisation bug in vout_directx.c
    - Right clicking on the mouse now displays the navigation menu.
    
    
    PS: If someone is willing to test the DVD input on Win95/98/Me I will
        upload an up to date binary package.

commit 20e17cf9dab89d2c3b5e6ba320a3d42e0582b35c
Author: Renaud Dartus <reno@videolan.org>
Date:   Thu Jul 12 20:44:52 2001 +0000

    I forgot to commit others aout plugins

commit a25f41cb25e76b539ae9f2b5d4c43e94fd7ad2cb
Author: Renaud Dartus <reno@videolan.org>
Date:   Thu Jul 12 20:31:33 2001 +0000

    * Fix audio/video synchro bug with esd
    * Should fix buggy sound due to 44100-48000 Hz conversions

commit 23b4e9ba903b6d8b8b03998d7cea33f3c3160f4d
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Jul 11 14:26:19 2001 +0000

    DirectX plugin changes:
    - The Win32 GetMessage function has been isolated in a thread. This has
        been done because this function can block the thread. Thanks to this
        change, you can now move your window without any video and audio
        interruption.
    - Splitted the events handling code into a separate file.
    - Fixed the bug associated with the window dragging option in the
        diplay properties.

commit a50a0a25f56aaada717d6265a7b2d9b34dccfb4c
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Jul 11 02:01:05 2001 +0000

      * libdvdcss enhancements by Billy Biggs <vektor@dumbterm.net>. This breaks
        vlc's DVD input (looks like decoders are expecting data too early and
        DVD input can't cope with it due to decryption). Needs to be investigated.
      * Plugins are now compiled in plugins/* and libraries in lib/*.
      * The KDE UI compiles again but does not work yet.
      * ALSA plugin message corrections.
      * Calculation modules can now be calledwith a shorter name
        (eg. '--downmix mmx' instead of '--downmix downmixmmx').
      * Fixed insane verbosity of the SDL plugin.

commit 96ab9e692befe1b8b040c8a689ee174552a9abed
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Jul 10 06:07:53 2001 +0000

    - Fixed the segfault in vout_UnloadFont
    - DestroyThread in video_output doesn't call pf_destroy if pf_create has
        failed previously.
    - The Xvideo plugin now closes the video window when it XVideoGetPort
        fails in vout_Create.

commit dee3179d130387aa8e8b52b229ec27704811105d
Author: Renaud Dartus <reno@videolan.org>
Date:   Sun Jul 8 23:15:11 2001 +0000

    * Alignement in asm functions
    * 16 bytes alignement for data (need fo SSE)
    * Optimization in SSE

commit 5b49dba8b9e0ef7a8e3df5df6de36ac360475604
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Jul 8 17:45:52 2001 +0000

    Win32 changes only:
    
     - defined off_t as a long long. This allows DVD navigation to work.
       This change is to be implemented on a compiler by compiler basis. For
       now, it works on mingw32 (tested) and should work on MSVC (not tested).
    
     - Implemented a quick and dirty hack in intf_msg.c to be able to display
       long long integers with printf on Win32. This change is also necessary
       to avoid segfaults when debug is enabled in vlc on Win32.
    
     - few minor changes in the directx plugins.
    
     - defined snprintf in common.h and removed a few #ifdef WIN32

commit 52add4b02db2085bf238915b44c39c64bf8fb989
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Jul 7 21:10:58 2001 +0000

    - Removed unecessary translations in the win32 code from block offsets to
        byte offsets. This was overflowing some variables.
    - Reduced the complexity of the Win9x ASPI functions because we only need
        to handle DVD drive access.
    - Win32 code now handles seeking in areas above 2.1 Go on DVDs.

commit f58cb69a748da100761f20be0f5045e917eba10f
Author: Sam Hocevar <sam@videolan.org>
Date:   Sat Jul 7 17:45:29 2001 +0000

      * Probably fixed the "X eats more and more CPU" bug. Please test.
      * mingw32 cross-compilation issue fixed.

commit 43f8d0efc0984017b38e47c1bb13697805b70fb5
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Jul 6 08:43:31 2001 +0000

      * Small optimization in vpar_blocks.c, sparing a few memset() calls.
      * Additional error checking in vout_sdl.c.
      * Minor manpage fix, conforming to Debian policy version 3.5.5.0
        (Closes Debian bug #99561).

commit 1dafba77c22a39cd8c2e684fcf1499db5582cd6a
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Jul 1 08:49:09 2001 +0000

    - Portablility fix: We now control the name to be used in the assembler
        code for a C function or variable.
        GCC for Win32 normally prepends an underscore to the name of a
        C function or variable, and the inline assembler code was using the
        name without the underscore so we had undefined symbols in some
        modules.
    - Reenabled all the accelerated modules on Win32.

commit 9db3558c0ad35c9a47fca9d93bd17a1a64c31dfb
Author: Stéphane Borel <stef@videolan.org>
Date:   Fri Jun 29 11:34:28 2001 +0000

    Bugfix for chapters change in DVD.

commit 9c0b2a56c67e994531d1825def358a5759672f2a
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Jun 28 22:12:04 2001 +0000

    - a few bug fixes for the directx plugin.
    - removed the custom usleep function for win32 as we don't really need
        this accuracy, and it was eating cpu resources.

commit 2fbc01b90937b2018c034c658f3195334954e851
Author: Christophe Massiot <massiot@videolan.org>
Date:   Wed Jun 27 09:53:57 2001 +0000

    Elementary Stream input plugin (use it with --input es). Only works with
    video streams at the moment.

commit f406134a3d5fb50ce61bdab83601203319a9cff8
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Jun 27 06:29:59 2001 +0000

    - Added command line option '--stdout <filename>' which redirects stdout
        and stderr to the specified file. This option should mainly be useful
        on Win32.
    - On Win32, vlc now has an icon associated to the .exe file, and is a full
        GUI application (you don't have this annoying dos command box anymore)
    - Added INSTALL-win32.txt for specific details to the Win32 port.
    
    I've tested these changes on Win32 and Linux, let's hope I didn't break
      vlc for other platforms.
    
    --
    Gildas

commit 0967faf5ed20165028e38f6a7355314558ed38a3
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Jun 25 11:34:08 2001 +0000

      * Compile fix for newer versions of MacOS X by Colin Simmonds
        <colin_simmonds@Mac.lover.org>.
      * Additional MacOS X DVD ioctl work by Eugenio Jarosiewicz
        <ej0@cise.ufl.edu>.

commit 01d140d81d45754ef0be5e60d0f10879d04f3d82
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu Jun 21 07:22:03 2001 +0000

      * Win32 network support by Boris Dor�s <babal@via.ecp.fr>.

commit ec728f13a84b93bcada1b4d43b972d9db7d207eb
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Jun 20 07:43:48 2001 +0000

      * Fixed an alignment issue in the ifo parser. The Matrix problem should
        be solved.
      * Minor cosmetic fixes and warning removals here and there.

commit 7340778f05cccc90cbd99533cf777f7f691f1d75
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Jun 19 05:51:57 2001 +0000

      * FreeBSD (and probably QNX) shared memory handling fix.

commit e7345b805853d315b485b1a1d899c158ed4c5413
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Jun 18 23:42:07 2001 +0000

      * First libdvdcss version

commit c1881fafc05a38fc63a847818023f3e9dc0b4626
Author: Tony Castley <tcastley@videolan.org>
Date:   Fri Jun 15 09:07:10 2001 +0000

    New simple playlist.
    Enable/disable controls depending on what is in the playlist.

commit 9bc943b9ea8c62660d31333314ba7e7db0d625ff
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Jun 15 05:12:30 2001 +0000

      * Unrolled two loops in dvd_netlist.c to prevent flooding.
      * DVD input stuttering fix by Jon Lech Johansen.

commit 05761f84125ff48d774be3a46691fc95e5f25928
Author: Stéphane Borel <stef@videolan.org>
Date:   Fri Jun 15 01:22:58 2001 +0000

    *Removed a lock that caused late frames in DVDRead.

commit 44abaa7cd571d62ac75b9754783497e69262d13c
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu Jun 14 20:21:04 2001 +0000

      * Added gprof profiling support with --enable-profiling.
    
        It works at last! configure with --enable-profiling, build, run
     vlc (you may want to add --noaudio, it currently segfaults with sound
     here) and launch "gprof vlc" when finished.
    
        To make gprof work with multithreaded programs, one needs to set the
     internal ITIMER_PROF timer for each new thread launched. I did this
     through a wrapper in vlc_thread_create (see include/threads.h).

commit cff6378dbeeac3caedf198868537f85ae80f4bee
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu Jun 14 02:47:45 2001 +0000

      * Fully working Windows DVD ioctl support by Jon Lech Johansen.
      * Usual weekly ChangeLog mass-update.

commit 4b921617aa95dc8c91a0c508729c16fd68199ff9
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu Jun 14 01:49:44 2001 +0000

      * DirectX enhancements by Gildas Bazin, such as software rendering.
      * Merged dvdcss_init and dvdcss_open into dvdcss_open, and dvdcss_close
        and dvdcss_end into dvdcss_close. libdvdcss API now has 7 functions.
      * Another failed attempt at profiling vlc under Linux: ported the
        threads API to GNU Pth. Activate with --enable-pth. It doesn't seem to
        spawn new threads for me, maybe someone will have better luck.
      * Makefile optimizations.
      * Automatic build of libdvdcss if not found.

commit 322cfc68a1ed5228b553388ffbf693452ceb8943
Author: Stéphane Borel <stef@videolan.org>
Date:   Wed Jun 13 00:03:08 2001 +0000

    *the dvd netlist no longer stops when the fifo is empty ; it just waits
    that there are free vectors again

commit 495436e7e14ef7a692124ce9ec8d1016a7dc18e1
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Jun 12 22:14:44 2001 +0000

      * Exported the CSS part of the dvd plugin into a library.

commit 106079bcac63a37d204c452f8d2118b8218baa7b
Author: Stéphane Borel <stef@videolan.org>
Date:   Tue Jun 12 18:16:49 2001 +0000

    *slight modification in input_dvd since Getiovec wasn't at the right
    place
    
    *send escape packet when changing title, not to be stuck in some
    decoder.
    
    *the position in the title is now resetted when we change title to
    prevent a title from being unavailable because we're stuck at the end
    
    *fixed a bug with 1-chapter-long title that displayed chapter 0.
    
    *added a _temporary_ field in p_main to know whether the audio stream is
    ac3 (ugly). It allows a vlc launched in spdif mode to play mpeg or lpcm
    audio.
    
    *cleaned the title property messages to get rid of the ugly stars.

commit a3c92b8fe71f3b308de5b1205ffc2ef7760764ff
Author: Henri Fallon <henri@videolan.org>
Date:   Tue Jun 12 13:50:09 2001 +0000

    Added LPCM support. It should work with stereo LPCM.
    Untested with 5-ways LPCM streams.

commit b947d0637db53852f9bd591d75f0ce6232e24af7
Author: Renaud Dartus <reno@videolan.org>
Date:   Tue Jun 12 11:02:07 2001 +0000

    * Fix the warning in compilation of main.c

commit 2788bc6a4e38026492aa9fb1f2b3b01cad61207d
Author: Renaud Dartus <reno@videolan.org>
Date:   Tue Jun 12 00:30:41 2001 +0000

    * Check that OS support SSE optimization for PIII (to avoid illegal hardware instruction on Linux 2.2.x)

commit 7b5259e012ffb7c31458a98b17de41d6130c8c47
Author: Stéphane Borel <stef@videolan.org>
Date:   Sat Jun 9 17:01:22 2001 +0000

    *Fixed a bug in synchro reinitialisation: we no longer have a shift each
    time we restart the synchro (for scr discontinuity for instance)
    
    *In DVD mode, we reinit the synchro only if the scr are not continuous
    (instead of each cell)
    
    *Try to improve ac3 spdif to prevent from desynchronization.

commit 0c6f4bc9ce0908aa5a9240a103493e3798dd9779
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Jun 8 20:03:16 2001 +0000

      * Lots of DirectX plugin fixes by Gildas Bazin.
      * Compilation fix in message queue mode.

commit a78e34d0954d9aa1962161556d3ee5067f96a691
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu Jun 7 22:25:42 2001 +0000

      * Another FreeBSD compilation fix.

commit c7cafcbbf1d4ffb37d62e2a99931516dbd649a0f
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu Jun 7 22:14:56 2001 +0000

      * SDL compilation fix for FreeBSD.
      * Fixed compilation of motion modules as plugins.

commit 47723362cca97b9e55f232ab72be816bed63329b
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu Jun 7 15:27:44 2001 +0000

      * Applied old FreeBSD patch for dvd input by German Tischler.
      * Found what was causing the slowdowns: a namespace collision. Put all
        plugins into builtins again.

commit 214396bc9f2f8fb89f7241e13168b22602ff0fef
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu Jun 7 01:10:33 2001 +0000

      * Put most builtins in plugins again due to performances issues (more
        about this in a forthcoming post here).
      * Fixed the painfully slow build process (at last!).
      * Moved the null plugin together with the dummy one.
      * Added new dummy input plugin.
    
       More on the dummy input plugin: we'll use it to insert commands in
      the playlist. Currently implemented are the "quit" and "pause" functions,
      here are examples on how they are used:
    
        vlc file.mpeg vlc:quit                # exit after file.mpeg has been read.
    
        vlc file1.mpeg vlc:pause:3 file2.mpeg # pause 3 seconds before playing
                                              # the next file.
    
       From now we can more efficiently benchmark vlc. For instance, to test
      the video output changes I am doing, I use such a command:
    
        time vlc -I dummy --noaudio file.mpeg vlc:quit
    
       Future extentions might include more interesting stuff like "switch
      to full screen", "repeat next file 3 times", "switch to SDL video
      output"...

commit 8dee1230d87abff97f5f0682d7ac7fedfd194776
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Jun 5 04:08:06 2001 +0000

      * Updated things and stuff for 0.2.80 release.

commit f42dc7826cee6211c5ada73f5ed94cfa4742bce5
Author: Sam Hocevar <sam@videolan.org>
Date:   Sun Jun 3 12:47:22 2001 +0000

      * Various little fixes
       - BeOS interface compilation fix by Rene Gollent.
       - DirectX plugin compilation fix by Gildas Bazin.
       - removed %ebx spill in the iMDCT plugins.

commit 348b0e6f4c1ca07ef505549c8d9e1f24fe161fc0
Author: Tony Castley <tcastley@videolan.org>
Date:   Sat Jun 2 10:16:43 2001 +0000

    Forgot this...
    
    Change to the set out of the BeOS code to
    allow more logical updates.

commit 710b82194f6721641276e8dd1ece8cbef87f95b2
Author: Tony Castley <tcastley@videolan.org>
Date:   Sat Jun 2 09:42:26 2001 +0000

    Change to the set out of the BeOS code to
    allow more logical updates.

commit 092798cf2506c1f36fe5304eec51bfed0fcbfd75
Author: Sam Hocevar <sam@videolan.org>
Date:   Sat Jun 2 01:10:19 2001 +0000

      * Moved modules_builtins.h.in into src/misc. Please remove
        include/modules_builtins.h in your local tree.

commit 945f294626b776bbabadc5627c05456a6ff0ae2b
Author: Sam Hocevar <sam@videolan.org>
Date:   Sat Jun 2 01:09:03 2001 +0000

      * DirectX plugin by Gildas Bazin <gbazin@netcourrier.com>.
    
        Notes: o I called it 'directx' instead of 'windx' because it
                 made a lot more sense to me.
               o Completely untested. I didn't manage to compile it yet.
               o Code in vout_directx.c will go through a big rewrite when
                 vout 4 is finished. Xav is already working on this.

commit e9cc5c05f7423734b0a8a4c8e105e8bb65e50dcd
Author: Stéphane Borel <stef@videolan.org>
Date:   Thu May 31 16:10:05 2001 +0000

    *fixed a double malloc/free bug in DVDRead
    
    *fixed a lock issue in the interface introduced in my last commit

commit 1d066ee387153e114db49bab179a885551a26920
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu May 31 12:45:39 2001 +0000

      * Win32 plugin support by Gildas Bazin <gbazin@netcourrier.com>.

commit 0c128d47071e1e107cd25820ae0c664ab5ca5b70
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu May 31 03:57:54 2001 +0000

      * BeOS fixes. renamed iovec.h to input_iovec.h because of namespace issues.

commit 305d90ffc2de8560ecb149a83b12477ce7aabad3
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu May 31 03:23:24 2001 +0000

      * miscellaneous Win32 fixes by Gildas Bazin <gbazin@netcourrier.com>, sorry
        for the 2 weeks delay.

commit b8ce47bbc7e430859df997d88c13388d390704c7
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu May 31 03:12:49 2001 +0000

      * Win2000 DVD input by Jon Lech Johansen <jon-vl@nanocrew.net>.

commit 94d3d4d8be146d5a7ca5e77eb025820d26b9396d
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu May 31 01:37:08 2001 +0000

      * Applied patch from Jon Lech Johansen <jon-vl@nanocrew.net> to compile
        vlc with MS and Intel C/C++ compilers.

commit b465bcca0933f8c979ac9221b21f526ec2193ca4
Author: Stéphane Borel <stef@videolan.org>
Date:   Wed May 30 23:02:04 2001 +0000

    -Updated the gtk/gnome interface to work in network mode,
    
    -Fixed some bugs in interface (language menus in ts, misnamed fields)
    
    -Play/Stop work in network mode to start/stop decoding of the stream
    
    I have a segfault in imdct_3dn(93). But I can't underdand assembly.

commit 73620c7478d9c8f1c112698a78645c3dc44c538d
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed May 30 22:16:07 2001 +0000

      * Fixed a bug introduced in my previous commit which broke DVD input.

commit a3b650021f34ac95b8947b895cfbd2959aed8769
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed May 30 17:04:12 2001 +0000

      * Hrmpf. Forgot the most important file.

commit 440f9992ee947ea5fd0debbf35fdd1011c6404b3
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed May 30 17:03:13 2001 +0000

      * Fixed the BeOS compile typo.
      * The ALSA plugin is back.
      * A gift for Gildas: plugins don't rely on backlinking any more. The
        drawback is the dirty magic in include/modules_export.h which has to
        be included whenever a module needs one of the functions in it. But
         a) we should less and less rely on those functions
         b) no plugin code modification was needed
    
       The BeOS and MacOS X modules may be broken when compiled as plugins,
       I'll check this later when I can reboot under BeOS.

commit 1ffe943ec5e34e24199546b386114bb67586855a
Author: Stéphane Borel <stef@videolan.org>
Date:   Wed May 30 05:19:03 2001 +0000

    -Changes and bugfixes to make network work in VLAN Broadcast mode.
    
    -Bugfix in the interface to access the network specific features.
    
    -Some base of synchro in ac3 spdif

commit 6854d3f1e84582ea6f7d8f2990c06a72aeeb56c5
Author: Stéphane Borel <stef@videolan.org>
Date:   Tue May 29 13:53:16 2001 +0000

    *Fixed a bug with Previous chapter button in gnome

commit edcfc7d3079bf7e1e78f97ddfbe80bc4cfe426fd
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon May 28 04:23:52 2001 +0000

      * Added a wrapper for readv() on platforms which don't support it. The
        network support now compiles under Win32, but still doesn't work, the
        select in plugins/mpeg/input_ts.c never returns any data.
    
        Is there anything like strace(1) under Win32 to debug this ?

commit 7f62d904b8c0a5eb02830277cb1247f6915e1820
Author: Xavier Marchesini <xav@videolan.org>
Date:   Mon May 28 03:17:01 2001 +0000

    Modified in order to add network input under Win32.
    It compiles under Linux and Win32 (yeeaaahaaa, haven't broken anything
    :-))
    (added the WinSock library initialization and cleanup)
    Could someone test if it does really function ?

commit 1da48cfcb0779dfb88212b97289bb8d5dc96cfa6
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon May 28 02:54:09 2001 +0000

      * Of course my Win32 patch broke the Un*x version.

commit f9c0292d94ffc2d2ffa0a6cc3d9e87ef78f9c90f
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon May 28 02:44:39 2001 +0000

      * Forgot a little #ifdef, sorry.

commit 506c5ec77327386d6b546e994e4dd0a152591544
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon May 28 02:38:48 2001 +0000

      * Win32 compilation fixes, esp. the MAC retrieval.

commit 5b5ae2eb9278ffe3c4ccbb826950aa005156ed2a
Author: Sam Hocevar <sam@videolan.org>
Date:   Sun May 27 15:16:58 2001 +0000

      * Fixed my latest BeOS support breakage.

commit 409f93dd9fa5aecf2066741ad938d7e7478611f4
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri May 25 13:20:10 2001 +0000

      * Fixed a warning for *BSD compilation.
      * Fixed a typo in yesterday's Darwin ioctl fixes.
      * Patch by Eugenio so that the OS X interface and video output handle the
        aout and vout banks.

commit 7de920d3517710c18f0525be2946ef230256c123
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri May 25 04:44:49 2001 +0000

      * Forgot a file for BeOS.

commit 10b03bcbd7661ea496b9a38fa056225d906a1ca1
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri May 25 04:23:37 2001 +0000

      OS X fixes:
    
      * Applied Eugenio's fix to the DVDioctl driver. I didn't test it, but
        it should not hang the kernel anymore.
    
      * Ported most dvd_ioctl.c functions to the DVDioctl driver: ReportAgid,
        ReportChallenge, ReportKey1, ReportASF, InvalidateAgid, SendChallenge,
        SendKey2. They should comply with the "Mt. Fuji Commands for Multimedia
        Devices" paper.
    
        Last remaining problem: ReadCopyright and ReadKey. The version of
     Darwin I have here only has reportKey() and sendKey() functions in
     the IODVDBlockStorageDevice class (pages 413 and 449 of the Mt. Fuji
     paper), but we also need the READ_STRUCTURE (page 357) which I couldn't
     find anywhere in the kernel headers. Either I missed it, or we'll have
     to wait for Apple to implement it (or maybe we can emulate this command
     with some other IOKit commands).

commit 32335766f307138d0cc488be6371c63cefd3afcb
Author: Stéphane Borel <stef@videolan.org>
Date:   Thu May 24 01:24:47 2001 +0000

    -Forgot a bug for audio/spu change in the interface

commit 5e250b35b8416ecb1129394d74eb6ee78e40279d
Author: Stéphane Borel <stef@videolan.org>
Date:   Wed May 23 23:40:32 2001 +0000

    -A little bug with lpcm in Makefile

commit fa5ba0bb09b6b16ccb9710c3b1f0482bd64080ab
Author: Stéphane Borel <stef@videolan.org>
Date:   Wed May 23 23:08:20 2001 +0000

    -Unification of gnome/gtk intefaces: now all the file are in plugin/gtk.
    
    Specific files are glade generated files and intf_* files. All the
    remainders are common to gtk and gnome and contain all the callbacks for
    both interfaces.

commit 5ae87b7eef1b7e6d98c40e0aabf53fa101a642ab
Author: Stéphane Borel <stef@videolan.org>
Date:   Wed May 23 17:47:34 2001 +0000

    -LPCM audio selection in ps mode, in prevision of henri's decoder.

commit 31e42cb1b13bf465eaa6827149da35f7dd0c9654
Author: Tony Castley <tcastley@videolan.org>
Date:   Mon May 21 12:44:23 2001 +0000

    Updated with new changes for playlist management

commit ab1d6024998a356585477acb5fd367365ac52f9d
Author: Stéphane Borel <stef@videolan.org>
Date:   Sat May 19 00:39:30 2001 +0000

    *More cleanification in gtk interface: now to change the
    title/chapter/audio/spu/angle, we tell the input to do intead of doing
    it inside the interface. It results in fewer locks during the changes.
    
    *The dvd plugin reads again blocks of 32 sectors to gain speed since
    there are no more lock-ups during stream change. I've also created a new
    file that contain function to described video and audio streams with ifo
    datas.
    
    The changes are made only for gtk. We should update the other interfaces
    soon (beos at least).
    
    There is a memory corruption somewhere that make the vlc crash. I've no
    idea where to search.

commit 62b322c2839e66e7f7af16f0f6a280072b6f80a8
Author: Xavier Marchesini <xav@videolan.org>
Date:   Fri May 18 09:49:16 2001 +0000

    *** empty log message ***

commit 5f232025efa9d525fb709f6373d685db60e43316
Author: Renaud Dartus <reno@videolan.org>
Date:   Wed May 16 14:51:29 2001 +0000

    * Add 3D Now! imdct
    * Remove kmudge for ac3 on MacOS X

commit 1ac785a293dffb84c78250f078b12ea397458cdb
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed May 16 02:12:38 2001 +0000

      * We now do pthread detection for FreeBSD like the XMMS guys do. It
        works even better.

commit 23a4ece16736b4c032cc2be03af5d043ac508ca1
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue May 15 19:36:27 2001 +0000

      * FreeBSD pthread fixes.

commit 501cb1ba4bfc11b6987df0cf1d27fbf91c48f495
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue May 15 16:19:42 2001 +0000

      * AC3 IMDCT and downmix functions are now in plugins, --imdct and
        --downmix options added.

commit 32ef13cfda173cf6bacda500708d91af31166bbf
Author: Stéphane Borel <stef@videolan.org>
Date:   Tue May 15 14:49:48 2001 +0000

    *Bugfixes, cleanings in gtk.

commit 9530fc9f8c7ab5391974c69e019a68bd9227738b
Author: Stéphane Borel <stef@videolan.org>
Date:   Tue May 15 01:01:44 2001 +0000

    *initialization bugfixes in input_dvd
    
    *added a b_stopped flag to interface playlist to have a stop function in
    interface plugins. As a consequence, the playlist no longer loops on end
    but wait for the user to press 'play' or to add another item (gtk/gnome
    interface). I think that other plugins are broken but it shouldn't be
    difficult to repair: just add a 'p_main->p_playlist->b_stopped = 0' in
    play functions and 'p_main->p_playlist->b_stopped = 1' when you have to
    stop.
    
    *Updated gtk interface so that it has the same features as gnome. I
    think I will merge the code so that we don't have to copy and paste each
    change. Only the .glade file would be different.

commit db7b0421d56a60916f852b811d1b9914d84b15d2
Author: Renaud Dartus <reno@videolan.org>
Date:   Mon May 14 15:58:04 2001 +0000

     * Begin of SSE/3DNow! support for imdct and downmix
    
    If you have a PIII or a Athlon and you want to try this, just comment #if 0
    in ac3_downmix.c and ac3_imdct.c and add in AC3_DECODER section of Makefile :
    	src/ac3_decoder/ac3_imdct_sse.o \
    	src/ac3_decoder/ac3_srfft_sse.o \
    	src/ac3_decoder/ac3_downmix_sse.o \
    	src/ac3_decoder/ac3_downmix_3dn.o \

commit c1df815923570bf13060baff0a7480597719b1eb
Author: Henri Fallon <henri@videolan.org>
Date:   Sat May 12 00:14:20 2001 +0000

    Put a little note in the doc about "dvd devices"

commit 4d9ab11dbbf3cb399a13a7f519569789139dfc06
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri May 11 15:10:01 2001 +0000

      * Fixed a deadlock in spudec.

commit b1f3c7d62c2196738508a50906c8558366c6fc1a
Author: Henri Fallon <henri@videolan.org>
Date:   Fri May 11 01:03:14 2001 +0000

    Alsa module now builds with alsa 0.9 thanks to Jeffrey Baker's patch
    (jwbaker@acm.org)
    
    Please notice that even if if builds with alsa 0.9beta, it's hardly
    usable as it goes very often un Xrun mode. Though, it works fine with
    current alsa CVS.

commit 3a52d41f9d5a255a8bffe073a1babc31ac804464
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu May 10 06:47:31 2001 +0000

      * Added SPU cropping.
      * Gnome interface segfault fix.
      * BeOS interface segfault fix by AnEvilYak (what's you real name btw?).
    
      Note: if you want to have a look at the currently buggy YUV subpictures,
            uncomment line 1999 of src/video_output/video_output.c. Don't report
            bugs about this, I _know_ it's a quick hack.

commit 5d5fd803fe07ea1e825e6cd30d06ab4aefbffe0c
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue May 8 20:38:25 2001 +0000

      * Fixed an aspect ratio issue in the SPU decoder, and optimized the
        SPU renderer.

commit 03f0895b98dcb5bc4f844848e30127442c46719e
Author: Arnaud de Bossoreille de Ribou <bozo@videolan.org>
Date:   Tue May 8 14:53:31 2001 +0000

    end of the last commit :-P

commit e3e7a507b06bf7a00a0be29e2f9908b2c1d5bf00
Author: Arnaud de Bossoreille de Ribou <bozo@videolan.org>
Date:   Tue May 8 14:38:30 2001 +0000

      - fix a discontinuity bug in input_ClockManageRef()

commit 6bdefd98979ab40b44ffb8dd891768d068c7c338
Author: Arnaud de Bossoreille de Ribou <bozo@videolan.org>
Date:   Tue May 8 12:53:30 2001 +0000

      - fix a bug in ts input.
        Henri: a 0.5s timeout is not (time_t)0.5 sec and (time_t)0 usec
        but (time_t)0 sec and (time_t)500000 usec
        Now the input doesn't eat all the cpu any more :p

commit abe5a7d0c0d40422c71bb4bebec73e4833600367
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue May 8 00:43:57 2001 +0000

      * Speed optimization in the handling of the unusual ephemer DVD subtitles.
      * Little optimization to bozo's UnalignedShowBits fix.
      * Race fix in the packet cache by Jon Lech Johansen <jon-vl@nanocrew.net>.

commit 37ee07f3f980651f498708d7051e9d9af12f9175
Author: Arnaud de Bossoreille de Ribou <bozo@videolan.org>
Date:   Mon May 7 13:52:39 2001 +0000

      - fix a bug in UnalignedShowBits that makes some _heavy_ unaligned streams
        not wotk correctly (for instance VLS' generated TS streams)

commit 84a86ed750ef36580cb764d6a2474477bb3a98b9
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon May 7 04:42:42 2001 +0000

      * Added support for some terribly braindead DVD subtitles in Kenshin
        which do not have a "stop display" command. Anime fans rejoice!
      * Fixed the BeOS interface to use p_aout_bank instead of p_main->p_aout.
      * Coding-style butchery (mostly tabs).

commit 58ab8de5236da0321f1b92dd59c2979659768f1e
Author: Henri Fallon <henri@videolan.org>
Date:   Mon May 7 04:35:21 2001 +0000

    Added detection for ".ts" extension.

commit ca90f850b7db02523d44b133fdd0ac43d4996ff9
Author: Stéphane Borel <stef@videolan.org>
Date:   Mon May 7 03:14:10 2001 +0000

    *Changed the level arg in intf_WarnMsg so that it is more logical: the
    level corresponds now to the nb of -v to display the message.
    
    *added functionnal preference window in gnome: it changes the
    envirronment variables
    
    *added jump window in gnome to jump to a precise time.

commit fd1da66ff56c4c42e8926c2a0eacef6452f51b47
Author: Stéphane Borel <stef@videolan.org>
Date:   Sun May 6 18:41:52 2001 +0000

    * Gnome playlist should work better with the files to create it :)

commit bc118e19748645a423f955b340ec91911e76a647
Author: Stéphane Borel <stef@videolan.org>
Date:   Sun May 6 18:32:30 2001 +0000

    *Much work on the gnome interface: added oct's playlist from gtk plugin,
    tuned appearence, added preferences window (with no features yet), jump
    window to go to specified time (not functionnal yet), and fixed some
    bugs.
    
    *moved b_fullscreen from p_vout->p_sys to p_vout and unified way of
    toggling fullscreen in sdl in x11/xvideo output (using p_vout->i_ch
    nges) so that an interface plugin can toogle fullscreen (implemented
    in gnome)
    
    *added p_input->stream.p_selected_area->i_tell in input TS so that the
    slider work with ts files ( however, the time counter doesn't since we
    have no mux_rate )
    
    *improved ac3 spdif output ( and made it work again :)). It uses a true
    blank frame now, and it allows to switch languages like a traditionnal
    output. It doesn't support multiplexing though, neither can we switch
    between spdif/analogical mode on-the-fly.
    
    *beginning of the back port of gnome to gtk for those who do not have
    gnome.

commit c8c99b214eff8e62c0dfb83f4c3157f9e42d3e8a
Author: Sam Hocevar <sam@videolan.org>
Date:   Sun May 6 04:32:03 2001 +0000

      * Fixed a few warnings with gcc 3.0.
      * aout and vout are now allocated in banks, making it possible to have
        several of them at the same time.
      * configure now checks for MMX and MMX EXT support in the assembler.
      * Removed all MMX code from the main program and moved it to the
        existing idct modules (Closes: Debian bug #96036).
    
        Don't forget to make distclean before building vlc again.

commit 92df268e0115842ec4fbfcc35e446477f5437669
Author: Andres Krapf <dae@videolan.org>
Date:   Sat May 5 13:36:27 2001 +0000

    initial import - still buggy, crashes on exit, etc.
    the playlist and the popup are unimplemented.

commit d072e40d6868afc9a5479b879c5cab49cafef389
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed May 2 20:01:44 2001 +0000

      * FreeBSD CSS decryption support.

commit 5e0ca6827a863059778d55d35d95c2e722302192
Author: Henri Fallon <henri@videolan.org>
Date:   Wed May 2 13:30:30 2001 +0000

    * Corrected vlc-howto thanks to Arnaud Gomes-do-Vale
    * Fixed a segfault in TS input. Some stream still do not work, or
      work very slowly with many error messages. I'll try to have a look.

commit f367feacc7afd5a654fc629b82f590d05fd0ea6a
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue May 1 15:12:22 2001 +0000

      * Fixed a remaining buffer overflow in the Gnome interface and applied
        the patches to the Gtk+ interface.

commit 543556379d3748bc9e724cbbcdd4b7c100fca3dc
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue May 1 12:22:18 2001 +0000

      * Fixed a segfault in the SPU decoder initialization.

commit a70f8bb371466209770c4c3bcdb7137b94acef66
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue May 1 04:18:18 2001 +0000

      * Mandatory step for video output IV and the audio output quality
        fix: the output threads are now spawned when a decoder needs one,
        so it can decide the audio frequency or the video window size. Still
        under heavy construction, so don't get too excited at finding bugs
        in it yet.
    
        Note: this change broke the XVideo module, so I made its score much
        lower than before. I suspect xvideo.so had a bug before which only
        appears now. Other video output plugins may be broken as well, but
        again this might be due to old existing bugs showing their ugly head.
    
      * Fixed a few buffer overflows in the Gnome interface.
      * The module bank is now a global variable. The video output bank and
        the audio output bank might follow (when they exist).
      * Coding style and organization fixes to the spdif decoder.
      * autoconf and Makefile changes by Arnaud Gomes-do-Vale
        <arnaud@carrosse.frmug.org>.

commit 7f1f24b3aa593a6c426a86e9b707b162372a1b9f
Author: Renaud Dartus <reno@videolan.org>
Date:   Mon Apr 30 21:10:25 2001 +0000

    I forgot some headers

commit 6ab6f7ac4949c8e0665df553bafd4c9cd4faf702
Author: Renaud Dartus <reno@videolan.org>
Date:   Mon Apr 30 21:04:20 2001 +0000

    * Follow of the new ac3_decoder ;)
      - New ac3_imdct
      - New ac3_downmix

commit cd74cb2c5fd8c7625b58870e35ea848f30079947
Author: Christophe Massiot <massiot@videolan.org>
Date:   Mon Apr 30 15:01:00 2001 +0000

    Removed unused files.

commit 5d45070ceed2b98b6961545543b4a5cedb4f8717
Author: Christophe Massiot <massiot@videolan.org>
Date:   Mon Apr 30 09:44:26 2001 +0000

    Fixed a mistake with -g and --enable-debug.

commit 5d51b9bede13f9a3fb5c79ffe200ecff9435be1c
Author: Stéphane Borel <stef@videolan.org>
Date:   Sun Apr 29 17:57:50 2001 +0000

    -Fixed the title-change-with-no-input-restart in dvd.
    
    -I haven't forgotten the chagelog this time :)

commit 2cc08ef1097ee64fc94b9ff10ad5a75dfaceec5a
Author: Sam Hocevar <sam@videolan.org>
Date:   Sun Apr 29 17:03:20 2001 +0000

      * BeOS crash fix by Wade Majors <guru@startrek.com>.
    
        Please, try no to forget the ChangeLog when commiting!

commit dcca341b69a621b8c523fd9e84818b68cb47ae07
Author: Stéphane Borel <stef@videolan.org>
Date:   Sun Apr 29 14:52:42 2001 +0000

    -slight modification in ClockManageRef: after a synchro reinit, we still
    do the mwait and re-init last-cr so that there no date irregularity.
    Such a thing is necessary for dvd playback at cell change ; however,
    Meuuh, could you look at that since you might think we should do
    otherwise.
    
    -turned the "bitsream callback discontinuity" message to debug.
    
    -removed modification of the title environnement variable in input dvd
    at title change since we no longer restart the input at title change.

commit d857773c93f9be1f359ff99beed1060d2bafd41e
Author: Stéphane Borel <stef@videolan.org>
Date:   Sun Apr 29 02:55:36 2001 +0000

    Forgot one file.

commit e5c6a7af794ad956adb645e1d9359ebb22b283ec
Author: Stéphane Borel <stef@videolan.org>
Date:   Sun Apr 29 02:48:51 2001 +0000

    -new audio output using direct ac3 pass-through with some sound
    cards: it sends raw ac3 frames to an external ac3 decoder. It is very
    experimental yet, hasn't any synchro ... but it works well with my
    sblive and my dtt3500 speakers (note that you need a patched emu10k1
    driver for this to work).
    
    -bug fix in gnome intf thanks to Shane Harper.
    
    -bug fix in input_dvd for chapter change.

commit d3aacbfc77df232006a4a65f398929e9651cf1fb
Author: Henri Fallon <henri@videolan.org>
Date:   Sat Apr 28 23:19:19 2001 +0000

    - Fixed a bug in TS input. It should be more smooth now
    - Fixed the pace control. Meuuh, could you check ?

commit 44344f9c7ba2a6d1026d13e67b116fc1f60b7675
Author: Sam Hocevar <sam@videolan.org>
Date:   Sat Apr 28 05:12:05 2001 +0000

      * Updated debian control files and disabled ALSA for this version.

commit 40fe3b48019f8839a2e2a9d313e18917abe79423
Author: Henri Fallon <henri@videolan.org>
Date:   Sat Apr 28 05:08:01 2001 +0000

    Updated files for 0.2.73 release

commit 60d9438c8c41d0c08b91305ad5ade841fbf32a7f
Author: Sam Hocevar <sam@videolan.org>
Date:   Sat Apr 28 04:47:20 2001 +0000

      * Fixed a nonsense in configure.in preventing to build sdl.so.
      * Removed a few stupid debug instructions in aout_s16.c that should
        have never been commited. Sorry about that.

commit 1c5ddd940e2584c14b4565855cfda294ea8aa0f9
Author: Sam Hocevar <sam@videolan.org>
Date:   Sat Apr 28 04:09:38 2001 +0000

      * Don't use the #@%&$! autoconf-suggested CFLAGS.

commit 0a4aeaa67cae0699195b135dcc65ce5b0ee5fdc4
Author: Sam Hocevar <sam@videolan.org>
Date:   Sat Apr 28 03:36:26 2001 +0000

      * Coding style fixes here and there.
      * Miscellaneous QNX compile fixes.
      * Beginning of the mingw32 port by Gildas Bazin <gbazin@netcourrier.com>.
      * Added Marcari and Gildas to the AUTHORS file.
    
      (I commited the mingw32 port because it doesn't add any new code outside
       the #ifdefs, but we won't tell a word about it for the moment. We don't
       really need windows users whining about bugs, do we ?)

commit eb7f7ca00a3f7316d42e67c6de2b3f23607e3b54
Author: Henri Fallon <henri@videolan.org>
Date:   Sat Apr 28 00:28:52 2001 +0000

    Added a howto. Feel free to correct it. I'll put it on the website soon.

commit da011cf41a078650e1c2d35215d0677f3272cfc3
Author: Stéphane Borel <stef@videolan.org>
Date:   Fri Apr 27 23:29:14 2001 +0000

    -fixed a segfault added in last commit: initilisation of p_cache was
    done inside a #ifdef DEBUG
    
    It still segfaults for me on exit.

commit 3d727062959d67e50acea7df103872b0db9c0dba
Author: Christophe Massiot <massiot@videolan.org>
Date:   Fri Apr 27 19:29:11 2001 +0000

    Change --enable-debug into --enable-trace. Same with DEBUG_*.
    --enable-debug still exists, but only activates -g and additional
    safety checks.
    
    I hope I didn't break anything :))

commit 092858e0c8d08d42848fe86add57d92a64ab340b
Author: Henri Fallon <henri@videolan.org>
Date:   Fri Apr 27 18:07:57 2001 +0000

    Repaired broadcast support : binding INADDR_ANY doesn't seem to work.
    
    You now have to specify the broadcast address as an argument.
    Btw, thanks to sam, you can now use ts://server:port style, which gives
    for broadcast :
    
    vlc --broadcast broadcast_addr ts://server[:port]

commit c0138ec5ec4fd09b4421797c0edfaf8a56951d42
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Apr 27 16:08:26 2001 +0000

      * Fixed the continuous 'seeking position' bug in network mode.
      * rc interface plugin for vlc control through /dev/stdin courtesy
        of Peter Surda <shurdeek@panorama.sth.ac.at>.
      * Support for `ts://foo:42' style input source:
         vlc ts://vls.via.ecp.fr:1234
         vlc ts://vls.via.ecp.fr
         vlc ts:vls
         vlc ts:vls:4321
        As a side effect, the Gnome and Gtk "network input" buttons work.

commit f2975c712d75b2c901e41f89897501ed292ac4c4
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu Apr 26 11:23:16 2001 +0000

      * Fixed the ac3dec compilation under BeOS.
      * Removed a useless #include in aout_sdl.c.

commit fdd0e7d360ed5e81d8862d530b40c0da1387be72
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu Apr 26 03:55:44 2001 +0000

      * Commited Shane's XVideo patches. It works here (tm).
      * Fixed the XVideo aspect ratio (AR_SQUARE_PICTURE means square pixels,
        not square image).

commit 2715946fd4c838e3958a433f6b49a63c009499ea
Author: Renaud Dartus <reno@videolan.org>
Date:   Thu Apr 26 00:12:19 2001 +0000

    * Follow of the new ac3_decoder ;)
      - New ac3_mantissa (use of dithflag, new unpack)
      - Correction of an introducing counting bug in ac3_parse
        (i forget 2 bits in total_bits_read)

commit c1458b725feabefdb905bbc214f284e80133a1b4
Author: Christophe Massiot <massiot@videolan.org>
Date:   Wed Apr 25 20:54:07 2001 +0000

    * Removed my optimization attempt.

commit 6783b216ef2a6184d8b5b574acb7bae3c88b21e0
Author: Christophe Massiot <massiot@videolan.org>
Date:   Wed Apr 25 10:22:33 2001 +0000

    * Fixed an alignment issue with the bit stream and the bit stream
    callback on startup - InitBitstream prototype has changed ;
    * Removed a buffer zeroing in video output - doesn't change anything
    for me, does it for you ?

commit 3bc1ec7a6d61407263b5832dda198f47167fd3a7
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Apr 25 09:31:14 2001 +0000

      * Updated the TODO list.
      * Fixed benny's latest C++ism.
      * Fonts not found are no longer fatal to the video output.

commit 022a684598f3240274ee9d6ba0278edd1793378c
Author: Benoit Steiner <benny@videolan.org>
Date:   Wed Apr 25 06:56:47 2001 +0000

    Get rid of the asprintf that were slow and not available on Solaris. Didn't
    check if the new code still compiles everywhere, but it should.

commit 26300bb99a9a8d91a62601adb000a4afc568895f
Author: Stéphane Borel <stef@videolan.org>
Date:   Sun Apr 22 00:08:26 2001 +0000

    -better handling of angles: you should be able to change on the fly now
    
    -removed � bug added at my last commit in css code; cleaned CSSGetKey
    
    -various changes and bugfixes in the gnome interface.

commit 224c0e0be6419df18461216ac0973d04ddee8990
Author: Sam Hocevar <sam@videolan.org>
Date:   Sat Apr 21 22:49:24 2001 +0000

      * XVideo fullscreen mode by David Kennedy <dkennedy@tinytoad.com>.

commit 9268862b2bb5a6a3c5d6467d18f75854df6c767a
Author: Sam Hocevar <sam@videolan.org>
Date:   Sat Apr 21 00:31:07 2001 +0000

      * X11 fullscreen mode, courtesy of David Kennedy <dkennedy@tinytoad.com>

commit 90510c53dbb297be36673b7f3f2083fc4aa06ed3
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Apr 20 15:02:48 2001 +0000

      * Added prototypes for the Elementary Stream input module for Alexis.
         it's compiled by default, to activate it: "vlc --input es <file.mpeg>"

commit 3b94a56f8d1d456b7c9ad45e218cb12b6d215f25
Author: Renaud Dartus <reno@videolan.org>
Date:   Fri Apr 20 12:14:34 2001 +0000

    * Begin of the new ac3_decoder ;)
      - New ac3_decoder_thread (we now use GetBits)
    
    Please warn me if you encounter some problem

commit 39db76ab86ec9beaf2c208a97564738eea633699
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Apr 20 11:06:48 2001 +0000

      * Fixed build process when no plugins or no builtins were chosen.
      * Makefile changes to get around MacOS X's brain-damaged gcc.
      * FreeBSD configure and Makefile patches, courtesy of Espen
        Skoglund <esk@ira.uka.de>.

commit b2e1b231bce0850dc3179a892db436dc21e53896
Author: Stéphane Borel <stef@videolan.org>
Date:   Fri Apr 20 05:40:03 2001 +0000

    -corrected some bugs in gnome interface: language menu are now
    synchronized ; and menus have less chances to be changed when they're opened.
    
    -added basic angle support ; this is a first try. It works with my 2
    test-DVDs, but I'd like that people having DVDs with repeated scenes to
    test it. We can choose angle with command line option -u (don't ask me
    why :)
    
    -a cosmetic change in css decryption.
    
    Since config.h.in has changed, you have to re-run ./configure.

commit 9f8fcf88ebab58c592fbadda1495834e7e34cbfd
Author: Marc Ariberti <marcari@videolan.org>
Date:   Tue Apr 17 20:43:41 2001 +0000

    *** empty log message ***

commit a1c76679d41eae225e4e1f0ffcba4cc7498abe2f
Author: Christophe Massiot <massiot@videolan.org>
Date:   Tue Apr 17 18:22:51 2001 +0000

    Removed a "1" from an intf_DbgMsg() (courtesy of Steve Brown
    <sbrown@cortland.com>)

commit 05b2c1efc26bd11dfacb4ed4f0b668b83987cc15
Author: Colin Delacroix <colin@videolan.org>
Date:   Tue Apr 17 15:17:58 2001 +0000

    fix MacOS X icon

commit bb652ac24509b3054f8272eed399f39448b6184b
Author: Christophe Massiot <massiot@videolan.org>
Date:   Tue Apr 17 14:54:54 2001 +0000

    Fixed optional PES size bug, courtesy of Steve Brown <sbrown@cortland.com>.

commit 8fc52975d298de39b8f29b2ed195e75f681fd76f
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Apr 17 14:39:51 2001 +0000

       OS X fixes:
      * Fixed a compilation issue in the DVDioctl driver.
      * Added a call to ranlib after a built-in module compilation.

commit 28b0b9af6bf6c7a22aeed048a399b27c2474afeb
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Apr 16 13:32:55 2001 +0000

      * Fixed a typo in configure.in

commit 372813ac34cb7245c173c7255a6caeb6209c284d
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Apr 16 13:00:55 2001 +0000

      * Merged Makefile.common and Makefile.modules.in into Makefile.modules
      * Updated version number and ChangeLog to 0.2.72
      * Additional plugin Makefile cleaning, probably the last.

commit adff2a8501514d36861150435134522fbef78c33
Author: Cyril Deguet <asmax@videolan.org>
Date:   Mon Apr 16 12:34:28 2001 +0000

    Re-added the new packet allocation method in PS input, using packet caches.
    With warning level 1, you can see when a packet is allocated or freed; the
    goal is to never call 'malloc' nor 'free', except at the beginning of the
    stream.
    The size of the different caches can be adjusted in plugins/mpeg/input_ps.h.
    If 'free' is called too often, it means that a cache is too small, so try
    to increase its size.

commit 6116299e395a1d8a27c1a7280749a0a7d59d0d66
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Apr 16 07:40:11 2001 +0000

      * Added .cvsignore files in the plugins directories.
      * Additional Makefile cleaning for built-in modules.
      * Fixed Makefile for Solaris target.

commit 5427a369c4a6ef96ab69119879e32360b301f737
Author: Stéphane Borel <stef@videolan.org>
Date:   Sun Apr 15 21:17:50 2001 +0000

    -I hope I have fixed the ifo bug lastly !

commit c01112adc6eb6ddd791164d35b698c6679bb1026
Author: Stéphane Borel <stef@videolan.org>
Date:   Sun Apr 15 15:32:48 2001 +0000

    -Maybe fixed the "cell not found" bug. I can't test it because I don't
    have a dvd drive here, but it should work now.

commit 4a5e3b56ce704cb7678e063fd5d17115aa93b6e9
Author: Sam Hocevar <sam@videolan.org>
Date:   Sun Apr 15 15:11:44 2001 +0000

      * All Debian packages are now lintian-clean.
      * Fixed XVideo plugin linking.

commit 79a45f72ac0e4bda8f2796bf7ffed7ef7fc7f3f8
Author: Sam Hocevar <sam@videolan.org>
Date:   Sun Apr 15 10:54:46 2001 +0000

      * Updated TODO list with Henri's Apr 6th post.
      * Built-in modules support almost finished.
    
        Now you can compile any module within vlc, even the Gnome, Qt, SDL
      and GGI modules at the same time, resulting in an awful extra fat
      vlc binary with gazillons of library dependecies.
    
        The only exception is that the Gnome and Gtk+ modules can't be
      compiled together into vlc. But you can have one compiled built-in
      and the other as a plugin.
    
        Another consequence is that libdl should no longer be needed under
      MacOS X. I'll check this as soon as possible.

commit 5b51669f92bf457a6c0199fce15e2149c1ae9b00
Author: Sam Hocevar <sam@videolan.org>
Date:   Sun Apr 15 04:46:41 2001 +0000

      * A few Makefile fixes for BeOS
      * XVideo patches by Shane Harper

commit 6b3c854071c43c099f55c5c61731e59999239854
Author: Sam Hocevar <sam@videolan.org>
Date:   Sun Apr 15 04:19:58 2001 +0000

      * Beginning of the built-in modules support.
    
       A few words about the changes:
    
      - heavy Makefile butchery has taken place, each plugin now has its own
        Makefile. I know recursive make blablah harmful, but it was just so
        much easier to do this way.
    
      - Makefile.in has disappeared, we now generate Makefile.opts with
        the overall configuration options, and Makefile.modules which is
        specific to module compilation.
    
      - After ./configure has been run you may want to modify Makefile.opts
        to check which modules will be compiled built-in or as plugins.
    
      - Some modules cannot be compiled built-in right now because proper
        linkage doesn't work yet. We don't really care since they're the
        interface or video output modules. The most important stuff works
        (iDCT, motion, YUV, input).
    
      - It's perfectly valid to compile a module both as built-in and as a
        plugin. vlc will only load the built-in one, but I'll add an option
        to ignore built-in modules for testing purposes.
    
      - We *should* see a performance increase here. I didn't have much time
        to test it, but if anyone can confirm and perhaps give a rough
        estimate of how much we gain...

commit dc4cad8f9f750fa373c3d91e4d7e2f2a207e9ab0
Author: Sam Hocevar <sam@videolan.org>
Date:   Sat Apr 14 07:41:20 2001 +0000

      * Got rid of the sleep() hack in beos_specific.cpp
      * Fixed a segfault when launched without argument under Darwin.

commit e0e2dcdd717fd4847795fd97b30aaac9b54a1bc3
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Apr 13 14:33:22 2001 +0000

      * Fix for Darwin program path handling. I mistakenly assumed that the
        program path was always absolute.

commit a3d70339eea72a2b3e1f21439649a3c88535d01b
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Apr 13 06:20:23 2001 +0000

      * Updated version number to 0.2.71 (release today).
    
      * Merged 6 months of CVS logs to the ChangeLog file.
        The vlc changelog can now be viewed here:
           http://www.videolan.org/vlc/changelog.html
    
      * Fixed a lintian error in debian/rules.
      * XVideo resize patch by Shane Harper <shanegh@optusnet.com.au>.

commit f11b9a96ddd7c1f3ee7a3c0c995e6aa74b9be066
Author: Stéphane Borel <stef@videolan.org>
Date:   Fri Apr 13 05:36:12 2001 +0000

    *Added udf fix by Billy Biggs
    
    *Added checks in dvd_ifo
    
    *Cleanings in gnome interface : the interface should be dependant on the
    input method.

commit c7df0042b11981873106e33d3ec9a6c2dc4137bb
Author: Henri Fallon <henri@videolan.org>
Date:   Fri Apr 13 01:49:22 2001 +0000

    TS input : only one audio & spu ES selected at a time
    Intf : ts streams in menu
           fixed a typo
    
    There be certainly need for debug on the TS input as vls complains about
    wrong sized PES packets, and that many streams do not seem to work.
    
    btw, I forgot to mention in my last commit the function that nooone will
    ever use : "right button" key of 105 keys keybords support under X11,
    Xv, Sdl

commit bbd9bc5c7484aa7cae6167dc81247ad81e17bad4
Author: Colin Delacroix <colin@videolan.org>
Date:   Thu Apr 12 17:57:12 2001 +0000

    MacOS X
    make vlc.app now correctly updates vlc.app
    added an icon to the MacOS X vlc
    removed the build of the vlc app from the install target

commit b9f4c2bd2e44a61d712279ca2500cd5a9a1ad533
Author: Tony Castley <tcastley@videolan.org>
Date:   Thu Apr 12 11:10:16 2001 +0000

    Fixed menu problem in 0.2.7.0

commit ae157b7220c4dc02035a189285195e5d81f24e79
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu Apr 12 08:24:30 2001 +0000

      * Fixed a typo in yesterday's BeOS changes.

commit 7f66cfcadfb6b8bac29865cbffdb8fb08403e98c
Author: Stéphane Borel <stef@videolan.org>
Date:   Thu Apr 12 03:26:53 2001 +0000

    -added a field to p_input->stream to inform the interface of a stream
    change (useful in network mode)

commit 7fecb798eb048962bfefe489823cba4fb60c7cdd
Author: Stéphane Borel <stef@videolan.org>
Date:   Thu Apr 12 02:40:09 2001 +0000

    -Fixed a bug in area management added in my last commit
    
    -Change the way ifo are read ; I hope this fixes problems with some
    compilers
    
    -Added error checks in dvd input

commit 3ad76f44ecc2b8bdf5af44eab2e7106fae72a960
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu Apr 12 01:52:45 2001 +0000

      * BeOS icon and MIME resources courtesy of Wade Majors <guru@startrek.com>.
      * Updated icons.
      * Removed redefinition of NULL in src/audio_decoder/adec_layer?.c.
      * Created darwin_specific.c to store the program path at boot time.
        (XXX: check that it didn't break the OS X port)
      * Fixed a warning in netutils.c.

commit 4a2860298a5abf7a783b8a1e39ee4dc78f79f42a
Author: Eugenio Jarosiewicz <ej@videolan.org>
Date:   Wed Apr 11 14:10:49 2001 +0000

    Forgot a little thing...main.  Done for now I hope;-)

commit bd2926f7286a68b2f3bddbb4df379f80f0235219
Author: Eugenio Jarosiewicz <ej@videolan.org>
Date:   Wed Apr 11 13:56:39 2001 +0000

    Fixed a dumb mistake in Makefile.in

commit 4ebec617ae8327e2df8c3dc18a19624386acd5ff
Author: Eugenio Jarosiewicz <ej@videolan.org>
Date:   Wed Apr 11 13:30:30 2001 +0000

    Updated & cleaned up intf_macosx.c and vout_macosx.c - added Open menu
    function support and a no-frills About box
    
    Created macosx_common.h in plugins/macosx/ to hold , well, common stuff
    (the way I see it, there is inherently a difficult separation of intf and
    vout on Mac OS, if anyone has suggestions I'm open)
    
    Cleaned up debug spew I left in modules.c and video_text.c
    
    Hacked main.c to disregard argv[1] when compiled for OSX & run as a full
    app (ie., double clicked and not launched from command line)... read the
    file for more details.  UGLY.
    
    Updated Makefile.in to make vlc.app by default on Mac OS X & Darwin, added
    clean code for it as well

commit b69b9d33ced80b4bbc3c71291b36b0ad1d522e12
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Apr 11 12:52:10 2001 +0000

      * Fixed icons location and Debian desktop menus.

commit 15ca5a440c10a6b7c5ee416cd2a04a4964dad98d
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Apr 11 04:46:18 2001 +0000

      * Forgot a BeOS patch on previous commit.

commit 8ee3c601076be778d8b2429ded5077aa694c3405
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Apr 11 04:31:59 2001 +0000

      * Fixed the whitespace/tab issues in the Makefile.
      * Corrected an awful typo in the version name, I hope Lieutenant Commander
        Arkady Grigorovich Ourumov will never set up us the bomb for that.
      * Removed deprecated stuff from config.h.
      * Disabled message queue by default.
      * A few other changes in the CSS code, the BeOS issues should be fixed.
      * Fixed a memory leak in gtk_callbacks.c (thanks to Dae).

commit d69ab00d9d696ff207feb13db0819264eead11f0
Author: Henri Fallon <henri@videolan.org>
Date:   Wed Apr 11 02:01:24 2001 +0000

    - Ported the 0.2.0's channel changing functions
    - Cosmetic changes : the word 'vlan' is disappearing
    - network_ChannelJoin is still commented out as it's not in sync anymore
      with our channel server. Nitrox should fix this within a week.
    - X and Xv output : added autohide cursor as in SDL
    - X and Sv : keys 1 to 0 change channel
    - SDL : keys F1 to F10 change channel as I was not able to make 1..0 work

commit b3d7d241c512324a517d08a165cbba69e6e5f008
Author: Stéphane Borel <stef@videolan.org>
Date:   Tue Apr 10 17:47:05 2001 +0000

    -Fixed the lock segfault bug with some compilers
    
    -Quick kludge in ifo to avoid a bug with optims. The real fix is coming.

commit b8539d07f36f6434739de6425fabc994c3e94f24
Author: Stéphane Borel <stef@videolan.org>
Date:   Mon Apr 9 04:15:30 2001 +0000

    -Fixed a compilation issue due to a change in an interface structure

commit ac57e78fe7234a9d2d4451b9ecf85c4fa0e4cf8f
Author: Sam Hocevar <sam@videolan.org>
Date:   Sun Apr 8 16:57:47 2001 +0000

       * XVideo window now has a black background, thanks to Shane Harper.
       * Fixed a heap corruption in dvd_css.c.

commit 7371e7bda7fb8b4223bb59ae57985af071d2aa4e
Author: Pierre Baillet <octplane@videolan.org>
Date:   Sun Apr 8 13:11:45 2001 +0000

    Forgot one small thing :P

commit 34eab38e7ed514d2d382592812f802d17e3cbd99
Author: Pierre Baillet <octplane@videolan.org>
Date:   Sun Apr 8 13:09:32 2001 +0000

    Corrected playlist update on file opening.

commit 9dde7278ad08603d2329c5c766984a209979992e
Author: Stéphane Borel <stef@videolan.org>
Date:   Sun Apr 8 09:04:33 2001 +0000

    -fixed css authentication under linux since it has been broken for a few
    days: we have to initialize agid of authinfo struct.
    
    -fixed a segfault on exit when DVDInit fails

commit e98a5e59e8ad2070c628da919d409c51a6713672
Author: Stéphane Borel <stef@videolan.org>
Date:   Sun Apr 8 07:45:03 2001 +0000

    -fixed little poliotage

commit 72ca053968c0d15b46acc544a0a3626b4a5e6aeb
Author: Stéphane Borel <stef@videolan.org>
Date:   Sun Apr 8 07:24:47 2001 +0000

    -changes in gnome interface
    
    -bugfix in input dvd

commit 1843a6156ad85147a5e756c741dd5dbb287f7921
Author: Sam Hocevar <sam@videolan.org>
Date:   Sun Apr 8 04:17:30 2001 +0000

      * Updated ChangeLog and TODO list.
      * Added TODO to the .spec file.
      * Fixed Makefile.in so that `make snapshot' takes extras/* in account.

commit 693f22accb034eeefbec427fe62557f43de3a472
Author: Christophe Massiot <massiot@videolan.org>
Date:   Sat Apr 7 23:23:50 2001 +0000

    Removed --enable-mmx (enabled by default under x86) and changed a few
    things.

commit 196b34acab076e7886f58ca8c674995f5fc0ede2
Author: Christophe Massiot <massiot@videolan.org>
Date:   Sat Apr 7 16:35:05 2001 +0000

    Disable x11 plugin if X11 headers are not found.

commit 9786adf11a948e0183c6939e0797f813c29491c3
Author: Christophe Massiot <massiot@videolan.org>
Date:   Sat Apr 7 16:21:13 2001 +0000

    Added a missing file for MacOS X port.

commit ad08a6d2ed9c9cd8bfb37fb3f5a584bbe8f4754d
Author: Eugenio Jarosiewicz <ej@videolan.org>
Date:   Sat Apr 7 04:59:52 2001 +0000

    Cleaning code and a small fix to make quit work on OSX

commit 66ac85dc29bd5323c9d26548b90778538e1c6df5
Author: Sam Hocevar <sam@videolan.org>
Date:   Sat Apr 7 04:17:49 2001 +0000

       * Updated version information in RedHat and Debian package control files.

commit a8c893ff0eef49003f06e44323f66f4aba470984
Author: Christophe Massiot <massiot@videolan.org>
Date:   Fri Apr 6 18:18:10 2001 +0000

    * Sync MOSX dev/CVS tree : code support for MacOS X audio, video and
    interface (courtesy of Eugenio Jarosiewicz & Colin Delacroix) ;
    * Bumped up version number to 0.2.70.

commit 94c51c45b71aafea937b729ce661d896ce055de3
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Apr 6 09:15:48 2001 +0000

      * Code cleanup: removed a few tabulations.
      * Fixed inline asm routines to remove all read/write operands.
      * Added <string.h> to most files to prevent warnings under FreeBSD.
      * Added "break;" after "default:" in case switches to prevent
        warnings when compiling with GCC 3.0pre.

commit f3f860ca5d69aa95060c073fa912f653478d35b6
Author: Cyril Deguet <asmax@videolan.org>
Date:   Thu Apr 5 16:37:15 2001 +0000

    switched back to the old packet allocation method for PS input, because
    Sam does not want the new one ;)

commit ed003a4a6d74203a9642dea7ebe8f06ceef51211
Author: Cyril Deguet <asmax@videolan.org>
Date:   Thu Apr 5 14:00:28 2001 +0000

    Added a new packet allocation method that punish one's mother in PS input.
    I hope there won't be too many segfaults because of it ;)
    A few parameters must be adjusted to optimize this method; I'll do it later
    because Proba Stat sucks ;)

commit cfbe86907a89f937b79462cb2876ef7e3cfd4500
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu Apr 5 03:50:38 2001 +0000

      * added the GNU getopt library, which gets compiled in when getopt_long
        isn't available on the desired platform.
      * replaced the `--warning' flag with the standard cumulative `-v' flag.
        `-v' is like `--warning 3', and `-vvvv' is like `--warning 0'
        (`--warning' is still valid for those used to it)
      * cleaning in configure.in and Makefile.in, the Solaris port now
        builds and runs properly.

commit 646f7c46296fbe55fce3dc51d116bb94664d357d
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Apr 4 16:33:07 2001 +0000

      * compilation fixes for the BeOS DVD ioctls
      * XVideo plugin enhancements by Shane Harper <shanegh@optusnet.com.au>

commit 57801bcb3a53d860425eaec6a1f838f763900f32
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Apr 4 02:49:18 2001 +0000

      * additional enhancements to the OS X DVD ioctl module
      * big cleaning of the BeOS DVD ioctl code, got rid of all Linuxisms

commit 0fee43a45c5c05c42ca8da004fc15eba9442970b
Author: Stéphane Borel <stef@videolan.org>
Date:   Tue Apr 3 03:39:41 2001 +0000

    -Fall back to one-packet-once reading in dvd input since multi-block
    seems to have a bug that make the vlc crash on title/audio/spu change. I
    hope that this bug will be fixed soon for the performance is poorer now
    
    -add-ons and changes in gnome interface:
            *menu subdivision is done only if there are over 20 items,
            *in DVD mode next/prev apply to title,
            *in DVD mode, added a box with button to navigate through
             chapters.
    This has not been finished yet (and it is not in gtk plugin then). And I
    think I will leave toolbar next/prev buttons for playlist and add
    button specifically for title change like for chapters.*

commit 8ccd224ce68ba37052c2dfff1d8a34b2c12d32ae
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Apr 2 23:30:41 2001 +0000

     * fixes for the Qt plugin compilation under Debian
    
     * heavy butchering in the CSS and DVD ioctl code to put all architecture-
       dependent code in dvd_ioctl.c
    
     * added almost fully-functional /dev/dvd driver for MacOS X in
       extras/DVDioctl; to build it:
    
        % cd extras/DVDioctl
        % pbxbuild
        % kextload build/DVDioctl.kext # note: kextload has to be run as root
    
       be aware that the license for the DVDioctl kernel extension is
       not GPL but APSL, because I borrowed some code from the Darwin kernel.

commit a53dd0f3eb2d0174ead98ca0e3191daf6ee2a775
Author: Richard Shepherd <richards@videolan.org>
Date:   Mon Apr 2 22:40:07 2001 +0000

    vout_beos now uses double buffering for YCbCr overlay.
    This (for some reason) improves audio/video sync

commit f6c80a75e25d27a95a9e56e48a7af90a5a70afec
Author: Stéphane Borel <stef@videolan.org>
Date:   Sun Apr 1 07:31:38 2001 +0000

    -Various bug fixes in dvd_netlist. Some bugs seem to remain though.
    -New function input_ToggleES for interaction with interface.
    -Changes in gnome interface : navigation menus are now splited, there
    are radio item in menus and the code should be better.
    -First step for dvd_ifo rewritting. Now allocation/disallocation is
    being done as it has to be.
    -Fixed a bug in title management that make dvd like Seven work.

commit e38b7772b5d8b0c90bd7c0b2f44c9ab0dc6f8683
Author: Sam Hocevar <sam@videolan.org>
Date:   Sun Apr 1 06:42:05 2001 +0000

      * fixed a typo

commit 5ff854ec22fc12936d0fb35d13784f794c9528ac
Author: Sam Hocevar <sam@videolan.org>
Date:   Sun Apr 1 06:21:44 2001 +0000

      * XVideo plugin courtesy of Shane Harper <shanegh@optusnet.com.au>
      * Makefile.in and configure.in fixes by Nilmoni Deb <ndeb@ece.cmu.edu>
      * A few syntax fixes in the plain X11 plugin

commit 52985bd289a6a624106a277bdc95be8c479f0d1f
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Mar 26 19:06:18 2001 +0000

      - fixed SDL compilation, thanks to Colin.
      - disabled Altivec iDCT until it works.

commit a32ef53e1b048d25ecb17bdddfbf9bda8558e567
Author: Richard Shepherd <richards@videolan.org>
Date:   Sun Mar 25 17:09:14 2001 +0000

    Language & Inteface support for BeOS interface

commit 7cfe1ea9cb6a9e8df61b00470f74821c402ff283
Author: Stéphane Borel <stef@videolan.org>
Date:   Thu Mar 22 01:23:03 2001 +0000

    -Added a SYNCHRO_START in DVDRead for each cell change to fix
    multi-angle streams
    
    -Changed seek function to prevent jump-at-will and to remove two bugs in
    sector computing.
    
    -Initialize some values in netlist (payload_discard wasn't which caused
    frame dropping)
    
    -Come back of multi-sector read which should make reading faster
    
    Now, theyre should be very few reading error, and we have got back the
    performance we had before my netlist polioting :p

commit 4f551c2bf0d189405e96cbbb8234ed3edd9d6d3e
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Mar 21 13:42:35 2001 +0000

      * Header cleaning: filled all empty authors fields, added CVS $Id stuff.
      * Fixes to aout_darwin.c by Colin Delacroix <colin@zoy.org>.
      * Fixes to configure.in, Makefile.in and main.c (Altivec detection)
        by Eugenio Jarosiewicz <ej0@cise.ufl.edu>.
      * Added Colin and Eugenio to the AUTHORS file.

commit c0d2635e3eadfa71f72416da65f7f9ae3e69d0b5
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Mar 21 02:58:29 2001 +0000

      * Fixed a typo in the Altivec iDCT module declaration.
      * Made a few enhancements to the Makefile.

commit d4c55a87145cf539bbeeb9356c9a016c0d3fcb50
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Mar 20 23:18:38 2001 +0000

       * Altivec instructions autodetection.

commit 81bafafac1fed844afc37f0d4793c9f80e7456f7
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Mar 20 21:42:41 2001 +0000

       * SDL fixes and enhancements by Shane Harper <shanegh@optusnet.com.au>
    
       Shane, I removed the static variables from your code because static
       is not thread-safe, and one can imagine having several video output
       windows launched at the same time. Also, I made your feature work
       in windowed mode as well, because people kept asking how to hide the
       mouse pointer.
    
       Also, if you want to work on the XVideo extension, you are welcome ;
       most of us are quite busy at the moment. Damien Lucas <nitrox@via.ecp.fr>
       had offered to work on it, but he seems to be a bit lost, so you may
       want to take over his job.
    
       As for the "zoom" feature, I suggest you wait until version 4 of the
       video output is done, it'll be easier to do then.
    
    Regards,

commit 1e7670680546f36909f2d2bd52740207c92ab82d
Author: Christophe Massiot <massiot@videolan.org>
Date:   Tue Mar 20 20:54:44 2001 +0000

    * Compile Altivec modules on Darwin. [MacOS X port]

commit d73c57ac236e773f86c584b2db682e7a2058df74
Author: Christophe Massiot <massiot@videolan.org>
Date:   Tue Mar 20 20:40:07 2001 +0000

    * Use $QTDIR for the qt module ;

commit 01d67611b9f76da28ff4da402bd9d604431a4796
Author: Christophe Massiot <massiot@videolan.org>
Date:   Tue Mar 20 20:20:34 2001 +0000

    * Fixed Makefile for normal people :p

commit 9ab4320abeec4657162da7df8960c99d99542800
Author: Christophe Massiot <massiot@videolan.org>
Date:   Tue Mar 20 20:09:37 2001 +0000

    * Added IDCT Altivec optimization [MacOS X port]. Untested, not compiled.

commit 63f29665c7e6f2c319788cb41e25e2268a2c428c
Author: Christophe Massiot <massiot@videolan.org>
Date:   Tue Mar 20 19:36:59 2001 +0000

    * Compile Darwin module by default on Darwin system. [MacOS X port]

commit 13484ed07bbd01dc7b630066b163d5a132376948
Author: Christophe Massiot <massiot@videolan.org>
Date:   Tue Mar 20 17:36:04 2001 +0000

    * Support for Darwin CoreAudio, courtesy of Colin Delacroix [MacOS X port] ;
    * Added warnings for ac3 mantissa (we still have problems with AC3 on
    MacOS X) ;
    * Renamed WriteResource to avoid a namespace clash with Darwin's
    WriteResource.

commit b004a6619b9a9571bb565407e5690b20cadf380e
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Mar 20 04:44:06 2001 +0000

      * Split audio output into several separate files to make it easier
      to debug. Removed a few redundancies as well.

commit 64bda1b1b35dc26b0e2ace90fbe911c7bdb4d1d8
Author: Henri Fallon <henri@videolan.org>
Date:   Mon Mar 19 22:16:31 2001 +0000

    Added a #include that prevented when compiling on redhat.

commit 98725620ede52a1ae5f0d01728d0d3060ddca482
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Mar 19 13:26:59 2001 +0000

      * vlc core compiles under QNX RTOS. Now if anyone feels like tidying
      it and writing output and interface plugins...

commit 0d5aa512b43437462fe3e64009423cc33d409694
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Mar 19 05:08:00 2001 +0000

      * Fixed Debian sparc build for real (Closes: Debian bug #89285).

commit 9c1a7ddaaebff016702b5ad8605387f659470d8c
Author: Henri Fallon <henri@videolan.org>
Date:   Sun Mar 18 20:46:16 2001 +0000

    Replaced ( a < b/c ) by ( a*c < b ).

commit 2339d58bdf6aa7972cdc2612357e1259d4881cee
Author: Henri Fallon <henri@videolan.org>
Date:   Sun Mar 18 18:48:27 2001 +0000

    - Changed read method : we now use select, so we are now able to quit
    even if no packet has benn receivced.
    - Put more exmplicit error messages
    
    I noticed that now I have "Seeking to position ...." messages even with
    network input. If someone can do a quick fix, thanks about it.

commit 74e5b40a6c6b3ff32484fee06581f485390276c1
Author: Sam Hocevar <sam@videolan.org>
Date:   Sun Mar 18 00:15:20 2001 +0000

      * Forgot to remove a prototype when creating skeleton plugin.

commit 52f0fa68217b25453d02ea0b1f76dc3a889ca429
Author: Sam Hocevar <sam@videolan.org>
Date:   Sun Mar 18 00:01:13 2001 +0000

      * Function prototypes for the forthcoming Darwin and MacOS X port.
      * Gtk+ interface: fixed a precision issue in the scale.
      * Qt interface: somebody pop up us the menu!!

commit b16d6fabe32f70e0b4c67e794e0d36941ed80d0a
Author: Stéphane Borel <stef@videolan.org>
Date:   Sat Mar 17 22:52:00 2001 +0000

    -Added dsp plugin compilation (/dev/dsp is not a regular file :))

commit 87432971dbadd57fb4ffc95dd015faff2b040988
Author: Richard Shepherd <richards@videolan.org>
Date:   Sat Mar 17 19:33:22 2001 +0000

    Some rather boring changes to keep the CVS tree up to date with my (working) build

commit a3c6cd9af22375d89db443f44958fc2ef32be1e0
Author: Christophe Massiot <massiot@videolan.org>
Date:   Fri Mar 16 22:37:06 2001 +0000

    * Borrowed config.guess and config.sub from SDL [MacOS X port] ;
    * Changed files so that the MacOS X port compiles & runs [MacOS X port] ;
    * If SDL/GTK/DSP is not available, don't compile the associated module.

commit e281e7312af330bd8274d5eb49f70639e0293a9a
Author: Stéphane Borel <stef@videolan.org>
Date:   Thu Mar 15 16:29:47 2001 +0000

    Maybe solved the jump-at-will bug after random seek.

commit a0c1805bd992c0ae1fa018156358d831fbaf8f93
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu Mar 15 01:42:20 2001 +0000

      * Bug fixes and enhancements in the Gtk+/Gnome interfaces.
    
       o the slider should behave correctly and stop jumping here and
         there (this bug is _not_ related to Stef's similar bug)
       o added an "open network" menu (useless since the input doesn't
         handle it properly yet)
       o tried to reorganize gnome_callbacks.c and gtk_callbacks.c
       o stream date is now displayed instead of percentage
       o renamed gnome_sys.h to intf_gnome.h, and gtk_sys.h to intf_gtk.h
    
      * Changed documentation and package creation files.
    
       o added versioned conflicts/replaces to vlc-gtk (Closes Debian bug #88796)
       o removed useless or outdated documentation from doc/*
       o moved vlc.1 manpage from debian/vlc.1 to doc/vlc.1
    
      * Added basic Qt interface.
    
       o working features: slide bar, open file, toolbar, popup menu
       o added "qvlc" alias, equivalent to "vlc -I qt"
       o known issues : no "open disc" or "open network" menus yet
                        the IntfWindow class is never cleaned on destruction
                        the popup menu always pop at the middle of the screen
    
      * Misc fixes/updates.
    
       o renamed netutils.h functions from input_* to network_*
       o renamed *plst* files and functions to *playlist* (it was stupid
         from me to name them "plst")
       o made a few input error messages more meaningful
       o added -I, -A and -V short flags, corresponding to --intf, --audio
         and --video
    
        I got a lot of conflicts on this commit, lart me if I forgot a
      file or made old bugs reappear.

commit 93ca3031ee75338ae1eb922b74cbfe7ee0dc66b8
Author: Stéphane Borel <stef@videolan.org>
Date:   Thu Mar 15 00:37:04 2001 +0000

    -Fixed most of the bugs in gnome interface menus
    
    -Added radio checks in menu items.
    
    There are still issues with default selected item but it works well.

commit e996c64e314f1a75e950c574025d9342b0c222db
Author: Pierre Baillet <octplane@videolan.org>
Date:   Wed Mar 14 19:55:51 2001 +0000

    misc code clean-up

commit 9ac9b01020b7829691d8cdf0b8d3635ca1e67d63
Author: Christophe Massiot <massiot@videolan.org>
Date:   Wed Mar 14 00:40:24 2001 +0000

    * Tried to fix the "stream jumps at will" bug.

commit e7bfa12bc9cd217c4863c8fb4daba17cf45a60b5
Author: Renaud Dartus <reno@videolan.org>
Date:   Tue Mar 13 21:22:41 2001 +0000

    * Fixing of PowerPC bug ( I hope :) )

commit a4dc58c8933478d0176cfc5b8022f01031ae48a3
Author: Henri Fallon <henri@videolan.org>
Date:   Sun Mar 11 19:00:18 2001 +0000

    - Moved 2 local network functions
    - Removed old code
    - Broadcast should work. I'm not detecting broadcast address, i'm
    binding 0.0.0.0

commit 335d736463f118d3b0df37c73aa1e2878ed31636
Author: Henri Fallon <henri@videolan.org>
Date:   Sat Mar 10 11:23:10 2001 +0000

    Small optim.

commit f777cfb50a839f1f81f1f86b7d9586935c3624d6
Author: Pierre Baillet <octplane@videolan.org>
Date:   Fri Mar 9 19:38:47 2001 +0000

    .nicer drop

commit 01d9ce67b8eeb948f304f4c8bb8926f1359963cc
Author: Pierre Baillet <octplane@videolan.org>
Date:   Thu Mar 8 21:58:59 2001 +0000

    . Hey! table header (Dnd still a little buggy :/)

commit 491a85a8ed892db2075a0c4f56843ec76a0a64d2
Author: Pierre Baillet <octplane@videolan.org>
Date:   Thu Mar 8 21:47:02 2001 +0000

    . cosmetic variable name changes
    . drop in the 'blank' part of the list in the playlist adds at the end of the list
    . drop on the main window adds at the end of the playlist

commit 5525a154c68037ac0c4102a999c8af95fff76047
Author: Pierre Baillet <octplane@videolan.org>
Date:   Thu Mar 8 15:48:14 2001 +0000

    .Added crop and invert selection.
    .Fixed a potential segfault.

commit 585b6ad74c4a691ae417cb975179f3c90217fece
Author: Pierre Baillet <octplane@videolan.org>
Date:   Thu Mar 8 13:32:55 2001 +0000

    Hurg !
    ###code is dirty###
    Please clean it for me :P
    (or at least, tell me how to clean it)
    
    . Slightly modified playlist base interface
      (Added a function to jump directly to an item, used for double clicking)
    
    . Added manymanycallbacks
    . Added the playlist dialog
    . Added Dnd support for intf_window and the clist1
      . support URI and plain file(s)/folder(s)
    . Added "show/hide main window" menuitem in intf_popup
    . Added bugs :P
    
    Enjoy and please bug report.

commit 022b6f08a7017f08b1927c663b14b4b9704f5a6c
Author: Richard Shepherd <richards@videolan.org>
Date:   Wed Mar 7 16:32:59 2001 +0000

    "File|Open DVD" menu now refreshed each time menu selected rather than statically built at execute time.

commit 1bc9a65823eb5a927925fd1d0b5fde9e371c902f
Author: Stéphane Borel <stef@videolan.org>
Date:   Wed Mar 7 11:56:33 2001 +0000

    Port of the interface menus to gnome plugin.
    
    Note that two sorts of navigation menus are implemented : in the
    menubar, one menu for title and one the chapter in current title ; and
    in the popup, a cascaded version with all chapters for all menus.
    
    The same issues as gtk plugin apply.

commit ec126885b8f3a6c850209641d56d025272255571
Author: Stéphane Borel <stef@videolan.org>
Date:   Wed Mar 7 10:31:10 2001 +0000

    -Working menus for run-time audio/spu/title/chapter selection with gtk
    interface.
    
    It is a bit buggy yet, and some pieces of code need to change,
    especially to handle better menus change when title change but it
    eventually works.

commit 66fc868f6fa6e4dcb8b33c110c5edde9a120b0d1
Author: Stéphane Borel <stef@videolan.org>
Date:   Wed Mar 7 02:16:03 2001 +0000

    -Added `glib-config --libs glib` for interface compilation
    for debian/sid users

commit 906ce894e892e207a41e0c63faf1edfa5cfcd79f
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Mar 7 01:36:41 2001 +0000

      * Disabled network input under BeOS so that it compiles again. We'll
        have to wait for BONE anyway.

commit a6c6f723972f69ffd92feeae8e846a97bfd880c6
Author: Henri Fallon <henri@videolan.org>
Date:   Wed Mar 7 00:18:46 2001 +0000

    - Fixed TS input ( a nasty dead lock had appeared 4 days ago )
    - Added base of network support
    
    Things to be done :
    - Meuuh : fix the PCR synchronisation so that we can set b_pace_cntrol to 0
    - Sam : find a way of specifing the type of media (file, net). For the
    moment, the "--input ts" always call input_NetworkOpen
    - Maybe sam : for the moment the working syntax is vlc --input ts
    servername, it should nbe turned into "vlc --server servername".
    
    Things that don't work (i'll work on this this week end) :
    - stopping and retaking a stream
    - a nice 'waiting for stream'
    - we select all incoming streams. we should be able to select.
    
    Things that haven't been tested :
    - broadcast
    - only tested with one stream.
    
    Kick me if something is broken by my fault.

commit 6304d60dd68f6b3bfe2a777a8ae2eb4eff509e15
Author: Richard Shepherd <richards@videolan.org>
Date:   Tue Mar 6 19:52:03 2001 +0000

    Added DVD device selection from interface menu

commit c751bb667c75252975869ccce224beb3a47b4d04
Author: Christophe Massiot <massiot@videolan.org>
Date:   Tue Mar 6 19:33:58 2001 +0000

    * Fixed an alignment problem in UnalignedShowBits().

commit 19676f4f7d05dd994980bca17533cc47142c848b
Author: Christophe Massiot <massiot@videolan.org>
Date:   Tue Mar 6 17:54:48 2001 +0000

    * Fixed an alignment problem in PTS parsing.

commit 077cb1bff3645ad5c0c791fd6f6f1ae6468d780c
Author: Christophe Massiot <massiot@videolan.org>
Date:   Tue Mar 6 17:39:03 2001 +0000

    * Fixed an alignment problem on startup.

commit dbbaf8dd5efc0cf12418cabf780da3129ee4a142
Author: Christophe Massiot <massiot@videolan.org>
Date:   Tue Mar 6 15:16:42 2001 +0000

    * Fixed a boolean_t/int mix.
    * Increased FIFO_SIZE.

commit 386783b02b80e84e4989dc4ada9a743ff6077fe5
Author: Christophe Massiot <massiot@videolan.org>
Date:   Tue Mar 6 10:21:59 2001 +0000

    * It now compiles under FreeBSD (though DeCSS stuff probably doesn't
    work).

commit 9bd016fc1cfeb8ab32b884610986a6acc299e20c
Author: Richard Shepherd <richards@videolan.org>
Date:   Tue Mar 6 01:26:06 2001 +0000

    More changes to interface

commit 6ac3e63d836282be0b06608b09986b8cfd8a72e1
Author: Richard Shepherd <richards@videolan.org>
Date:   Mon Mar 5 22:47:22 2001 +0000

    *** empty log message ***

commit 9e29e24f598143ff60c26dcc8a51a555d2d3ebe7
Author: Richard Shepherd <richards@videolan.org>
Date:   Mon Mar 5 22:29:02 2001 +0000

    *** empty log message ***

commit ee8c617e3a8f9d79d212707881772803ca041944
Author: Richard Shepherd <richards@videolan.org>
Date:   Mon Mar 5 20:36:04 2001 +0000

    *** empty log message ***

commit f223ef7508a6c8ef770d0776224ac6479df1ab0d
Author: Christophe Massiot <massiot@videolan.org>
Date:   Mon Mar 5 16:00:30 2001 +0000

    Fixed MPEG-1 mux_rate parsing.
    Fixed MPEG-1 stuffing.

commit da6730d5208da7adb4c3131da33ea160f3a4f3d9
Author: Richard Shepherd <richards@videolan.org>
Date:   Mon Mar 5 13:28:47 2001 +0000

    Added names to headers
    Delete BBitmap[0] directly after overlay creation as no longer needed as overlay now owns Bits()

commit 4eb6464230da1afb1884349ec8a21001c176ff1a
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Mar 5 11:53:44 2001 +0000

      * fixed headers for FreeBSD compilation.
      * fixed debian/rules for non-x86 packages (Closes: Debian bug #88583).

commit 2afb724073836ef8f73b29ab61d45066f0fbc4b8
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Mar 5 01:29:25 2001 +0000

      * Everything in place for the 0.2.63 release.
    
      * Got rid of the CONTRIBUTORS list, and switched AUTHORS to a
        linux-kernel like author list.
      * Updated TODO list.
      * Fixed a segfault in the BeOS interface when --noaudio was specified.
      * Title and Chapter selection in the Gnome and Gtk+ interfaces.

commit 317723fa7e68551c7eac63b8d05f9f854f5c0089
Author: Stéphane Borel <stef@videolan.org>
Date:   Mon Mar 5 00:40:06 2001 +0000

    -Fixed a bug in audio selection
    
    -Tried to fix an issue in size computing. I don't know if this works since
    I haven't buggy DVDs

commit 9014b46011d9d55b9469d339509a99b3ff3e85d8
Author: Sam Hocevar <sam@videolan.org>
Date:   Sun Mar 4 16:20:16 2001 +0000

       Commited BeOS changes by Richard Shepherd and Tony Castley.
    
       include/video_output.h
        * Added boolean_t b_YCbr to vout_thread_s structure to flag YUV-YCbCr
          decoding needed instead of YUV-RGB
        * Will be removed later when video_output.c rewritten
    
       src/video_output.c
        * vout_CreateThread() initialises b_YCbr to zero
    
       plugins/beos/*
        * New BeOS video plugin that supports hardware overlays and new
          MediaPlayer compatible interface
    
       plugins/*
        * Added YUV-YCbCr transforms

commit 3fab36dc418a39430c0b6dd71a475c150819a48c
Author: Stéphane Borel <stef@videolan.org>
Date:   Sun Mar 4 13:54:26 2001 +0000

    -Fixed bugs in title/chapter handling once more, especially for size
    detection and location of main movie.
    
    -Support for multitrack DVD : now the stream is given to input as it has
    to be ; however, all the tracks are displayed one after the other ; I
    think we need to decode navigation ES to choose the track
    
    -Fixed behaviour at end of device.

commit bc2eeefc46b7b3fcc5aa6ca927b4f9bad5a84c01
Author: Sam Hocevar <sam@videolan.org>
Date:   Sun Mar 4 03:12:00 2001 +0000

      * Added DVD/VCD button and menu for quick DVD device selection to the
        Gnome and Gtk+ interfaces, so that vlc can play a DVD even when
        launched from a GUI.

commit 28e3820e6f3fbd1b858ce9d2d6b8a0ba9352fbfc
Author: Sam Hocevar <sam@videolan.org>
Date:   Sat Mar 3 11:01:07 2001 +0000

      * Added debian/* files to help generating CSS-enabled non-US packages,
        and changed plugins/dvd/* to reflect this change.
      * Added .xpm icons (fixes lintian warnings).
      * --help output and manpage are now in sync (Closes Debian bug #87478).
      * Fixed Build-dpends entry in debian/control (Closes Debian bug #83707).

commit dc0df7c21c633dd9c65bdcb6d4c241759a5794a7
Author: Stéphane Borel <stef@videolan.org>
Date:   Sat Mar 3 07:07:01 2001 +0000

    -completely changed title and chapter initialization. Now we have real
    title units.
    
    -Fixed size for a majority of DVD.

commit 87dc702ba99dda5508ed665508281eb5b99f76bf
Author: Renaud Dartus <reno@videolan.org>
Date:   Fri Mar 2 16:46:57 2001 +0000

    Remove an unused file reintroduce after my last commit

commit 591bebd191d56317c65be6866a6ab89223610631
Author: Christophe Massiot <massiot@videolan.org>
Date:   Fri Mar 2 15:51:22 2001 +0000

    * More consistency in the p_input->stream management.

commit 775bd58d873254442bcdbfd30a0b580c00737a00
Author: Christophe Massiot <massiot@videolan.org>
Date:   Fri Mar 2 13:49:37 2001 +0000

    * Made input_SelectES() and input_UnselectES() not block the input thread
    for a long time.

commit 29670af177bb9c5e5f9628ed5cfe893d236a3b71
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Mar 2 13:47:01 2001 +0000

      * Changed debian/control to fix Debian bug #83707
      * Added a --disable-css configure option
      * Moved some code here and there in the DVD plugin to make it easier
        for me to build the Debian CSS-free packages.

commit 4ebb78ddadd0cd33c6586e5ff59d690b826bac80
Author: Christophe Massiot <massiot@videolan.org>
Date:   Fri Mar 2 13:20:29 2001 +0000

    * Fixed miscellaneous alignment problems (alpha/sparc ports) ;
    * Added a fps display when toggling 'i' ;
    * Fixed a bug in the video parser where one picture buffer was not
    released at quit time ;
    * Broke the mux_rate calculation, but hey guys ! it was already broken and
    nobody noticed it.

commit 917d257428daab6e9e3387ecb66212d95f7e6c18
Author: Stéphane Borel <stef@videolan.org>
Date:   Fri Mar 2 03:32:46 2001 +0000

    -New function for DVD reading, that is able to read multiple blocks
    (I've chosen 32 now), that doesn't use any memcpy anymore and is also much
    faster. It is ready now for cell positioning in multi-angle DVD (to come
    soon).
    
    -DVD specific netlist adapted to 2048 bytes long blocks that contain
    several data_packets.
    
    -Modification in mpeg_system.c to use p_payload_start instead of
    p_buffer (necessary for DVD plugin). It does not break other plugins
    since they set p_payload_start to p_buffer
    
    -New field i_read_once in input_thread_s to be able to read more than
    the TS related 7 packets ; i_read_once is set to INPUT_READ_ONCE by
    defaults but plugins can change it during initialisation.
    
    Please check that nothing is broken :)

commit 2fe30f260bd26db1a954342e2e4a2efb397ae4ea
Author: Renaud Dartus <reno@videolan.org>
Date:   Fri Mar 2 02:49:11 2001 +0000

    * Bug fix with frequential downmix

commit a77d5a3ee0c8f5854f845eefe7f8ccef24116e18
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Feb 28 05:20:02 2001 +0000

      * Additional optimizations to the subtitle decoder
      * The GGI video output should now be faster. Also, right-mouse-clicking
        works in GGI mode as well.

commit a20df577fa18badca1d14d3934056bba0578aae1
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Feb 26 17:41:11 2001 +0000

      * Optimizations done to the SPU decoder. Now the RLE is expanded at
        decoding time, not rendering time. The main loop in vout_RenderSPU
        is now 20 lines long.

commit 31d966e00b3587fc620cacce8554ca95ded60529
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Feb 26 12:16:29 2001 +0000

      * The Gtk+ interface is now built as a Debian package as well. The Gnome
        package depends on it because of the icon and menu entry.
      * Added an intf_WarnHexDump() function to do raw hexadecimal dumps of
        memory areas. For debugging purposes or for real men, as you wish.
      * Lots of tidying in dvd_ioctl.c, a few comments added.
      * Better error handling in the subpicture decoder.
      * Tidied video_spu.c. More to come later.
      * Fixed subtitle displaying. Will soon work in overlay mode as well.

commit 4875485d59cc468deb922f6d1066bb02767c31e1
Author: Christophe Massiot <massiot@videolan.org>
Date:   Fri Feb 23 17:58:22 2001 +0000

    * Disabled slice-level resynchro since it's probably buggy.

commit e7d96b485b7280a98e19b5f77d539465397dd9b3
Author: Christophe Massiot <massiot@videolan.org>
Date:   Fri Feb 23 14:07:25 2001 +0000

    * Fixed a structural major bug in the macroblock structure management.

commit 592b1bd473d7e5423078077b1dd63d0a9c3ad7c4
Author: Christophe Massiot <massiot@videolan.org>
Date:   Fri Feb 23 13:22:58 2001 +0000

    * Added debug messages.

commit 4dd0ebccb244c0bd2e6448cf31a04dc481b10548
Author: Christophe Massiot <massiot@videolan.org>
Date:   Fri Feb 23 12:37:31 2001 +0000

    * Fixed a compile problem in debug mode.

commit 7d38f3f9974edfe5d54132d996b5bfa48c7b8bb6
Author: Christophe Massiot <massiot@videolan.org>
Date:   Thu Feb 22 17:00:20 2001 +0000

    * Added functions and hooks to display dates instead of off_t.

commit 99bbcdcb6812001281970bfc9113f690c1d92df5
Author: Christophe Massiot <massiot@videolan.org>
Date:   Thu Feb 22 16:17:12 2001 +0000

    * Added a 'd' keystroke to dump the stream contents (for debugging
    purposes).

commit 6926039e55be8c442cb701352358edcfebe795c2
Author: Stéphane Borel <stef@videolan.org>
Date:   Thu Feb 22 08:59:54 2001 +0000

    I have polioted once more with a bad file in the commit. It should work
    better now. :p

commit 17a54d55f3f5b989f217c5377ae85f97eda76e29
Author: Stéphane Borel <stef@videolan.org>
Date:   Thu Feb 22 08:44:45 2001 +0000

    -New ES detection based on .ifo for DVD module. It might fail (I have
    found one DVD for which ifo seems false).
    
    -Title and chapter selection on the command line (see -t and -T options)
    It will allow to watch some DVD that went through menus by default.
    
    -beginning of menus in gnome interface.

commit 4b1da9ccdc4f492aef0b9247549e05ffad7c17bf
Author: Renaud Dartus <reno@videolan.org>
Date:   Thu Feb 22 05:31:55 2001 +0000

    * Fix bug in ac3dec for mono streams

commit 9067002c2ef8e522bbfe46ec2a06b1ea9945f44d
Author: Jean-Marc Dressler <polux@videolan.org>
Date:   Wed Feb 21 15:52:40 2001 +0000

    Some changes in the BeOS video output :
    - New video output method, the vlc now uses BBitmap instead of
      BDirectWindow (better performances)
    - Added resizing
    - Added beta support for overlay

commit 4f86a65a8036b00011fdcb73c7706278ca38ac34
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Feb 21 11:53:30 2001 +0000

       Hrm. Some strange phenomenon known as sleepiness made me commit a
       bunch of .o's. Blame me.

commit bec589af3d0359470566d1013d119dd079d81374
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Feb 21 11:49:18 2001 +0000

      (note: empty CVS mails mean that a new directory has been created,
       don't forget to use the -p option if you cvs update)
    
      * Added a plain Gtk+ port of the Gnome interface, for the gnome-impaired
        people. Gtk+ is now compiled by default, while Gnome isn't (you will
        have to add --enable-gnome when running configure)
      * Replaced -lcurses with -lncurses in configure.in.

commit 910f40f93c543d78c5c9f3da3f5a5706be98b453
Author: Henri Fallon <henri@videolan.org>
Date:   Wed Feb 21 04:38:59 2001 +0000

    TS Input :
    - Added DemuxPSI, DecodePAT and DecodePMT. Never tested which streams
      where PAT or PMT are splitted in more than one section.
    - Some TS files still don't work (matrix.ts i.e : no sound ),
      others do ... i'll have to investigate.
    
    Todo :
    - What if data get unaligned ?
    - Write NetworkOpen
    - Try to find why I get no sound on matrix.ts
    - Support Stream and program selection.

commit 9584da59d18a95604a43843009bad4e27c9d8226
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Feb 21 00:47:49 2001 +0000

      * Forgot to fix the vlc.spec.
      * Added Bozo to the author list.

commit ba61d25caf8e21339aec4aafbfc0212bbe7f994e
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Feb 20 23:30:15 2001 +0000

     * Updated version number to 0.2.62. Release tonight.
    
     * DVD plugin is still non-functional when you don't have DVD ioctls,
       but at least it compiles under BeOS as well.
     * Minor cosmetic changes here and there.

commit fc04df0ba0708a9a05c3b5864d6b423d4bcf11f2
Author: Jean-Marc Dressler <polux@videolan.org>
Date:   Tue Feb 20 17:08:02 2001 +0000

    Added the BeOS code for vlc_mutex_destroy() and vlc_cond_destroy()

commit fdcd1cca104e08303d54672d461b9dba3eadb7f5
Author: Christophe Massiot <massiot@videolan.org>
Date:   Tue Feb 20 15:03:00 2001 +0000

    Minor optimizations in the video decoder.

commit 290dc45ae7a3ab7a77c9a21e90130e72935d30d4
Author: Christophe Massiot <massiot@videolan.org>
Date:   Tue Feb 20 13:41:01 2001 +0000

    On machines without dvd ioctl, remove the DVD plugin from the Makefile,
    fucking holy piece of *�$^%� !

commit a906b2f52ab38c11002aa997d4271f64c5485361
Author: Renaud Dartus <reno@videolan.org>
Date:   Tue Feb 20 12:06:28 2001 +0000

    * Move ac3 globals variables into structures
    * Adding authors
    * Prepared to add asm imdct and downmix

commit 1c5f83306fef6eab871ea4c6111c978058f00803
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Feb 20 11:34:01 2001 +0000

     * Fixed a bash-ism in configure.in

commit 083ddb2c367e8b72c1d39017587b1c18ce5ef0f1
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Feb 20 09:10:36 2001 +0000

     * Fixed a segfault in input.c when no input plugin was found for
       a given file.
     * Fixed a deadlock in the Gnome interface. Next time I'll initialize
       my mutexes, I promise.
     * Added Oct to the authors list in intf_gnome.glade :)

commit 78335f88e6ec96fc14ef78db6bfebfb9b75162be
Author: Stéphane Borel <stef@videolan.org>
Date:   Tue Feb 20 08:47:25 2001 +0000

    Second step in area management ; everything is in place now to have
    title handling; it is coming :)

commit 583c6553f6761421260d86bbc21b5b3169c04319
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Feb 20 07:49:13 2001 +0000

      * Ported Glide and MGA plugins to the new module API. MGA never worked,
        so this didn't make it work better.
      * Started thinking about built-in modules, and added some code to
        make it easier eventually.
      * Added Oct in the AUTHORS file.
      * Fixed a mistake in configure.in.
      * All your base are belong to us.
      * Fixed a bug in src/misc/modules which prevented loading modules
        when launched from the Tracker.
      * Fixed a similar bug in src/video_output/video_text.c.
      * BeOS CSS support, thanks to Markus Kuespert <ltlBeBoy@beosmail.com>
        who ported the Linux DVD ioctls. We can now read encrypted DVDs
        under BeOS ! Woohoo.

commit 3bb7a5371e29b608e29851b9f1366a12a3505afe
Author: Stéphane Borel <stef@videolan.org>
Date:   Tue Feb 20 02:56:50 2001 +0000

    Removed flooding debug info :)

commit 97c3185de470c501bfdcef4589f6d747ba7691d8
Author: Stéphane Borel <stef@videolan.org>
Date:   Tue Feb 20 02:53:13 2001 +0000

     First serie of changes in DVD module for the forthcoming interface menus
     There is a new capability in input type modules for setting the
    attributes of a new area. It is set to NULL for PS and TS plugins.
     It should be called for every title change, chapter change,
    audio mode change or spu channel change.
    
    But this part of code is not used at the moment, and is not completed
    yet.

commit a6fe4de420e5a7ecaf3c02039893d7166adba380
Author: Christophe Massiot <massiot@videolan.org>
Date:   Mon Feb 19 19:28:33 2001 +0000

    * Kludge of the kludge, removing an oddity in YUV initialisation, and
    activating YUV overlay on startup whenever hardware acceleration is
    available. Thanks for bearing with us, stay tuned.

commit 33f6628a44ccf17b5bca5d25bd851fbb799dbff6
Author: Christophe Massiot <massiot@videolan.org>
Date:   Mon Feb 19 19:08:59 2001 +0000

    * mux_rate parsing ;
    * Changed video decoder's error messages into warnings.

commit ef54efe5dd7b83f609c0042eeb845449b6f1828a
Author: Renaud Dartus <reno@videolan.org>
Date:   Mon Feb 19 08:02:33 2001 +0000

    * Add dither fix
    * Some cosmetic changes

commit d35a29fa0f54bab238635c9031ec581f0e11bc6a
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Feb 19 03:46:27 2001 +0000

      * Drag and drop support under BeOS.

commit 050106567aee7f0d77339f36c29655be88d4f1f2
Author: Stéphane Borel <stef@videolan.org>
Date:   Mon Feb 19 03:12:26 2001 +0000

    -Change in the code to detect beginning of movie. It is much better now
    but still fails with some DVD for which the movie is not the first
    Program.
    
    As a consequence some DVD that worked before don't work anymore.
    
    -Beginning of ideas to handle chapters and ES selection

commit c3b1800a5cbb1eac9914a1e198958a9faa606852
Author: Sam Hocevar <sam@videolan.org>
Date:   Sun Feb 18 19:14:27 2001 +0000

      * configure.in and Makefile.in patches for better SDL support and
        support for $(bindir) $(datadir) and $(libdir) stuff, courtesy
        of Arkadiusz Miskiewicz <misiek@pld.ORG.PL>
      * Ported ggi.so to the new modules API. As for the other modules, only
        the "q" key works. Moreover, VLC doesn't exit cleanly if you close the
        GGI window.
      * Deactivated non-working widgets in the Gnome interface.
      * Added CONTRIBUTORS file.
    
      Hint of the day: don't expect to code quite long in your bed when sleepy.

commit e630779bd0e034c92ec95fac1fd06927fdfb1eb4
Author: Sam Hocevar <sam@videolan.org>
Date:   Sun Feb 18 10:24:20 2001 +0000

     * Ported the framebuffer plugin to the new module API. As for most of the
       other video output modules, keyboard doesn't work. Except ^C to quit.

commit b0ab70c9bfc80da45733bc4fecbb0ccbedf30fc0
Author: Jean-Marc Dressler <polux@videolan.org>
Date:   Sun Feb 18 03:32:02 2001 +0000

       The BeOS port seems to work again.
    
       I used this command to play an unencrypted DVD, but maybe there is a
       better solution: ./vlc dvd:/dev/disk/ide/atapi/1/master/0/raw
    
       Current problems: gcc doesn't like MMX-EXT instructions, and refuses
       to have register %ebx being used in the main application. Grr.
    
       ,-- don't trust the CVS bot, it's Sam speaking here :)
      /

commit 8e3c802c8431943acc7954b9822ff386d8c96ccf
Author: Stéphane Borel <stef@videolan.org>
Date:   Sun Feb 18 01:42:05 2001 +0000

    -UDF filesystem support so that we know the location of the first video
    related file with 100% reliability (great change that should make DVDs
    with binaries and extra stuff work with vlc).
    
    -Correction of a bug in ifo reading that falsified the adress of
    video titles.
    
    -Changed the method for selecting title at start. It is _not_ reliable
    though, but it is better than the preceding one.

commit f1175e715bfd288cdd17bf34ee3ee4f4b137432b
Author: Sam Hocevar <sam@videolan.org>
Date:   Sat Feb 17 08:48:56 2001 +0000

     * Tried to fix the BeOS interface and video output. Any BeOS developers
       listening ? I can't even test that code, it probably wants additional
       fixing.
     * Added a workaround in modules.c for broken libc's which happen to truncate
       filenames in dentry structures when using 64bits offsets. The kind of
       stuff you only see in RedHats <g>.
     * Made the SDL error messages a bit more useful.
     * The Gnome menu is now created when mouse is released, not when it
       is pressed. It may sound stupid, but it really makes a difference.

commit 566ca28782be96df7bedda66f5e93d96532382e6
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Feb 16 09:25:04 2001 +0000

     * Upgraded version number to 0.2.61. Release is today.
    
     * Fixed package building (both RPMs and .debs).
     * Fixed `make snapshot' rule.
     * Added some magic to filename detection. To read a DVD you now just
       need to run 'vlc dvd:/dev/hdc' for instance. Same for file:// URIs.
     * Fixed a segfault in the slider when no stream was playing.
     * Made the slider go from 0 to 100 (instead of 99 :)
     * The vlc now doesn't exit when finished playing. As a side effect of
       the playlist code being very recent, it continuously loops.

commit b2f56af99413a51f2b4cd9d8591d0aad52d71f1d
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Feb 16 06:37:09 2001 +0000

     * Fixed a segfault in the input thread creation, as well as a possible
       deadlock. This happened mostly when opening non-existing files.
     * Created input_SetStatus to do input_SetRate's job. input_SetRate will
       be used to set an arbitrary rate, for people who want to read DVDs at
       1/2.71828 times the actual speed.
     * Stubs for the ncurses control interface. No working code yet, but the
       holes just need to be filled.
     * Improved X11 support. Still not as functional as before.
     * The output window now states the method name, so that people know whether
       they are using X11 or SDL.
     * The Gnome interface is now drag'n'drop aware, you can drop a file
       on it just like Xine does (or so I guess).

commit 16247a7506c02836d0e33ba4633f8e02bb5ea81a
Author: Stéphane Borel <stef@videolan.org>
Date:   Thu Feb 15 21:03:27 2001 +0000

    -New more recent css authentication code.
    
    -Beginning of udf support (not in Makefile)

commit 0f601455ffacdbcefc2468d805d11295acd8edd4
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu Feb 15 07:59:38 2001 +0000

     * removed useless includes in intf_gnome.c
     * made the vout_sdl.c functions static
     * ported vout_x11.c to the modules API; code isn't very nice yet though

commit 2ba056f279c968b2adac12b85b7cf9e2eb63d94a
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu Feb 15 03:01:20 2001 +0000

     * X11 output works again. It's just the output, but it works; I now need
       to clean the code and add event handling.

commit 79b461542e823c923581e073ea60cc21c790ba70
Author: Henri Fallon <henri@videolan.org>
Date:   Wed Feb 14 15:58:29 2001 +0000

    Begining of TS Input
    
    Done :
    - fixed netlist
    - embryo : support TS video trough file ( kludgy ... )
    
    Next :
    - Write DecodePSI and DemuxPSI, wich will clean the kludges off
    
    Then :
    - Write NetworkOpen ( shouldn't be difficult )
    
    Eventually :
    - Deal with lost/corrupt packets

commit a294d22adb3bf3cff83c8c7fd1ef967035eae588
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Feb 14 14:31:07 2001 +0000

     * Should have fixed the dependency generater for some plugins.

commit 1c99dc85d66afd4d80e3fe3f48e4b1cbae0e93d8
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Feb 14 07:48:18 2001 +0000

     * updated version information to 0.2.60 -- today's release
     * started porting the X11 vout (still disabled)
     * a few unnoticeable changes in the Gnome intf

commit 8a1ec9694a817a21d8295d51473ed9abc8fb24e2
Author: Stéphane Borel <stef@videolan.org>
Date:   Wed Feb 14 04:11:01 2001 +0000

    -Changes in the way stream size in DVD mode is calculated. It is no
    longer such an ugly kludge and is much more accurate.
    
    -Changes in DVDSeek so that the interface slider is in 0 when we are at
    the beginning of the strem.
    
    -Try to detect the beginning of the movie in the middle of the title. It
    works for most of the DVDs but will begin in the middle of the movie
    with some others.
    
    -Calculate only the first title key in css mode because it might take a
    long time with some title. The search stops now when we have a key once
    whereas it did stop only when we had it twice before. It should not
    cause problems.

commit 8d07abcdd04fc4c663550e0460bd9243782fd3fa
Author: Christophe Massiot <massiot@videolan.org>
Date:   Tue Feb 13 13:01:15 2001 +0000

    * Really fixed MC segfault bug.

commit 6ff208627d9ae6dfdb9db2ea2cdb8b19b5c37924
Author: Stéphane Borel <stef@videolan.org>
Date:   Tue Feb 13 10:08:51 2001 +0000

    -adaptation of DVD module to navigation slider. The seek has to be
    done on a multiple of 2048, and shopuld take care of the offset to the
    beginning of the stream. It works with most of my DVDs by fails to
    detect size of some streams.
    
    -change of the order of call to ifo and css functions in input_dvd.c,
    because we can't read ifo files before authentification on some DVDs.
    
    -changed location of some css tables.
    
    -we read ifo date and decrypt css keys for all titles now. It takes quite a
    long time to initialize with some DVDs (if you have 42 titles for
    instance). The key decryption might give a false value if the title is
    less than 10 Mb ; I'm working on that :)

commit 1e19c01b1d48ca7b48236dd837fdb21cfec64631
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Feb 13 06:31:05 2001 +0000

     * Quick patch to avoid a segfault when arbitrarily seeking the stream.
    
      Meuuh: you probably have a better solution for this ; I simply don't
      know the video decoder well enough to do it myself.

commit 75eb696dccb7e1e82bc421dc9859eb65640e1507
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Feb 13 04:29:46 2001 +0000

     * added --intf option to vlc
     * started cleaning vout_sdl.c
     * the dummy plugin works again
     * added a slider to the Gnome interface so that we can browse through streams
    
      There is a problem with the slider: we sometimes get unexpected async
      replies, which would mean that we don't properly lock our Xlib calls.
      Which is true. But we also get these errors when using `--vout dummy'.
      I'll investigate.

commit e8ceb0e1d3be47afca5e86e424f6d2b22a5971c9
Author: Christophe Massiot <massiot@videolan.org>
Date:   Mon Feb 12 18:18:18 2001 +0000

    Removed enhancement because of an incompatibility with slow motion.

commit 991b8fc1d74ba698a93fb91224c63c74b029b693
Author: Christophe Massiot <massiot@videolan.org>
Date:   Mon Feb 12 13:20:15 2001 +0000

    * We can now seek at position 0 :p ;
    * Fixed a typo in my previous commit.

commit 509d5ac4429f37190345825c416e52f19d9a263f
Author: Christophe Massiot <massiot@videolan.org>
Date:   Mon Feb 12 11:22:31 2001 +0000

    * Tried to enhance picture dating on timebase discontinuities.

commit 2b65b38b94c5747a79340cea500fdb03de092ee7
Author: Christophe Massiot <massiot@videolan.org>
Date:   Mon Feb 12 10:46:26 2001 +0000

    * Fixed pause bug.

commit 5a7963104bfbe2fec2aa0523259cf53d91e1c6c1
Author: Stéphane Borel <stef@videolan.org>
Date:   Mon Feb 12 09:58:06 2001 +0000

    -Much cleaning in css code. It should work fine now.
    
    Most of DVD with movie in title 1 should work.
    
    To come : support for movie in other titles.

commit 3b3156e1fad97c450a0118a12fc79b36403679de
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Feb 12 09:39:15 2001 +0000

     . removed tests against i_rate and i_new_rate calculation from the
       plugins and hid this complexity into input_ext-intf.c

commit c3e2bf1d3bb2c79201f80b26acb3d787156918d7
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Feb 12 07:52:40 2001 +0000

      * Fixed my old stupid bug that disabled sound after having played the
        first playlist item.
      * Added `Prev' and `Next' buttons to the interface, with the beginning of
        a playlist window (still empty).
      * Added `Slow' and `Fast' buttons to the interface and popup menu.
    
      Ok, I promise it's the last time I check bloat in, from now the interface
      commits will be much cleaner and actually fix things :)

commit 02d21f72faf6bfb54119e2e28ac03d81682ec332
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Feb 12 00:20:37 2001 +0000

     * The pure Gnome part of the Gnome interface has been rewritten from
       scratch, and the .glade file included as well. You can edit it by
       installing glade-gnome and doing `glade plugins/gnome/intf_gnome.glade',
       or directly by hand if you grok XML.
     * Files can now be loaded into vlc using the `Open' buttons. But for the
       moment you still have to launch vlc with at least one file, because it
       quits when the end of the playlist is reached.
     * Idle screen was disabled because it eats a lot of CPU and is mostly
       useless for the moment. And it gets activated when pause lasts for too
       long.

commit 959674591f4ec45888fcb34321958d080efd73cd
Author: Sam Hocevar <sam@videolan.org>
Date:   Sun Feb 11 01:15:12 2001 +0000

      Beginning of Interface II
     ---------------------------
    
     * Plugins have completely disappeared, we now only use the new module API.
     * All intf and vout modules are now independant. So far, only the Gnome
       intf module and the SDL vout module have been ported. configure.in has
       been modified to reflect the changes (x11 and dummy aren't compiled by
       default anymore, while SDL and Gnome are).
    
      Note that this is _not_ Interface II, it's just a step forward. For
      instance, it lacks the whole message passing scheme.
    
      Things that should work:
    
     * Right-clicking on the SDL video output window brings the Gnome menu.
     * Pause, Play, Exit, About work from the menu or from the interface window.
     * The old SDL keys still work.
    
       Things that are broken or may be broken:
    
     * Xlib calls are not locked yet, which may lead to "Unexpected async reply"
       errors, and make the vlc segfault.
     * Sound only works for the first file.
     * The SDL vout_sdl.c file is absolutely ugly and kludgey.
     * The vlc immediately quits when no filename is given as an argument. Not
       a real bug, but still annoying.
     * The Gnome menu does not work in fullscreen mode.
    
       Things that will come soon, maybe tomorrow:
    
     * Complete navigation buttons (fast forward, slow, etc.).
     * File/Open menu to add files to the playlist.
     * Return of the X11 video output for those of us who do not have SDL.
     * Textmode interface for those of us who do not have Gnome.
     * aout and vout autospawn (maybe).

commit e4aec3d8fbfeecaf39da37c43785ba1355646cfb
Author: Stéphane Borel <stef@videolan.org>
Date:   Fri Feb 9 18:34:01 2001 +0000

    -Fixed a bug in #define that prevented from using ioctls

commit 6b14a375ee447f9d919c4884b1dfd94ed864ca5e
Author: Stéphane Borel <stef@videolan.org>
Date:   Fri Feb 9 03:51:42 2001 +0000

    -Some functions to prepare ifo commands utilisation to move in the
    structures of DVDs
    -Change in configure to avoid compiling css functions on BSD.

commit 71f866bf434718e378c7e3a4b40a733d76b14f3b
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu Feb 8 23:40:26 2001 +0000

     . added comments to src/interface/intf_plst.c and include/intf_plst.h
       so that people understand how the playlist works.
     . updated the TODO list (34 items to do, 41 done !)

commit d21d510cbe2bf74432fa69975383e55ac232aba1
Author: Christophe Massiot <massiot@videolan.org>
Date:   Thu Feb 8 17:44:13 2001 +0000

    * Portability : changed off64_t to off_t and activated appropriate
      GNU/Linux options ;
    * Changed fseek() to fseeko() for 64-bit offsets ;
    * Reset frame predictors on a stream discontinuity.

commit 785049d7f699db4abff9c3c54e381c74e26b5c9a
Author: Christophe Massiot <massiot@videolan.org>
Date:   Thu Feb 8 13:52:35 2001 +0000

    * Implemented basic stream navigation function, and bound Jump forward
      and jump Backward in the SDL intf. Enjoy !

commit 66f7daf3c2340c52edd9659ada172a7360050017
Author: Christophe Massiot <massiot@videolan.org>
Date:   Thu Feb 8 13:08:03 2001 +0000

    * Pause function implemented ('p' key).

commit 3433731787b2530e06522e535483d93f4ff0835e
Author: Christophe Massiot <massiot@videolan.org>
Date:   Thu Feb 8 11:22:41 2001 +0000

    Fixed a compile probleme on machine without a dvd player :ppppp
    Maybe it would be a good idea to compile the DVD plugin on machines which
    have one ? :pppp

commit b9574a9561f00755675d4c7e490ea18736fbcf8a
Author: Stéphane Borel <stef@videolan.org>
Date:   Thu Feb 8 08:08:03 2001 +0000

    *** empty log message ***

commit 03d925fdb83bf119df5d37c88d4c561121335b88
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu Feb 8 07:24:25 2001 +0000

     . moved the playlist handling from input/input.c to interface/interface.c
     . fixed a few warnings at compile-time
     . fixed sound channel selection in playlist mode
     . added a color message in the plugin bank because on peut bien d�conner
       cinq minutes, quand-m�me
     . we now spawn a new input thread for each file
     . added a missing pf_close() because it's always cool to close files
       after we read them

commit e754b0970bdea32e18a4bfca16145d30e3620540
Author: Stéphane Borel <stef@videolan.org>
Date:   Thu Feb 8 06:41:56 2001 +0000

    -solved bug with cssdescrambling. The vlc might segfault with dvd
    plugins. I will fix that soon.
    -minor modification in pluginification.

commit 0935df9e58f1671cf54a6774e3ff54bcf58940ab
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu Feb 8 04:43:28 2001 +0000

       This commit is a bit early, but it'll save Stef, Henri and me much
     time later, when we don't have to backport modifications to input_*.c
    
       What's new :
        - playlist works again (still the old wrong way like Meuuh doesn't
        like, but this is going to change within a few hours)
        - input_ps, input_ts and input_dvd are now plugins, located in
        plugins/mpeg/ and plugins/dvd/
    
       What's broken :
        - audio output might be broken on some streams ; have to investigate
    
       What has changed :
        - fast/slow keys are now A/Z instead of A/S since S was already
        linked to the scale/noscale toggle.
        - `--dvd' doesn't work anymore, for the moment try to use :
         vlc --input dvd /dev/dvd
        - module bank is now less verbose ; use `--warn 1' to turn back
        verbosity on

commit ff77ef78109598332413e3b704c60bacb6a0f76d
Author: Stéphane Borel <stef@videolan.org>
Date:   Thu Feb 8 01:34:42 2001 +0000

    -New method using netlist to read packets on DVD device by sectors of
    2048 bytes.
    -Some modifications in netlist to make it work with DVD.
    -Fixed � bug in mpeg_system.c
    
    We use INPUT_READ_ONCE many times in the input code. I think that
    we should replace it with a field in input_thread_t to give more
    flexibility to modules. I have done it in DVD plugin but it can't work
    if input.c is limited by INPUT_READ_ONCE.
    
    The DVD method is slower than input_ps ; but there are things to
    improve.
    CSS descrambling is broken.

commit 7cb79b9f5326f3901c9b428808349994ff063854
Author: Renaud Dartus <reno@videolan.org>
Date:   Thu Feb 8 01:06:11 2001 +0000

    Cosmetics changes

commit 40c292e62670a925757857c84f4f0562de99fd69
Author: Renaud Dartus <reno@videolan.org>
Date:   Thu Feb 8 00:46:12 2001 +0000

    We can now choose the speed of forward (between 32/1 and 1/8)
    
    Thanks to Meuuh, he's MORTEL ;)

commit d7eae1f5dd312f9ac9f59e86bec45b0dfe6ac82d
Author: Christophe Massiot <massiot@videolan.org>
Date:   Wed Feb 7 17:56:21 2001 +0000

    Another mistake.

commit b85d38f06abf0a3a8885c79532a79289032d6b8d
Author: Christophe Massiot <massiot@videolan.org>
Date:   Wed Feb 7 17:51:27 2001 +0000

    /me <- pogno who modifies Makefile instead of Makefile.in :p

commit 1c518776d347426d5c926cdf7afe9f18e765ca47
Author: Christophe Massiot <massiot@videolan.org>
Date:   Wed Feb 7 17:44:52 2001 +0000

    * Functional fast forward and slow motion API ;
    * Dirty hack in the SDL intf to bind "a" (fAst forward), "s" (Slow motion)
    and "p" (Play).

commit ff85edc6754489b7cc3abcd4957180abd284df19
Author: Christophe Massiot <massiot@videolan.org>
Date:   Wed Feb 7 15:32:26 2001 +0000

    * Centralized clock management, preparing for stream navigation ;
    * Fixed a bug in the management of the first video PTS.

commit 422bd79f44844a260c28899fafc81e3b02831e75
Author: Christophe Massiot <massiot@videolan.org>
Date:   Tue Feb 6 17:17:04 2001 +0000

    Fixed a bug in period calculation for progressive sequences.

commit 5f6c59004c903fc66fda0c5a99f217b6564891eb
Author: Damien Lucas <nitrox@videolan.org>
Date:   Tue Feb 6 00:56:55 2001 +0000

    . Fixed a FIXME in SDL: p_vout->p_sys is no more used in intf_sdl.c
    . Used instead p_vout->i_changes like in x11

commit d04b152ba136aa60f9005423eb34d9106b4581e0
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Feb 5 21:00:23 2001 +0000

     . disabled SDL parachute to let the vlc dump a core instead of staying stuck
     . patched 2 debian bugs
        (see http://bugs.debian.org/cgi-bin/pkgreport.cgi?pkg=vlc)
     . improved the snapshot generation

commit 3ea3f9fff498d5b2c52f8b421f1603c143e7481f
Author: Damien Lucas <nitrox@videolan.org>
Date:   Mon Feb 5 15:50:57 2001 +0000

    . Mouse pointer hidden/shown with middle button in SDL output
    . Default is shown.
    . Default in fullscreen is hidden.

commit 3e22bc680ce60d544c7c9c1cd60f77a3580cf1cc
Author: Sam Hocevar <sam@videolan.org>
Date:   Sun Feb 4 03:06:30 2001 +0000

     . removed obsolete video_yuv_mmx.S
     . updated the TODO list and wrote a small todo.pl parser to make it
       easier to see which items remain to be done
     . `make snapshot' now creates vlc-*.tar.gz and vlc-*-nocss.tar.gz

commit 8628860b53f740daf210d5ae2f3b13182f33cc0c
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Jan 31 03:42:39 2001 +0000

     . version 0.2.50 for the Linux Expo
     . --overlay and --fulscreen options (only work with --vout sdl)
     . the vlc exits after the end of the stream, which prevents from having
       to kill it and relaunch it during a presentation, just script it like :
    
          for i in ~/mpeg/* ; do vlc --fullscreen --overlay --vout sdl $i ; done
    
    
     Yes, I know the --overlay stuff is fucking ugly. But *I* am not the one
      who redefines vout_sys_t in an interface-related source file. I won't
      change it until the vout/intf is finished being rewritten.
    
     Additional information: if "--overlay --fulscreen" doesn't center your
      picture, try with your screen geometry, eg:
      "--overlay --fullscreen --width 1024 --height 768"

commit 37888f79df95f3a0a7f2810f10bc9722719461b9
Author: Christophe Massiot <massiot@videolan.org>
Date:   Tue Jan 30 19:19:02 2001 +0000

    * Fix for assholes who don't have a dvd players. :pppp

commit 9e28c5d794fb5dd280f80b77d468e6a903db3823
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Jan 30 05:48:23 2001 +0000

     . not a very nice hack, but will probably spare us a few user complaints: if
      no -a option is specified, the vlc will play the first audio type it finds,
      so there is no need to specify "-a ac3" for a DVD anymore.

commit fdad2a24ed11385c48d39dc22ee3f66af7441b1c
Author: Stéphane Borel <stef@videolan.org>
Date:   Mon Jan 29 06:28:19 2001 +0000

    * Correction of two errors.

commit f25a4c6adc855820d3364f62be39df9a4a445eb4
Author: Stéphane Borel <stef@videolan.org>
Date:   Mon Jan 29 06:10:10 2001 +0000

    -CSS support kludged for current DVD input.
    It is very slow now but will be more adapted to the forthcoming DVD
    input.
    It should read the first title of many DVDs but has been tested with few.
    
    -Beginning of ifo commands to implement DVD navigation.

commit a9299a6f212bc255f4d0b3d0f8d04c72fe8bb033
Author: Christophe Massiot <massiot@videolan.org>
Date:   Fri Jan 26 15:38:21 2001 +0000

    * Removed dead code.

commit 99401fc5dad232f37ab8b6fe7cefd8139619a3aa
Author: Christophe Massiot <massiot@videolan.org>
Date:   Fri Jan 26 14:47:16 2001 +0000

    * Fix for field pictures.

commit 5a1ec86789a647c17f1040c4e78790c4cb7eec8e
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu Jan 25 21:57:54 2001 +0000

     . removed Makefile -- I can't understand why it reappeared.

commit 18aaaf306c17880e1d5a651055405b32b7355566
Author: Christophe Massiot <massiot@videolan.org>
Date:   Wed Jan 24 19:05:55 2001 +0000

    * Hooks for fast forward and slow motion support.

commit b788332af5877577b4fd0b0efe3f30c39dbbfb7c
Author: Christophe Massiot <massiot@videolan.org>
Date:   Tue Jan 23 13:22:58 2001 +0000

    * Fixed backwards moves ;
    * Updated TODO list.

commit 7b9a281f7b6413e22f1966021fd831e7368c7b31
Author: Christophe Massiot <massiot@videolan.org>
Date:   Tue Jan 23 10:15:13 2001 +0000

    * Completely removed BIZARRE_OPTIMS.

commit acccef6701d4f1314eddd700000038eeb4ca3816
Author: Christophe Massiot <massiot@videolan.org>
Date:   Mon Jan 22 19:40:54 2001 +0000

    * Tuned up optimizations.

commit 0eddfe9ce0673732b6d664e76f9e91a93b8bd6a0
Author: Christophe Massiot <massiot@videolan.org>
Date:   Mon Jan 22 18:04:10 2001 +0000

    * Minor bitstream optimization.

commit ea94227edd8da0e516eb06c8fbdf2a43797285aa
Author: Christophe Massiot <massiot@videolan.org>
Date:   Mon Jan 22 15:49:55 2001 +0000

    * Tuned up optimization flags.

commit 419eb2fe242697845f5ddfa5f07dd3e80641d595
Author: Stéphane Borel <stef@videolan.org>
Date:   Mon Jan 22 05:20:44 2001 +0000

    *Check for the needed headers for DVD ioctls
    
    I have only tested it on my computer ; so I don't know if it work
    elsewhere, particularly on BSD and BeOS.

commit 32e82c69383d1685e5389e0f6f26c05e9b745714
Author: Stéphane Borel <stef@videolan.org>
Date:   Sun Jan 21 09:20:27 2001 +0000

    *Some cleaning in the dvd authentification code
    
    Now it generates a valid title key, but there is no sector descrambler
    yet.

commit 7b3ed3ad9d79d2345905fba8ab0906c7ea1ff026
Author: Christophe Massiot <massiot@videolan.org>
Date:   Sun Jan 21 01:36:26 2001 +0000

    * Various miscellaneous minor optimizations of the video parser.

commit 95ef185aad984ddc20b278a6a8c2594a56733494
Author: Stéphane Borel <stef@videolan.org>
Date:   Sat Jan 20 20:59:44 2001 +0000

    * Beginning of support for encrypted DVDs.
    * It only tests encryption and authenticates disc.
    
    The decryption does not work now et it is very ugly but I'm working on it.

commit 2378ce90fa3395cf72c2e477c3f562f798f24d22
Author: Sam Hocevar <sam@videolan.org>
Date:   Sat Jan 20 13:08:33 2001 +0000

     . really fixed GetChunk now.

commit 234d7300aa8a59cd7a83b1212a30812b141eed59
Author: Sam Hocevar <sam@videolan.org>
Date:   Sat Jan 20 04:19:02 2001 +0000

     . the infamous Saturday morning mighty one-liner patch that fixes subtitles

commit 7590bd9b3c5f4cd646b9ef3dbce58d180e9f5daa
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Jan 19 18:17:36 2001 +0000

     . changed program version to 0.2.5 (preparing 0.3.0 release).
     . changed codename to Urumov
     . cleaned a lot of stuff in the Debian package generation.
    
      If anyone objects with the versioning scheme, let's fight in the
      dirt and sort that out. Or change it yourself.
    
      Debian packages can be tried here: http://armitage.via.ecp.fr/~sam/vlc/

commit 18188c24971c0fa187494500b865fc12f3955d8d
Author: Christophe Massiot <massiot@videolan.org>
Date:   Thu Jan 18 17:40:06 2001 +0000

    * 32-bit aligned bitstream (not that fast).

commit 647cca0ebb2e897a570018ba80483bb81a7d90c6
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu Jan 18 05:13:23 2001 +0000

        The motion compensation routines are now modules as well ; choose your
      implementation with `--motion motion', `--motion motionmmx' or
      `--motion motionmmxext'. Of course, the best implementation is chosen
      if you don't ask for any. There doesn't seem to be any performance hit
      due to the move to shared libs, which is a good thing. Please test
      actively if you have time, though.
    
        Updated --help result, manpage, INSTALL document, and a few files.
    
        I moved vdec_motion.h and vpar_blocks.h back to /include because they
      will be needed to build motion compensation modules, but perhaps we don't
      need to export everything which is in these files.
    
        /src/video_decoder/ now has only one .c file, perhaps it could now be
      merged with video_parser ?

commit cf0b7cf953a80e78c1778e819b4d5b03216dc165
Author: Christophe Massiot <massiot@videolan.org>
Date:   Wed Jan 17 18:17:31 2001 +0000

    * Borrowed LiViD's MMX and MMX EXT IDCT.
    
    This might break things. Expect a performance increase.

commit fd1220a28552917d4c12196bf7d51e0618ec6340
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Jan 17 17:25:13 2001 +0000

     . removed a few useless malloc() and unused variables in the audio SDL stuff
     . prepared the work for built-in modules (not yet finished)

commit 627633ae2bfb9c3e1ef10f900f871e441b3b7c42
Author: Stéphane Borel <stef@videolan.org>
Date:   Wed Jan 17 00:52:22 2001 +0000

    * Minor changes

commit 0a267fd4a97a7f80032cca826c07e6618aa2f614
Author: Pierre Baillet <octplane@videolan.org>
Date:   Tue Jan 16 21:26:43 2001 +0000

    - small tweak in the copy handling, reduce CPU usage.

commit 4743982b138d1a3afa910ab040794ef285a8f37b
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Jan 16 21:13:02 2001 +0000

     . --aout sdl now works

commit 63757407cbd75557ff87f8ebfa20f332d05777c6
Author: Pierre Baillet <octplane@videolan.org>
Date:   Tue Jan 16 21:00:20 2001 +0000

    - minor cosmetic changes :P
    - modified alsa and sdl default level to 50.

commit 4cff691635a451c776822d9002f45e30d556d6ef
Author: Pierre Baillet <octplane@videolan.org>
Date:   Tue Jan 16 18:35:54 2001 +0000

    - Added SDL sound support. Sounds a bit laggy sometimes but my streams are ill.
      please try.
    - modified configure.in and all that stuff. Re-run configure
    - SDL audio, video and interface are all part of the same .so now.
    - remove YUV old files :->

commit 3a8481df752214442418e9dcf72d58f6dd23bcb9
Author: Christophe Massiot <massiot@videolan.org>
Date:   Tue Jan 16 18:06:01 2001 +0000

    * Reverted something that wasn't supposed to go into the cvs :p
    * Removed -fargument-noalias-global which causes problems with as (???).

commit 91bf1a917fab7318ff52f1ae9c5df82a0c25d262
Author: Christophe Massiot <massiot@videolan.org>
Date:   Tue Jan 16 17:59:23 2001 +0000

    * Borrowed livid's latest libmmx and MMXEXT MC. Not in the Makefile => to
    test it, replace vdec_motion_inner_mmx.c by vdec_motion_inner_mmxext.c.
    
    I'm interested in performance feedback.

commit ba59eb048e12487560105d850ee8731dae218d3d
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Jan 16 16:09:52 2001 +0000

     . a few changes in the CPU extensions detection code, borrowed from the
       kernel and from mpeg2dec. I still don't know how to detect if code
       compiled with -mcpu=pentiumpro will run, since the cpuid arcanes are
       quite obtuse to me. Perhaps we should also have a way not to load modules
       if they have been compiled with a different CPU to avoid segfaults.

commit 5464102fa76cd5fbe5990f3b00a016ac24f12cf5
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Jan 16 14:05:38 2001 +0000

     . add check for MMX EXT extensions, which doesn't work, which is a good
       thing since there is no MMX EXT IDCT yet :)

commit c760db3810ba11b626f5a83e09aca8bf6c86d477
Author: Christophe Massiot <massiot@videolan.org>
Date:   Tue Jan 16 13:27:14 2001 +0000

    * Change for the forthcoming fast forward and slow motion support.

commit 6eb707884cfb2f60b08c4728a753306535920b5f
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Jan 16 13:26:46 2001 +0000

     . added files for the SSE (MMX on steroids) IDCT. Meuuh, you should just
       need to touch plugins/idct/idct_mmxext.c (ok, the filenames suck).

commit 619061c25c60daeb693bcbfd3ac80c91e8572107
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Jan 16 05:04:25 2001 +0000

     [ include/config.h.in has changed, don't forget tu run ./configure ]
    
     . fixed the --aout, --idct and --yuv flags
     . updated manpage and --(long)help output to reflect that change
     . removed a few unneeded #includes here and there
     . cosmetic changes in error messages in input.c
    
       Currently available flags are now :
    
         --aout dummy
                esd
                dsp
                alsa
    
         --idct idct
                idctclassic
                idctmmx
    
         --yuv yuv
               yuvmmx
    
      --vout works like before, but still uses the old plugin system for now.

commit 1cd850a85689771b56d6a44b6bc06b46e072b6d3
Author: Stéphane Borel <stef@videolan.org>
Date:   Tue Jan 16 04:41:20 2001 +0000

    . Now use of 64 bits offsets to parse the whole DVD. So we have all the
    available information
    . Fixed a bug in parsing of VTS attributes
    . Fixed a bug in input.c that made input plugin initialize even though
    no stream is reachable (thanks Sam)
    
    I hope I'll be able to get the position of the movie soon.
    
    Meuuh : the seek function of the plugin now take off_t as argument which
    could be a problem later. Maybe it should take off64_t or time argument.

commit f56c4db12e0f8cacd9bc23cafc3be0b63498b145
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Jan 16 02:16:38 2001 +0000

     . merged the YUV plugins in the same directory to avoid too much code
       duplication
     . YUV transformations now use the new module API ; now only the vout
       and interface still depend on the old plugin API
     . changed TestMMX to TestCPU because we will be able to test for other
       specific extensions (3DNow, SSE) for the forthcoming IDCT we'll
       borrow to mpeg2dec (as usual :P)
     . don't show "hiding module" messages anymore except in debug mode
     . swapped C IDCT and Classic IDCT scores since the classic one seems
       to be faster ; anyway you should use the MMX one
     . fixed a Makefile bug under BeOS
     . tried to fix the cpuid code so that it compiles under BeOS (Polux, can
       you test it when you have time ?)

commit 2f64eb29986f997401e92ce1cab52ff35c13ff51
Author: Christophe Massiot <massiot@videolan.org>
Date:   Mon Jan 15 19:54:34 2001 +0000

    * Fixed a bug in the frame rate handling ;
    * Fixed a bug in the DTS/PTS ordering.
    Our pts are _at last_ accurate.

commit 3a3f1725cede0a9a123a8ecad859dacb53201711
Author: Christophe Massiot <massiot@videolan.org>
Date:   Mon Jan 15 18:02:49 2001 +0000

    * Finally fixed repeat_first_field and co. (pas encore tout compris...)

commit 4bcf1baec5bc9332d3ddac29f6e9db3890645ad2
Author: Christophe Massiot <massiot@videolan.org>
Date:   Mon Jan 15 13:25:09 2001 +0000

    * Implemented video_parser bitstream callback for PTS/DTS.

commit 420ec3aac36002aa56f10f980f2127d5925062c1
Author: Renaud Dartus <reno@videolan.org>
Date:   Mon Jan 15 12:42:58 2001 +0000

    * Fixed close button support in SDL
    * Fixed --width and --height support in SDL

commit b8899c0c1602152336bb9dae33f2862d6b7f03ff
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Jan 15 08:07:31 2001 +0000

       OK, so I foired input.h once again. But this one works. For real.

commit 54eb1d5f5178d2887fe8307d2cf5563f185146c0
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Jan 15 06:56:30 2001 +0000

     . correction d'un poliotage de copier-coller

commit c0211e9a50e55b2783ae2fe1fd2e8b22541cd2d1
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Jan 15 06:18:23 2001 +0000

     . fixed the bug-that-made-the-vlc-segfault-on-exit, which means that
       more than ever, � le client ne segfaulte pas �.
    
     . there was still a problem upon quitting: sometimes the null packet
       wasn't big enough to reach a decoder breakpoint, so I now create 10
       of them (since I can't make it bigger) to be sure. Meuuh, what do
       you think ?
    
     . fixed the Makefile to spare a few variables here and there.
    
     . reduced module hide delay, removed loading of the audio output
       plugins since they are now modules.
    
     . changed a few intf_Msg to intf_DbgMsg, and added "vout:", "intf:",
       and so on in a few other messages.
    
     . removed unused includes in the idct modules.

commit bba082093f9cbc2b1874a2ad2db2defa499d7db1
Author: Stéphane Borel <stef@videolan.org>
Date:   Mon Jan 15 03:26:56 2001 +0000

    . Correction of bugs in ifo parsing. Now the structures should be well
    initialized. It remains some segfaults but it globally works.
    . DVD mode is enabled with option --dvd. For the moment, it only read
    the first vts and find the movie if it is at the beginning of the title
    set.
    
    Coming soon:
    . udf filesystem management to access over 2Gb zones.
    . detection of the offset to the movie inside a vts when it is not at
    the beginning.
    
    Is there a chance that using fopen/fseek function instead of open/lseek
    system calls solve the 2Gb issue ?

commit a9729877b79918b02b8beb2f21328b5eee869e74
Author: Stéphane Borel <stef@videolan.org>
Date:   Sun Jan 14 07:08:00 2001 +0000

    . Beginning of dvd_input.
    . Parsing of ifo file almost completed.
    . Still does not work well.

commit e360e2a431ffe85b6acb24b66a4778798e3e7f15
Author: Sam Hocevar <sam@videolan.org>
Date:   Sat Jan 13 12:57:47 2001 +0000

     . second part of the commit

commit 26ee312a6f7584df6ebd66404ef674192400a869
Author: Sam Hocevar <sam@videolan.org>
Date:   Sat Jan 13 12:57:21 2001 +0000

     . the IDCT functions are now located in modules : the classic IDCT,
       our optimized IDCT, and MMX IDCT.
     . cosmetic changes for modules (pf_* instead of p_*)
     . fixes to the BeOS and dummy modules
    
       WARNING: a new directory has been added, which means you have to
       use `cvs update -dP' to update ; files have been removed , which means
       you either have to run `make distclean' or remove the .deps directory,
       and the configure script has changed, which means you have to run it
       again. Don't complain before having checked this :)
    
       Note about the IDCT modules: there is no way to choose the one we
       use, but you may remove the module in lib/ to prevent it from being
       loaded. The preference order is : MMX, Optimized, Classic.

commit a558a9bb47f6212da40eb8798243d08107865f7d
Author: Christophe Massiot <massiot@videolan.org>
Date:   Fri Jan 12 17:33:18 2001 +0000

    * Changed default values :
    INPUT_PTS_DELAY down to 200 ms ;
    video heap down from 10 to 5 pictures ;
    decoder fifo size from 1023 to 511 PES ;
    * Fixed various bugs in 32 bit-versions of input_ext-dec.h ;
    * Fixed a bug in GetChunk() ;
    * Renamed GetByte, GetWord, ShowWord to _GetByte, _GetWord, _ShowWord ;
    * Moved decoder_fifo-specific code from programs.c to dec.c ;
    * Fixed bugs in program.c that prevented vlc to close all decoders ;
    * Gave sam a lesson for the use of the bitstream in spu_decoder.c :ppp ;
    * Made the video parser unlock the reference pictures before quitting
    (still one left, yaknow why ?)

commit ebfaed9be940bebce3075006deb324dd499886e0
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Jan 12 14:49:55 2001 +0000

     . destroy fifo mutex and cond variables _after_ they are used for
       the last time. henri, that'll be one binouze.

commit c393ff60e9d9fb9031c7c37f613482418c14aa13
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Jan 12 13:15:42 2001 +0000

      . Attempt to port the BeOS audio plugin to the new module API. Will
        probably need a few fixes to work or even compile.

commit 4af9ab12a5edcb47214ea1b4963c63b43556b87c
Author: Henri Fallon <henri@videolan.org>
Date:   Fri Jan 12 12:48:24 2001 +0000

    Done :
    - ported the alsa plugin to the news vlc module API
    - cosmetic changes
    
    To do :
    - check if it works with the latest alsa release
    - add features ... prepare for 4 or more speakers

commit a85534e5b5923bcd65698a3a2b1d68595c3185ec
Author: Christophe Massiot <massiot@videolan.org>
Date:   Fri Jan 12 11:36:49 2001 +0000

    * Fixed 32 bits bitstream bugs.

commit e3636eb15f2e5e825347a153beafc8e0411d2946
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu Jan 11 17:44:48 2001 +0000

      . moved the MPEG audio decoder to the new bitstream
    
        I wasn't sure whether the bits counting method was effective to
      skip ancillary data at the end of a frame, but I kept it for
      safety. There is still a lot to optimize in the bit counting, like
      unrolling the first iteration of some loops, but I don't know if
      it would be worth it. The other solution would have been to look for
      a startcode after eache frame, without caring about the ancillary bits.
    
      . cleaning in the SPU decoder.

commit 993381a227b1246ce55bcb4673bcb8b519bdfa88
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu Jan 11 15:35:35 2001 +0000

     . moved swab32 from input_ext-dec.h to common.h. We probably won't need
       it anymore really soon, since ntohl() and htonl() seem to be properly
       optimized when gcc is passed the right optimization flags.
    
     . fixed GetBits32 and RemoveBits32. I know the #ifdefs are useless since
       we only support u32 words, but it's a safe reminder. Comments appreciated
       on this fix since I may have b0rked something -- it runs well here though.

commit bf10480df448def0a4d7faf70cade514faaa8d6e
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Jan 10 19:48:26 2001 +0000

     . fixed a missing #ifdef STATS
        *grin*

commit ecff1e713f6962d45ff9a397e11410066eaa0ebe
Author: Christophe Massiot <massiot@videolan.org>
Date:   Wed Jan 10 19:22:11 2001 +0000

    * Changed code for handling b_die in bitstream ;
    * Move input_ext-dec.h to input.h ;
    * New input_NullPacket function ;
    * Fixed init bugs in input and vpar ;

commit 0b625864d43b31052914859191be44b87dd3715a
Author: Christophe Massiot <massiot@videolan.org>
Date:   Wed Jan 10 16:24:11 2001 +0000

    * Placed a callback to the decoder in the bitstream structure ;
    * Fixed a purify bug in input_ps.c ;
    * Added -mcpu=pentiumpro in the Makefile.

commit 9f553534b0e8edcb711e442d3d76f8d2eb2740aa
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Jan 10 02:33:59 2001 +0000

     . complete commenting of modules_core.h and small modifications
     . separated MODULE_CONFIG_START and ADD_WINDOW (Henri, beware)
     . fixed a very, very old bug that caused namespace collision between
       plugins (Henri, beware: call your aout_getplugin function like this,
       not alsa_aout_getplugin)
     . removed the Debian specific clean rules from the Makefile, since they
       are already handled by the debian/rules script.
     . tidied a few compilation rules (-lfoo should always be at the end)

commit 9451c9b90e8aac8a6a9de40c34516ef2cb07a6b0
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Jan 9 23:29:15 2001 +0000

     . just removed a forgotten debug message in the setpalette code

commit cbb9cfbfdf317d8ca726c5b3ac5a4cb9540c91cb
Author: Pierre Baillet <octplane@videolan.org>
Date:   Tue Jan 9 22:30:26 2001 +0000

    .Added 8bits palette SDL support.
    .Tried to add it to stable, failed, probably because of the initialisation codes which are differents...

commit ef05e7761e600f9fed4cf67cba91ee013ead1a94
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Jan 9 21:03:47 2001 +0000

     . fixed a warning under FreeBSD (dlerror() is a const char*, not a char*).
     . made configure script look for the bswap assembly instruction (using
       AC_TRY_COMPILE makes sure the compiler will really accept it).

commit 5a88167734f74fbdc342f5d28da8abf171fcf931
Author: Arnaud de Bossoreille de Ribou <bozo@videolan.org>
Date:   Mon Jan 8 22:56:06 2001 +0000

      - maybe found the fullscreen bug, please test :)

commit 6473750311f991992532b0cf7d5e78a89d7eff88
Author: Arnaud de Bossoreille de Ribou <bozo@videolan.org>
Date:   Mon Jan 8 22:42:50 2001 +0000

      - fixed colors' bug (TODO: write a function in vout that recalculate colors
        from RGB masks);
      - cleaning of the fullscreen switch, still sucks but the surface is not
        reallocated and that's good (thanks to the magic function
        SDL_WM_ToggleFullScreen provided by sdl library :).

commit 3ce24ee9dd032e9a3b644dd2d35d8ae128a6eb43
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Jan 8 18:16:33 2001 +0000

     . Added a missing mutex_unlock in video_output.c
     . Moved a mutex_destroy after the thread cancellation to prevent
       possible problems
     . Added a missing #ifdef in intf_msg.c which prevented compilation
       with --enable-debug
     . Fixed a bug in the input that prevented to quit properly in certain
       cases (some ES were not deleted because their index was skipped when
       the former one was deleted, well Meuuh should know what I mean)
    
      There is still a segfault when quitting, most presumably in the
     audio output. I couldn't find what causes it yet.

commit 618b891b23ab08f9404e4d57f35b17f1ce0c1405
Author: Arnaud de Bossoreille de Ribou <bozo@videolan.org>
Date:   Mon Jan 8 01:07:21 2001 +0000

      - cleaning of SDL Lock/Unlock Surface.

commit c25e25c4d2706eb5e540bdbbb2765672824fa5ae
Author: Sam Hocevar <sam@videolan.org>
Date:   Sun Jan 7 17:07:02 2001 +0000

     . added a .cvsignore file in lib/ so that the directory doesn't get
       removed whenever one does a cvs update -dP
     . fixed debian/.cvsignore because of a new version of debhelper

commit f8da8c9585169f61df48dd736eb9134f1a1bc820
Author: Sam Hocevar <sam@videolan.org>
Date:   Sun Jan 7 16:17:59 2001 +0000

     . all plugins now compile with -fPIC.
    
     . made the audio_output API a bit simpler.
    
     . got rid of modules_config.h.
    
     . fixed `make install' rule.
    
     . fixed warnings in the MMX YUV compilation.
    
     . probably fixed a bug in the input : pp_foo structures were free()d at
       the end, but this was useless since the last call to realloc() is
       equivalent to free(), and two consecutive calls to free() aren't a
       goo idea.
    
     . we check that the version number match and that we don't already have
       a module by that name when loading a new module.
    
     . all public module_* functions now properly lock the module bank.
    
     . the audio_output now uses the new module API ; EsounD and DSP modules
       have been ported, which should be enough for Henri to port the ALSA one.
    
    
       The new plugin API is now much simpler ; it's now just a matter of
    calling module_Need( p_main->p_module_bank, MODULE_CAPABILITY_FOO, p_data );
    and if successful we get the best module. Capabilities can be ORed, so that
    one can ask for a plugin that does VOUT _and_ INTF actions for instance.
    
       It's not complete yet though -- by making it generic I had to do a few
    ugly casts here and there, which I am going to fix ASAP. Also, command line
    selection of a plugin does not work yet.
    
       The switch to the new plugin API has probably broken the BeOS audio
    output ; we can either wait until the whole vlc has switched to the new
    plugins, or create a separate beos_sound.so that conforms to the new API.

commit b7b3386b571b48cfe847ee4ce7c5746050823c93
Author: Pierre Baillet <octplane@videolan.org>
Date:   Sun Jan 7 15:58:33 2001 +0000

    NoSEGfault Kl�dge added.

commit dd3ca6f4d5cabe9bb3808fe5d09955cbd00cedac
Author: Benoit Steiner <benny@videolan.org>
Date:   Sun Jan 7 06:40:29 2001 +0000

    Hum, ouais bon ben euhh, j'avais fume, donc je repare mes conneries et je
    vais me coucher.

commit a87ecd5ccf649a656dc71e8c355b5f6372b5314e
Author: Benoit Steiner <benny@videolan.org>
Date:   Sun Jan 7 05:41:50 2001 +0000

    Optimisation de BinaryLog

commit a5d3d165302d68d37394a639cbccad8f87fd4867
Author: Henri Fallon <henri@videolan.org>
Date:   Sun Jan 7 04:31:18 2001 +0000

    - Order : if a then b are initialized, release b then a ;
    - Typos ;
    - Cosmetic changes.

commit 393a5d5241b2088db43ba29e4c9774743f61a4f1
Author: Henri Fallon <henri@videolan.org>
Date:   Sun Jan 7 03:56:40 2001 +0000

    - Added vlc_mutex_destroy and vlc_cond_destroy function, for pthreads.
    - Used them before quitting, every lock and cond is destroyed
    - Checked the return value of malloc and realloc in input_programs
    - Cosmetic changes
    
    TODO: add vlc_*_destroy for beos and C_thread

commit eb8d4519bc2285f191244e85d941425671a9a9b5
Author: Benoit Steiner <benny@videolan.org>
Date:   Sat Jan 6 08:05:17 2001 +0000

    Fixed compilation pb under solaris 2.6

commit eed018b6f8ceefa94b901da2a2f983648ba54e80
Author: Benoit Steiner <benny@videolan.org>
Date:   Sat Jan 6 08:04:46 2001 +0000

    Fixed solaris libraries

commit ffa693e8bdac429c229fa679e64a8bd6cd6af15f
Author: Sam Hocevar <sam@videolan.org>
Date:   Sat Jan 6 07:23:32 2001 +0000

     . should compile & run on Solaris with ./configure --disable-dsp
        (tested on puma)
     . removed most SYS_SOLARIS #ifdef's in favour of more generic tests
     . updated example ./configure line in INSTALL file
     . now we only load modules that end with ".so"
     . null module is compiled by default

commit 4542979c0fecaf06caebec3abd6b0060ede2f1d9
Author: Henri Fallon <henri@videolan.org>
Date:   Sat Jan 6 05:44:45 2001 +0000

    Fixed a typo than prevented from building ...

commit 9385e1d576a309e06c2d5f54e1161baeda6b6b9e
Author: Henri Fallon <henri@videolan.org>
Date:   Sat Jan 6 03:16:00 2001 +0000

    Fixed initialization of payload_start and payload_end
    It should be finished now.

commit 454454b5542b7cc8ba40623078e2c16f35d2a6c3
Author: Christophe Massiot <massiot@videolan.org>
Date:   Fri Jan 5 18:46:45 2001 +0000

    BSD port, including :
    * --enable-sdl and some others are now --with-sdl[=name] to supply an
    optional library name ;
    * deleted all unnecessary #include <sys/uio.h> ;
    * /usr/include is now searched when looking for libraries and headers.
    
    It seems to compile and run on BSD. Under Linux Sam's latest commit makes
    vlc crash on startup, so I can't really tell, but hey it compiles.

commit 6eb6044c0b7663994ccf1ffde3b32dc4e3a003c7
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Jan 5 18:06:33 2001 +0000

     . src/misc/modules.c is in a workable state now.
    
      To test it, run ./configure with the --enable-null flag, which will
      compile the Null Module as a plugin. Watch the memory usage at the
      launch and when the plugin is released.

commit 2a8ef11d88512a2717f177f7f8da334feca030b5
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Jan 5 14:46:37 2001 +0000

    (previous commit foired)
    
     . this is a coding style patch which removes all "foo(bar){" constructions
       and most of the tabulations.
     . also, fixed a bug in the default subtitle track.
     . and made a few error messages more explicit, ie. changed "error: %s" to
       "foo error: couldn't initialize bar (%s)"
     . and removed a warning in intf_ctrl.c which isn't used anyway.

commit a132d75cac753d6da22a2996fd376f42234f9e56
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Jan 5 14:45:47 2001 +0000

     . this is a coding style patch which removes all "foo(bar){" constructions
       and most of the tabulations.
     . also, fixed a bug in the default subtitle track.
     . and made a few error messages more explicit, ie. changed "error: %s" to
       "foo error: couldn't initialize bar (%s)"

commit df5793c289fa49607a503648a8b139425eb1b5ca
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Jan 5 14:28:42 2001 +0000

     . splitted modules.h into modules.h and modules_core.h to enable
        clean compilation of the Null Module.

commit bcaed52cadf2e98b49547a27c4db2293332fad4d
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Jan 5 14:24:06 2001 +0000

     . added the Null Module, the module that does nothing but that is going
        to be of great help for debugging my module code.

commit 32d3e55a6e50907ec96dd4a042d08acfbc7e9cf6
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Jan 5 13:57:12 2001 +0000

     . Added files needed for the forthcoming module management.
    
     Notes:
    
       Plugins are now called modules, because we will be able to compile
       them either as a dynamic plugin, or within the program. And, more
       important, I can commit this without having to break the vlc :)
    
       I tried to be as clear as possible in my comments, please tell me
       if a few prototypes still have an unclear beahaviour.
    
       Current features:
        . none, files haven't even been added to the Makefile yet.
    
       Future features:
        . dynamic loading (done)
        . built-in modules (still to do)
        . automatic unloading of plugins (done)
        . dynamic configuration (still to do)
        . automatic choosing of the most appropriate plugin for a given
           task (still to do but well prepared)

commit 38e1bc07300f4e36385003cb20f56b7be0fa11a2
Author: Arnaud de Bossoreille de Ribou <bozo@videolan.org>
Date:   Thu Jan 4 23:18:21 2001 +0000

      - fixed pitch bug;
      - fixed segfault, it was probably a memory corruption but I'm not sure :) ;
      - video_output.c : compute picture size even if b_need_render == 0;

commit afb5d2e65b82c5937c4b0a5543e39662944f9d5d
Author: Christophe Massiot <massiot@videolan.org>
Date:   Thu Jan 4 18:47:18 2001 +0000

    * Fixed a deadlock (the vout unlocked a mutex locked by another thread,
    grrrr, I'll kill someone) ;
    * Put config.h in front of others in audio_decoder.c.

commit fb0d0da7637ecc2ffb362dd95a9803711920a55d
Author: Christophe Massiot <massiot@videolan.org>
Date:   Tue Jan 2 14:03:30 2001 +0000

    Better display of the fps.
